nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"

Bug #1268257 reported by Aneesh Neelam on 2014-01-12
This bug affects 1832 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned
nvidia-graphics-drivers-331 (Ubuntu)
High
Unassigned
nvidia-graphics-drivers-331-updates (Ubuntu)
High
TJ
nvidia-graphics-drivers-340 (Ubuntu)
High
Unassigned
nvidia-graphics-drivers-340-updates (Ubuntu)
High
Unassigned
nvidia-graphics-drivers-346 (Ubuntu)
High
Unassigned
nvidia-graphics-drivers-346-updates (Ubuntu)
High
Unassigned

Bug Description

2015-06-16 TJ:

I've published a possibly fixed package for Trusty to my PPA at:

https://launchpad.net/~tj/+archive/ubuntu/nvidia

Please test and report back if that fixes the issue. If it does I can attach the fixed branch to bug #1431753 where the other release fixes are being tracked.

--- original bug report follows ----

**WARNING:** This bug has been widely reported and has *many* automatic subscribers. Please be considerate.

**If you need help:** try searching and asking on http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a nearby user group (see http://loco.ubuntu.com or search for "LUG" in your area). Link back to this bug for clarity.

---

This seems to fix it (at least for one version upgrade) for many people

$ sudo dpkg-reconfigure nvidia-331

after that...

$ sudo dpkg-reconfigure nvidia-331-uvm

(some users may be on the versions of these packages suffixed with -updates )

Update 2015-05-23:
As of the recent kernel update (3.13.0-53), the above two commands followed by a reboot may not fix it. Instead:

$ sudo apt-get install --reinstall nvidia-331 nvidia-331-uvm

followed by a reboot.

---

**If you want to unsubscribe:** see https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331-updates/+bug/1268257/+subscribe. You can also change your settings so you don't get comments but do get notified when the bug is solved - see https://askubuntu.com/questions/576523 for details.

**If you want to comment:** Please consider if you have something meaningful to contribute to the 2500+ people who will get an email.

**If you are an Ubuntu developer:** thanks for looking into this! :D

----

Nvidia kernel module failed to build on kernel 3.13.0-2
Yesterday when the new kernel was pushed, the dkms process failed.

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: nvidia-331-updates 331.20-0ubuntu9
ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
Uname: Linux 3.12.0-7-generic x86_64
ApportVersion: 2.13.1-0ubuntu1
Architecture: amd64
DKMSKernelVersion: 3.13.0-2-generic
Date: Sun Jan 12 01:28:35 2014
InstallationDate: Installed on 2013-11-03 (69 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
PackageVersion: 331.20-0ubuntu9
SourcePackage: nvidia-graphics-drivers-331-updates
Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel module failed to build
UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)

Aneesh Neelam (aneesh-neelam) wrote :
summary: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel module
- failed to build
+ failed to build [.tmp_nv.o': No such file]

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
importance: Undecided → High
Aneesh Neelam (aneesh-neelam) wrote :

DKMS has failed on every subsequent kernel update.
Have to manually remove and install nvidia kernel driver every time.

Daniel Letzeisen (dtl131) wrote :

It looks to still be an issue with 331.38 based on duplicate bug 1286389

summary: - nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel module
+ nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
failed to build [.tmp_nv.o': No such file]
summary: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
- failed to build [.tmp_nv.o': No such file]
+ failed to build, with no obvious error [objdump: '... .tmp_nv.o': No
+ such file]
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Confirmed → Triaged
Cavsfan (cavsfan) wrote :

I got this error:
nvidia-331 331.89-0ubuntu2: nvidia-331 kernel module failed to build
This is on Utopic Mate 14.10

tags: added: utopic
Elfy (elfy) wrote :

Seeing similar in Xubuntu 14.10 with updated 3.16.0-11-generic

I'd removed nvidia prior to reboot and booted with nouveau, following successful boot, reinstalled nvidia.

ii nvidia-331-updates 331.89-0ubuntu

01:00.0 VGA compatible controller: NVIDIA Corporation GT218 [GeForce 210] (rev a2) (prog-if 00 [VGA controller])
 Subsystem: ZOTAC International (MCO) Ltd. Device 1160
 Flags: bus master, fast devsel, latency 0, IRQ 42
 Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
 Memory at e0000000 (64-bit, prefetchable) [size=256M]
 Memory at f0000000 (64-bit, prefetchable) [size=32M]
 I/O ports at e000 [size=128]
 Expansion ROM at f7000000 [disabled] [size=512K]
 Capabilities: <access denied>
 Kernel driver in use: nouveau

Bill Turner, wb4alm (wb4alm) wrote :

This is the fifth (or more) update of the kernel, where i have to manuaaly delete and reinstall the Nvidia 331.38 driver.
My card is a geforce 8600... and this problem has been occuring for a long, long time.

Most of my past reports have been tag as duplicates of other reported bug, the last three or so were declared to be dups of this report (1268257), so i decided to tag it that way right off...

Bill Turner, wb4alm (wb4alm) wrote :

Can't tell if the debug information captured bny my system has been uploaded and/or attached to this report. If you need it, you will have to tell me where to find it on my system, and I'll be glad to manually attach it.

Daryl Hughes (zorw2016) wrote :

when i tested Kernel 3.17* RC2 it showed Report problem issue and had X as the mouse with Nvidia-331-updates Drivers installed

Cavsfan (cavsfan) wrote :

I got this after a reboot when 3.16.0-12-generic kernel was installed. I also noticed this in the output:
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.16.0-12-generic /boot/vmlinuz-3.16.0-12-generic
run-parts: executing /etc/kernel/postinst.d/dkms 3.16.0-12-generic /boot/vmlinuz-3.16.0-12-generic
Error! Bad return status for module build on kernel: 3.16.0-12-generic (x86_64)
Consult /var/lib/dkms/nvidia-331/331.89/build/make.log for more information.
But the make.log does not exist.
It performed 2 DKMS processes and the 2nd one didn't get the error just the first one.
This is what is installed:
cavsfan@cavsfan-MS-7529:~$ dpkg -l | grep nvidia
ii nvidia-331 331.89-0ubuntu2 amd64 NVIDIA binary driver - version 331.89
ii nvidia-331-uvm 331.89-0ubuntu2 amd64 NVIDIA Unified Memory kernel module
ii nvidia-libopencl1-331 331.89-0ubuntu2 amd64 NVIDIA OpenCL Driver and ICD Loader library
ii nvidia-opencl-icd-331 331.89-0ubuntu2 amd64 NVIDIA OpenCL ICD
ii nvidia-prime 0.6.6 amd64 Tools to enable NVIDIA's Prime
ii nvidia-settings 331.20-0ubuntu8 amd64 Tool for configuring the NVIDIA graphics driver

ANTE BRAJKOVIC (iiiww03) wrote :

too many probs

Cavsfan (cavsfan) wrote :

I got this error but it's the same thing: nvidia-331 331.89-0ubuntu3: nvidia-331 kernel module failed to build
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.16.0-13-generic /boot/vmlinuz-3.16.0-13-generic
run-parts: executing /etc/kernel/postinst.d/dkms 3.16.0-13-generic /boot/vmlinuz-3.16.0-13-generic
Error! Bad return status for module build on kernel: 3.16.0-13-generic (x86_64)
Consult /var/lib/dkms/nvidia-331/331.89/build/make.log for more information.
However /var/lib/dkms/nvidia-331/331.89/build/make.log does not exist.

I have the following nvidia files installed and it does 2 DKMS updates to the kernel and the 2nd one does not get this error.
cavsfan@cavsfan-MS-7529:~$ dpkg -l | grep nvidia
ii nvidia-331 331.89-0ubuntu3 amd64 NVIDIA binary driver - version 331.89
ii nvidia-331-uvm 331.89-0ubuntu3 amd64 NVIDIA Unified Memory kernel module
ii nvidia-libopencl1-331 331.89-0ubuntu3 amd64 NVIDIA OpenCL Driver and ICD Loader library
ii nvidia-opencl-icd-331 331.89-0ubuntu3 amd64 NVIDIA OpenCL ICD
ii nvidia-prime 0.6.6 amd64 Tools to enable NVIDIA's Prime
ii nvidia-settings 331.20-0ubuntu8 amd64 Tool for configuring the NVIDIA graphics driver

Cavsfan (cavsfan) wrote :

Same thing on Utopic Mate:
nvidia-331 331.89-0ubuntu3: nvidia-331 kernel module failed to build.
See my previous comment for the exact same details Mate gave.

Cavsfan (cavsfan) wrote :

I got this again today on Utopic when 3.16.0-14-generic was installed.
Although when I deleted the 3.16.0-12-generic kernel the /lib/modules/3.16.0-12-generic/updates/dkms/nvidia_331.ko was deleted so it was installed even though it had gotten the error when it was installed.

Chris Page (chris-page1980-d) wrote :

This doesn't ever seem to be going away. Why not just add 334 to the standard repo.

Majal (majalmirasol) wrote :

Mine had a crash and reported a bug for nvidia-331-uvm during automatic upgrade (unattended-upgrades). Thereafter I tried to do this:

$ sudo dpkg-reconfigure nvidia-331

after that...

$ sudo dpkg-reconfigure nvidia-331-uvm

and both seemed to work well, "DKMS: install completed." without apparent errors. (?!)

summary: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
- failed to build, with no obvious error [objdump: '... .tmp_nv.o': No
- such file]
+ failed to build, with only error: "objdump: '... .tmp_nv.o': No such
+ file"
Alberto Milone (albertomilone) wrote :

I can't reproduce the problem in 14.10 using the default kernel (custom kernels are not supported)

uname -r
3.13.0-37-generic

# dkms status
bbswitch, 0.7, 3.16.0-22-generic, x86_64: installed
nvidia-331-updates-uvm, 331.89, 3.16.0-22-generic, x86_64: installed
nvidia-331-updates, 331.89, 3.16.0-22-generic, x86_64: installed

Tiago Carrondo (tcarrondo) wrote :

fixed with:
apt-get install nvidia-331-uvm --reinstall

Alberto Milone (albertomilone) wrote :

And this is what I get in 14.04

# uname -r
3.13.0-37-generic

# dkms status
bbswitch, 0.7, 3.13.0-24-generic, x86_64: installed
nvidia-331-updates, 331.38, 3.13.0-24-generic, x86_64: installed

I suspect you're either using custom kernels or an obsolete driver release (make sure to enable the -updates repository)

Zied ALAYA (zied.alaya) wrote :

I was on 14.04 then I ugraded to 14.10 Beta.
the command of Tiago fixed the issue:
apt-get install nvidia-331-uvm --reinstall

I fixed with Tiago Carrondo
apt-get install nvidia-331-uvm --reinstall

2014-10-13 13:51 GMT+02:00 Zied ALAYA <email address hidden>:

> I was on 14.04 then I ugraded to 14.10 Beta.
> the command of Tiago fixed the issue:
> apt-get install nvidia-331-uvm --reinstall
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1378526).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Triaged
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

wilbur.harvey (wilbur-harvey) wrote :

I found that running the installation after exiting X (sudo service lightdm
stop) also seemed to solve the problem.

On Mon, Oct 13, 2014 at 8:54 AM, Tommy Bengtsson <<email address hidden>
> wrote:

> I fixed with Tiago Carrondo
> apt-get install nvidia-331-uvm --reinstall
>
>
> 2014-10-13 13:51 GMT+02:00 Zied ALAYA <email address hidden>:
>
> > I was on 14.04 then I ugraded to 14.10 Beta.
> > the command of Tiago fixed the issue:
> > apt-get install nvidia-331-uvm --reinstall
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1378526).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> > Triaged
> > Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan 12 01:28:35 2014
> > InstallationDate: Installed on 2013-11-03 (69 days ago)
> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> > (20131016.1)
> > PackageVersion: 331.20-0ubuntu9
> > SourcePackage: nvidia-graphics-drivers-331-updates
> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> > module failed to build
> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
> >
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1378529).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Ferhat (ferhat-akguen) wrote :

I think I destroyed my installation by doing following:

1) Switch with CTRL + ALT + F1
2) sudo service lightdm stop
3) Tried to reinstall nvidia-331. Needed to kill a process before doing that
4) After that the reinstall was successfull
5) After rebooting my desktop was not accessable anymore. I switched to terminal and I have seen the following error: "Could not find module by name "nvidia_331"
6) Than I have removed nvidia-331
7) After rebooting I have activated an older nvidia driver 304
8)...

Currently I can login but no toolbar is shown. No window borders are shown.... Just my desktop background with my shortcuts...

How can I fix that ? :D

Thanks
Ferhat

Andy Bach (afbach) wrote :

On Mon, Oct 13, 2014 at 12:28 PM, Ferhat <email address hidden> wrote:

>
> Currently I can login but no toolbar is shown. No window borders are
> shown.... Just my desktop background with my shortcuts...
>
> How can I fix that ? :D

something like that happened to me - in my case, gnome_panel was no longer
running, which seems to handle the top and side bars and alt-tabbing. I
could just run it from a terminal (or searching for it after starting
files/dolphin from a terminal) but it's still not right.

--

a

Andy Bach,
<email address hidden>
608 658-1890 cell
608 261-5738 wk

wilbur.harvey (wilbur-harvey) wrote :

You could try logging in as a different user?
You could also try removing all the nvidia drivers and using the noveau
driver.
In my case, using the nouveau driver with two 4K displays had a lot of
system pauses.

On Mon, Oct 13, 2014 at 10:41 AM, Andy Bach <email address hidden> wrote:

> On Mon, Oct 13, 2014 at 12:28 PM, Ferhat <email address hidden>
> wrote:
>
> >
> > Currently I can login but no toolbar is shown. No window borders are
> > shown.... Just my desktop background with my shortcuts...
> >
> > How can I fix that ? :D
>
>
> something like that happened to me - in my case, gnome_panel was no longer
> running, which seems to handle the top and side bars and alt-tabbing. I
> could just run it from a terminal (or searching for it after starting
> files/dolphin from a terminal) but it's still not right.
>
>
> --
>
> a
>
> Andy Bach,
> <email address hidden>
> 608 658-1890 cell
> 608 261-5738 wk
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1378529).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Ferhat (ferhat-akguen) wrote :

I did now following:

sudo dconf reset -f /org/compiz/
sudo setsid unity

Now I got my desktop and my window borders back.

Erv Bendiks (erv-bendiks) wrote :

So currently I'm running nvidia-331-updates.

I don't see nvidia-331-uvm nor nvidia-331-updates-uvm installed.

It's implied they be part of their relative nvidia-331 core packages?

On Mon, Oct 13, 2014 at 2:19 PM, Ferhat <email address hidden> wrote:

> I did now following:
>
> sudo dconf reset -f /org/compiz/
> sudo setsid unity
>
> Now I got my desktop and my window borders back.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1357029).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Triaged
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

--
Erv Bendiks

416-816-9802

Alberto Milone (albertomilone) wrote :

@Ferhat: please attach your /var/lib/dkms/bbswitch/kernel-$(uname -r)-$(uname -i)/log/make.log

If anybody else is missing the nvidia kernel module, please post your /var/lib/dkms/bbswitch/kernel-$(uname -r)-$(uname -i)/log/make.log too.

Alberto Milone (albertomilone) wrote :

and your /var/log/gpu-manager.log

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → Incomplete
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Triaged → Incomplete
awol (awol99) wrote :

logs attached

On Thu, Oct 30, 2014 at 6:49 PM, Alberto Milone <
<email address hidden>> wrote:

> and your /var/log/gpu-manager.log
>
> ** Changed in: nvidia-graphics-drivers-331 (Ubuntu)
> Status: Triaged => Incomplete
>
> ** Changed in: nvidia-graphics-drivers-331-updates (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1386925).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Incomplete
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Incomplete
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

--
Sent from my recycled old computer.
[:C≡N:]− , I ≤ 2πrEħc ln 2

David Harper (inquisitivedave) wrote :

My logs are identical to awol99. It's also left my apt in a broken state, I can't add or remove any packages.

dpkg: error processing package nvidia-331 (--configure):
 package nvidia-331 is not ready for configuration
 cannot configure (current status `half-installed')
Errors were encountered while processing:
 nvidia-331
E: Sub-process /usr/bin/dpkg returned an error code (1)

It seems to be that apt-get install nvidia-331-uvm --reinstall fixed the problem for me :-)

cheif (soychavez) wrote :

*/var/lib/dkms/bbswitch/kernel-$(uname -r)-$(uname -i)/log/make.log*

DKMS make.log for bbswitch-0.7 for kernel 3.16.0-24-generic (x86_64)
>
> mié oct 29 08:59:01 COT 2014
>
> make -C /lib/modules/3.16.0-24-generic/build M="$(pwd)" modules
>
> make[1]: Entering directory '/usr/src/linux-headers-3.16.0-24-generic'
>
> CC [M] /var/lib/dkms/bbswitch/0.7/build/bbswitch.o
>
> Building modules, stage 2.
>
> MODPOST 1 modules
>
> CC /var/lib/dkms/bbswitch/0.7/build/bbswitch.mod.o
>
> LD [M] /var/lib/dkms/bbswitch/0.7/build/bbswitch.ko
>
> make[1]: Leaving directory '/usr/src/linux-headers-3.16.0-24-generic'
>
>
* /var/log/gpu-manager.log*

> log_file: /var/log/gpu-manager.log
>
> last_boot_file: /var/lib/ubuntu-drivers-common/last_gfx_boot
>
> new_boot_file: /var/lib/ubuntu-drivers-common/last_gfx_boot
>
> grep dmesg status 256
>
> dmesg status 256 == 0? No
>
> Is nvidia loaded? yes
>
> Was nvidia unloaded? no
>
> Is nvidia blacklisted? no
>
> Is fglrx loaded? no
>
> Was fglrx unloaded? no
>
> Is fglrx blacklisted? no
>
> Is intel loaded? no
>
> Is radeon loaded? no
>
> Is radeon blacklisted? no
>
> Is nouveau loaded? no
>
> Is nouveau blacklisted? yes
>
> Is fglrx kernel module available? no
>
> Is nvidia kernel module available? yes
>
> Vendor/Device Id: 10de:f01
>
> BusID "PCI:1@0:0:0"
>
> Is boot vga? yes
>
> Skipping "/dev/dri/card0", driven by "nvidia-drm"
>
> Skipping "/dev/dri/card0", driven by "nvidia-drm"
>
> Skipping "/dev/dri/card0", driven by "nvidia-drm"
>
> Does it require offloading? no
>
> last cards number = 1
>
> Has amd? no
>
> Has intel? no
>
> Has nvidia? yes
>
> How many cards? 1
>
> Has the system changed? No
>
> main_arch_path x86_64-linux-gnu, other_arch_path i386-linux-gnu
>
> Current alternative: /usr/lib/nvidia-331/ld.so.conf
>
> Current core alternative: (null)
>
> Is nvidia enabled? yes
>
> Is fglrx enabled? no
>
> Is mesa enabled? no
>
> Is pxpress enabled? no
>
> Is prime enabled? no
>
> Is nvidia available? yes
>
> Is fglrx available? no
>
> Is fglrx-core available? no
>
> Is mesa available? yes
>
> Is pxpress available? no
>
> Is prime available? yes
>
> Single card detected
>
> Driver is already loaded and enabled
>
> Nothing to do
>
> No change - nothing to do
>
>
If you need anything more, just ask ;)

Thanks

2014-10-30 3:49 GMT-05:00 Alberto Milone <email address hidden>:

> and your /var/log/gpu-manager.log
>
> ** Changed in: nvidia-graphics-drivers-331 (Ubuntu)
> Status: Triaged => Incomplete
>
> ** Changed in: nvidia-graphics-drivers-331-updates (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1387193).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Ferhat (ferhat-akguen) wrote :

I have attached my logfiles.

Vitaliy Kulikov (slonua) wrote :

nvidia-331 331.89-0ubuntu5: nvidia-331 kernel module failed to build

kbngmal (s-missions) wrote :

--- make.log ---

one@one-P35:~$ cat /var/lib/dkms/bbswitch/kernel-$(uname -r)-$(uname -i)/log/make.log
DKMS make.log for bbswitch-0.7 for kernel 3.16.0-24-generic (x86_64)
Wed Oct 29 11:44:05 MYT 2014
make -C /lib/modules/3.16.0-24-generic/build M="$(pwd)" modules
make[1]: Entering directory '/usr/src/linux-headers-3.16.0-24-generic'
  CC [M] /var/lib/dkms/bbswitch/0.7/build/bbswitch.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC /var/lib/dkms/bbswitch/0.7/build/bbswitch.mod.o
  LD [M] /var/lib/dkms/bbswitch/0.7/build/bbswitch.ko
make[1]: Leaving directory '/usr/src/linux-headers-3.16.0-24-generic'
one@one-P35:~$

-------------------------------------------------

--- gpu-manager.log----

one@one-P35:~$ cat /var/log/gpu-manager.log
log_file: /var/log/gpu-manager.log
last_boot_file: /var/lib/ubuntu-drivers-common/last_gfx_boot
new_boot_file: /var/lib/ubuntu-drivers-common/last_gfx_boot
grep dmesg status 256
dmesg status 256 == 0? No
Is nvidia loaded? yes
Was nvidia unloaded? no
Is nvidia blacklisted? no
Is fglrx loaded? no
Was fglrx unloaded? no
Is fglrx blacklisted? no
Is intel loaded? no
Is radeon loaded? no
Is radeon blacklisted? no
Is nouveau loaded? no
Is nouveau blacklisted? yes
Is fglrx kernel module available? no
Is nvidia kernel module available? yes
Vendor/Device Id: 10de:f00
BusID "PCI:1@0:0:0"
Is boot vga? yes
Skipping "/dev/dri/card0", driven by "nvidia-drm"
Skipping "/dev/dri/card0", driven by "nvidia-drm"
Skipping "/dev/dri/card0", driven by "nvidia-drm"
Does it require offloading? no
last cards number = 1
Has amd? no
Has intel? no
Has nvidia? yes
How many cards? 1
Has the system changed? No
main_arch_path x86_64-linux-gnu, other_arch_path i386-linux-gnu
Current alternative: /usr/lib/nvidia-331-updates/ld.so.conf
Current core alternative: (null)
Is nvidia enabled? yes
Is fglrx enabled? no
Is mesa enabled? no
Is pxpress enabled? no
Is prime enabled? no
Is nvidia available? yes
Is fglrx available? no
Is fglrx-core available? no
Is mesa available? yes
Is pxpress available? no
Is prime available? yes
Single card detected
Driver is already loaded and enabled
Nothing to do
No change - nothing to do
one@one-P35:~$

------------------------------------------------------------------------------

awol (awol99) wrote :

apt-get install nvidia-331-uvm --reinstall

did NOT fix for me.

On Thu, Oct 30, 2014 at 10:25 PM, Björn Ternes <<email address hidden>
> wrote:

> It seems to be that apt-get install nvidia-331-uvm --reinstall fixed
> the problem for me :-)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1386925).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Incomplete
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Incomplete
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

--
Sent from my recycled old computer.
[:C≡N:]− , I ≤ 2πrEħc ln 2

awol (awol99) wrote :

also i can NOT use the "Additional Drivers" GUI to change to any other
driver.

On Fri, Oct 31, 2014 at 9:10 AM, adam wolter <email address hidden> wrote:

> apt-get install nvidia-331-uvm --reinstall
>
> did NOT fix for me.
>
>
> On Thu, Oct 30, 2014 at 10:25 PM, Björn Ternes <
> <email address hidden>> wrote:
>
>> It seems to be that apt-get install nvidia-331-uvm --reinstall fixed
>> the problem for me :-)
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1386925).
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
>> Incomplete
>> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
>> Incomplete
>>
>> Bug description:
>> Nvidia kernel module failed to build on kernel 3.13.0-2
>> Yesterday when the new kernel was pushed, the dkms process failed.
>>
>> ProblemType: Package
>> DistroRelease: Ubuntu 14.04
>> Package: nvidia-331-updates 331.20-0ubuntu9
>> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
>> Uname: Linux 3.12.0-7-generic x86_64
>> ApportVersion: 2.13.1-0ubuntu1
>> Architecture: amd64
>> DKMSKernelVersion: 3.13.0-2-generic
>> Date: Sun Jan 12 01:28:35 2014
>> InstallationDate: Installed on 2013-11-03 (69 days ago)
>> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
>> (20131016.1)
>> PackageVersion: 331.20-0ubuntu9
>> SourcePackage: nvidia-graphics-drivers-331-updates
>> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
>> module failed to build
>> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>>
>
>
>
> --
> Sent from my recycled old computer.
> [:C≡N:]− , I ≤ 2πrEħc ln 2
>
>

--
Sent from my recycled old computer.
[:C≡N:]− , I ≤ 2πrEħc ln 2

Jpphun (jpphun) wrote :

apt-get install nvidia-331-uvm --reinstall worked for me

Dan (dannyhajj) wrote :

I just happened to me as well, Ubuntu 14.10

If it helps, this is the log of apt-get: http://paste.ubuntu.com/8758652/

Maybe these are the problematic lines:

Error! Bad return status for module build on kernel: 3.16.0-24-generic (x86_64)
Consult /var/lib/dkms/nvidia-331/331.89/build/make.log for more information.
sed: -e expression #1, char 6: unknown command: `m'
sed: -e expression #1, char 6: unknown command: `m'

But unfortunately, I can't seem to find the /var/lib/dkms/nvidia-331/331.89/build/make.log file so I can't upload it.

krnkris (krnacs) wrote :

Hi all,

Same thing.

I tried back to Nouveau....
then reinstalled Nvidia all driver
 sudo apt-get install nvidia-current
installed perfectly.

Reboot... nothing changed the drivel is falty.

Detailes:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1388873

Thanks:

Mike Holmes (mike-holmes) wrote :

via the gui or command line does not work for me

:~/git/check-odp$ sudo apt-get install nvidia-331-uvm --reinstall
[sudo] password for xxxxxxx:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer
required:
  linux-image-generic thermald
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
  nvidia-331-uvm
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
1 not fully installed or removed.
Need to get 36.7 MB of archives.
After this operation, 435 kB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ utopic/restricted nvidia-331
amd64 331.89-0ubuntu5 [36.6 MB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ utopic/restricted nvidia-331-uvm
amd64 331.89-0ubuntu5 [64.5 kB]
Fetched 36.7 MB in 2s (14.4 MB/s)
Selecting previously unselected package nvidia-331-uvm.
(Reading database ... 451519 files and directories currently installed.)
Preparing to unpack .../nvidia-331-uvm_331.89-0ubuntu5_amd64.deb ...
Unpacking nvidia-331-uvm (331.89-0ubuntu5) ...
E: Sub-process /usr/bin/dpkg returned an error code (1)

On 3 November 2014 11:00, krnkris <email address hidden> wrote:

> Hi all,
>
> Same thing.
>
> I tried back to Nouveau....
> then reinstalled Nvidia all driver
> sudo apt-get install nvidia-current
> installed perfectly.
>
> Reboot... nothing changed the drivel is falty.
>
> Detailes:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1388873
>
> Thanks:
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1387149).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Incomplete
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Incomplete
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

--
*Mike Holmes*
Linaro Sr Technical Manager
LNG - ODP

Thomas (t.c) wrote :

I have the some problem - look at #1389763 for dkms build log.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Incomplete → Confirmed
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Incomplete → Confirmed
Daniel van Vugt (vanvugt) wrote :

Not sure how, but this appears to have been fixed last week by:

nvidia-graphics-drivers-331-updates (331.89-0ubuntu6) vivid; urgency=medium

  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/buildfix_kernel_3.18.patch:
    - Add support for Linux 3.18.
      Thanks to Rico Tzschichholz for recommending the patch.
 -- Alberto Milone <email address hidden> Thu, 06 Nov 2014 16:31:25 +0100

Daniel van Vugt (vanvugt) wrote :

Although most people are not using vivid. And utopic still has a known broken version. So maybe this is just a lull in the storm.

awol (awol99) wrote :

yes this issue has just gone away for me.

On Wed, Nov 12, 2014 at 1:10 PM, Daniel van Vugt <
<email address hidden>> wrote:

> Although most people are not using vivid. And utopic still has a known
> broken version. So maybe this is just a lull in the storm.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1386925).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Confirmed
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

--
Sent from my recycled old computer.
[:C≡N:]− , I ≤ 2πrEħc ln 2

Daniel van Vugt (vanvugt) wrote :

And yet still a few new duplicates came in over the weekend. Sounds like some other utopic package update might have fixed it, but of course there are always people who haven't updated.

awol (awol99) wrote :

i am also now able to use the "additional drivers" GUI.

not only "if it aint broke don't fix it" BUT "if it aint broke you CAN'T
fix it"

i'd say it is now NOT broke.

On Mon, Nov 17, 2014 at 11:29 AM, Daniel van Vugt <
<email address hidden>> wrote:

> And yet still a few new duplicates came in over the weekend. Sounds like
> some other utopic package update might have fixed it, but of course
> there are always people who haven't updated.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1386925).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Confirmed
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

--
Sent from my recycled old computer.
[:C≡N:]− , I ≤ 2πrEħc ln 2

Erv Bendiks (erv-bendiks) wrote :
Download full text (5.3 KiB)

Agreeing, this kernel update ran with no "nvidia-331-updates" errors. Very
nice. Thank you!

Commit Log for Tue Nov 4 14:43:17 2014

Upgraded the following packages:
cups (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
cups-bsd (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
cups-client (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
cups-common (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
cups-core-drivers (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
cups-daemon (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
cups-ppdc (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
cups-server-common (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
gnome-calculator (1:3.10.3-0ubuntu0.1) to 1:3.10.3-0ubuntu0.1.1
libcups2 (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
libcupscgi1 (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
libcupsimage2 (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
libcupsmime1 (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
libcupsppdc1 (1.7.2-0ubuntu1.2) to 1.7.2-0ubuntu1.3
linux-headers-generic (3.13.0.39.46) to 3.13.0.40.47
linux-image-generic (3.13.0.39.46) to 3.13.0.40.47
linux-libc-dev (3.13.0-39.66) to 3.13.0-40.68
python-cupshelpers (1.4.3+20140219-0ubuntu2.2) to 1.4.3+20140219-0ubuntu2.3
system-config-printer-common (1.4.3+20140219-0ubuntu2.2) to
1.4.3+20140219-0ubuntu2.3
system-config-printer-gnome (1.4.3+20140219-0ubuntu2.2) to
1.4.3+20140219-0ubuntu2.3
xserver-common (2:1.15.1-0ubuntu2.1) to 2:1.15.1-0ubuntu2.2
xserver-xorg-core (2:1.15.1-0ubuntu2.1) to 2:1.15.1-0ubuntu2.2

Installed the following packages:
linux-headers-3.13.0-40 (3.13.0-40.68)
linux-headers-3.13.0-40-generic (3.13.0-40.68)
linux-image-3.13.0-40-generic (3.13.0-40.68)
linux-image-extra-3.13.0-40-generic (3.13.0-40.68)

On Sun, Nov 16, 2014 at 8:53 PM, awol <email address hidden> wrote:

> i am also now able to use the "additional drivers" GUI.
>
> not only "if it aint broke don't fix it" BUT "if it aint broke you CAN'T
> fix it"
>
> i'd say it is now NOT broke.
>
>
> On Mon, Nov 17, 2014 at 11:29 AM, Daniel van Vugt <
> <email address hidden>> wrote:
>
> > And yet still a few new duplicates came in over the weekend. Sounds like
> > some other utopic package update might have fixed it, but of course
> > there are always people who haven't updated.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1386925).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> > Confirmed
> > Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan...

Read more...

rbernard (rafaelbernard) wrote :

My problem solved after installing nvidia-304 instead of nvidia-331.

 ~ dkms status
bbswitch, 0.7, 3.13.0-29-generic, x86_64: installed
bbswitch, 0.7, 3.13.0-30-generic, x86_64: installed
bbswitch, 0.7, 3.13.0-32-generic, x86_64: installed
bbswitch, 0.7, 3.13.0-33-generic, x86_64: installed
bbswitch, 0.7, 3.13.0-34-generic, x86_64: installed
bbswitch, 0.7, 3.13.0-35-generic, x86_64: installed
bbswitch, 0.7, 3.13.0-36-generic, x86_64: installed
bbswitch, 0.7, 3.16.0-23-generic, x86_64: installed
bbswitch, 0.7, 3.16.0-24-generic, x86_64: installed
nvidia-304, 304.123, 3.13.0-29-generic, x86_64: installed
nvidia-304, 304.123, 3.16.0-24-generic, x86_64: installed
sysdig, 0.1.92, 3.13.0-29-generic, x86_64: installed
sysdig, 0.1.92, 3.16.0-24-generic, x86_64: installed
virtualbox, 4.3.18, 3.13.0-29-generic, x86_64: installed
virtualbox, 4.3.18, 3.16.0-24-generic, x86_64: installed
 ~ uname -a
Linux grayx 3.16.0-24-generic #32-Ubuntu SMP Tue Oct 28 13:07:32 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Daniel van Vugt (vanvugt) wrote :

And the problem returned last night. Today we have ~20 new duplicates from users of 14.10.

Lucas (lucastbota) wrote :

Hi daniel, how are you?
 well, I'm sorry if I've opened a duplicated ticket... It wasn't my
intention :(

2014-11-25 0:09 GMT-02:00 Daniel van Vugt <email address hidden>:

> And the problem returned last night. Today we have ~20 new duplicates
> from users of 14.10.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1395948).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Confirmed
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Joachim R. (jro) wrote :
Download full text (3.5 KiB)

This duplicate is my fault, my apport reported a different nvidia version than the nvidia version in the existing bug, so I was not sure it was the same bug.

> Le 25 nov. 2014 à 16:38, Lucas <email address hidden> a écrit :
>
> Hi daniel, how are you?
> well, I'm sorry if I've opened a duplicated ticket... It wasn't my
> intention :(
>
> 2014-11-25 0:09 GMT-02:00 Daniel van Vugt
> <email address hidden>:
>
>> And the problem returned last night. Today we have ~20 new duplicates
>> from users of 14.10.
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1395948).
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
>> Confirmed
>> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Nvidia kernel module failed to build on kernel 3.13.0-2
>> Yesterday when the new kernel was pushed, the dkms process failed.
>>
>> ProblemType: Package
>> DistroRelease: Ubuntu 14.04
>> Package: nvidia-331-updates 331.20-0ubuntu9
>> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
>> Uname: Linux 3.12.0-7-generic x86_64
>> ApportVersion: 2.13.1-0ubuntu1
>> Architecture: amd64
>> DKMSKernelVersion: 3.13.0-2-generic
>> Date: Sun Jan 12 01:28:35 2014
>> InstallationDate: Installed on 2013-11-03 (69 days ago)
>> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
>> (20131016.1)
>> PackageVersion: 331.20-0ubuntu9
>> SourcePackage: nvidia-graphics-drivers-331-updates
>> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
>> module failed to build
>> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>>
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1395893).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Confirmed
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
> PackageVersion: ...

Read more...

Erv Bendiks (erv-bendiks) wrote :
Download full text (4.0 KiB)

This is an observation.. not an assertion of any kind.

This is the second time in a row that I haven't seen the 331 bug.
I did a partial uninstall (some stranded packages left over) of KVM on my
previous iteration of 14.04 and didn't see the bug on a subsequent kernel
update.

Subsequent to *that*, (due to my own errors with BIOS SATA DVD configs) I
had to re-install 14.04.01 Ubuntu. It was without KVM since I don't need
it now. After that, I didn't see the the 331 errors with this latest kernel
update either.

On Tue, Nov 25, 2014 at 10:38 AM, Lucas <email address hidden> wrote:

> Hi daniel, how are you?
> well, I'm sorry if I've opened a duplicated ticket... It wasn't my
> intention :(
>
> 2014-11-25 0:09 GMT-02:00 Daniel van Vugt
> <email address hidden>:
>
> > And the problem returned last night. Today we have ~20 new duplicates
> > from users of 14.10.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1395948).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> > Confirmed
> > Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan 12 01:28:35 2014
> > InstallationDate: Installed on 2013-11-03 (69 days ago)
> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> > (20131016.1)
> > PackageVersion: 331.20-0ubuntu9
> > SourcePackage: nvidia-graphics-drivers-331-updates
> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> > module failed to build
> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
> >
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1372701).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Confirmed
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Packag...

Read more...

Chris Page (chris-page1980-d) wrote :

I'm using 346, I too thought omg it's fixed!! The last couple of updates ran fine with no errors but this latest update has brought the bug back.

Daniel van Vugt (vanvugt) wrote :

Logging duplicates is fine so don't worry. It's not your fault. We really appreciate it when people go to the trouble of logging bugs. Otherwise we may never find out there's a bug that needs fixing.

I think we need more help though. I count 52 new duplicates this past 24 hours.

Davey Burgess (ubuntu-ih) wrote :

53, I'm following the main thread and just had the same issue. I
suppressed the reporting since you guys already have plenty of log files
to wade through! :)

On 11/25/2014 06:57 PM, Daniel van Vugt wrote:
> Logging duplicates is fine so don't worry. It's not your fault. We
> really appreciate it when people go to the trouble of logging bugs.
> Otherwise we may never find out there's a bug that needs fixing.
>
> I think we need more help though. I count 52 new duplicates this past 24
> hours.
>

Timo Aaltonen (tjaalton) on 2014-11-26
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Alberto Milone (albertomilone) wrote :

Unfortunately the following is a rather generic error (which can be caused be a number of problems), and there's no way to see what went wrong, as the Makefile is probably hiding the actual error:

objdump: '/var/lib/dkms/nvidia-331-updates/331.20/build/.tmp_nv.o': No such file
mv: cannot stat ‘/var/lib/dkms/nvidia-331-updates/331.20/build/.tmp_nv.o’: No such file or directory

No wonder this bug report has so many duplicates, different problems leading to the same "error".

Bart Willemsen (b-willemsen8) wrote :

Even though the problem reported is of a DKMS module failing to build, my output with 'dkms status' shows that NVIDIA is properly installed:

$ uname -r
> 3.16.0-25-generic
$ dkms status
> bbswitch, 0.7, 3.16.0-24-generic, x86_64: installed
> bbswitch, 0.7, 3.16.0-25-generic, x86_64: installed
> nvidia-331-updates, 331.89, 3.16.0-24-generic, x86_64: installed
> nvidia-331-updates, 331.89, 3.16.0-25-generic, x86_64: installed
> nvidia-331-updates-uvm, 331.89, 3.16.0-24-generic, x86_64: installed
> nvidia-331-updates-uvm, 331.89, 3.16.0-25-generic, x86_64: installed
> virtualbox, 4.3.18, 3.16.0-24-generic, x86_64: installed
> virtualbox, 4.3.18, 3.16.0-25-generic, x86_64: installed

Also did some testing, and it didn't break the driver. I can switch from my Intel to NVIDIA with no problems and 3D programs run normally.

rbscycle@yahoo.ca (rbscycle) wrote :

I find 14.10 a bit buggy. I frequently get this "System has reported a
problem, Package failed to install" message. I have not had these
problems in past versions of Ubuntu. I'm thinking I should go back to
14.04 and wait for the fog to clear.

On 2014-11-26 05:13 AM, Alberto Milone wrote:
> Unfortunately the following is a rather generic error (which can be
> caused be a number of problems), and there's no way to see what went
> wrong, as the Makefile is probably hiding the actual error:
>
> objdump: '/var/lib/dkms/nvidia-331-updates/331.20/build/.tmp_nv.o': No such file
> mv: cannot stat ‘/var/lib/dkms/nvidia-331-updates/331.20/build/.tmp_nv.o’: No such file or directory
>
> No wonder this bug report has so many duplicates, different problems
> leading to the same "error".
>

--

d❤vid (kwill) wrote :

Alternatively, 14.10 is better at picking up a previously existing issue :D

(More seriously, though, I recall Apport sometimes providing a "hide further instances of this error" option. I wonder why it doesn't come up in this case?)

@albertomilone In this case is there any kind of debug package we can install to provide more detailed error reports? Or does that not really apply to Makefiles?

Indeed. I have much more alert of this kind since 14.10.
System update is a huge source of problems, an gnome15 became unusable too.

> Le 26 nov. 2014 à 15:42, <email address hidden> a écrit :
>
> I find 14.10 a bit buggy. I frequently get this "System has reported a
> problem, Package failed to install" message. I have not had these
> problems in past versions of Ubuntu. I'm thinking I should go back to
> 14.04 and wait for the fog to clear.
>
> On 2014-11-26 05:13 AM, Alberto Milone wrote:
>> Unfortunately the following is a rather generic error (which can be
>> caused be a number of problems), and there's no way to see what went
>> wrong, as the Makefile is probably hiding the actual error:
>>
>> objdump: '/var/lib/dkms/nvidia-331-updates/331.20/build/.tmp_nv.o': No such file
>> mv: cannot stat ‘/var/lib/dkms/nvidia-331-updates/331.20/build/.tmp_nv.o’: No such file or directory
>>
>> No wonder this bug report has so many duplicates, different problems
>> leading to the same "error".
>>
>
> --
>
>
> ** Attachment added: "ronnie6.png"
> https://bugs.launchpad.net/bugs/1268257/+attachment/4269026/+files/ronnie6.png
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1395893).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Confirmed
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions

On 26-11-14 15:09:54, d❤vid seaward wrote:
> @albertomilone In this case is there any kind of debug package we can
> install to provide more detailed error reports? Or does that not really
> apply to Makefiles?

The Makefile/build system should really go back to showing the actual
build error. This makes my life as a maintainer more difficult.

Naviathan (naviathan) wrote :

objdump: '/var/lib/dkms/nvidia-331-updates/331.89/build/.tmp_nv.o': No such file
mv: cannot stat ‘/var/lib/dkms/nvidia-331-updates/331.89/build/.tmp_nv.o’: No such file or directory
scripts/Makefile.build:257: recipe for target '/var/lib/dkms/nvidia-331-updates/331.89/build/nv.o' failed
make[2]: *** [/var/lib/dkms/nvidia-331-updates/331.89/build/nv.o] Error 1
Makefile:1345: recipe for target '_module_/var/lib/dkms/nvidia-331-updates/331.89/build' failed
make[1]: *** [_module_/var/lib/dkms/nvidia-331-updates/331.89/build] Error 2
make[1]: Leaving directory '/usr/src/linux-headers-3.16.0-26-generic'
NVIDIA: left KBUILD.
nvidia.ko failed to build!
Makefile:178: recipe for target 'nvidia.ko' failed
make: *** [nvidia.ko] Error 1

Nick B. (futurepilot) wrote :

Same here. I saw the error that the DKMS module failed to build however the
Nvidia driver is still working fine.

On Wednesday, November 26, 2014 11:06:37 AM Bart Willemsen wrote:
> Even though the problem reported is of a DKMS module failing to build,
> my output with 'dkms status' shows that NVIDIA is properly installed:
>
> $ uname -r
>
> > 3.16.0-25-generic
>
> $ dkms status
>
> > bbswitch, 0.7, 3.16.0-24-generic, x86_64: installed
> > bbswitch, 0.7, 3.16.0-25-generic, x86_64: installed
> > nvidia-331-updates, 331.89, 3.16.0-24-generic, x86_64: installed
> > nvidia-331-updates, 331.89, 3.16.0-25-generic, x86_64: installed
> > nvidia-331-updates-uvm, 331.89, 3.16.0-24-generic, x86_64: installed
> > nvidia-331-updates-uvm, 331.89, 3.16.0-25-generic, x86_64: installed
> > virtualbox, 4.3.18, 3.16.0-24-generic, x86_64: installed
> > virtualbox, 4.3.18, 3.16.0-25-generic, x86_64: installed
>
> Also did some testing, and it didn't break the driver. I can switch from
> my Intel to NVIDIA with no problems and 3D programs run normally.

Cavsfan (cavsfan) wrote :

I agree that this error is not really an error and does not affect the DKMS modules at all.
I get the error when a new kernel is installed but the nvidia-331 and nvidia-331-uvm DKMS modules are successfully built.
This can be seen when the kernel is subsequently removed and the DKMS modules are successfully removed.

Also, in 14.10 since it is in final release you probably want to turn off the bug reports as I did and I believe is customary after a version release with this command:
sudo sh -c 'echo "enabled=0" > /etc/default/apport'

Boilerhouse (sbanner) wrote :

Cavsfan

Thank you for your reply, much appreciated.
Best wishes and regards

On 30 November 2014 at 21:20, Cavsfan <email address hidden> wrote:

> I agree that this error is not really an error and does not affect the
> DKMS modules at all.
> I get the error when a new kernel is installed but the nvidia-331 and
> nvidia-331-uvm DKMS modules are successfully built.
> This can be seen when the kernel is subsequently removed and the DKMS
> modules are successfully removed.
>
> Also, in 14.10 since it is in final release you probably want to turn off
> the bug reports as I did and I believe is customary after a version release
> with this command:
> sudo sh -c 'echo "enabled=0" > /etc/default/apport'
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1395825).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

İsmail Arılık (msms6174) wrote :

Thanks for your reply. But I did not understand why may I want to turn off
the bug reports. Why is it customary? It is exactly possible a final
release may have bugs. Who is apport them?
30 Kas 2014 23:30 tarihinde "Cavsfan" <email address hidden> yazdı:

> I agree that this error is not really an error and does not affect the
> DKMS modules at all.
> I get the error when a new kernel is installed but the nvidia-331 and
> nvidia-331-uvm DKMS modules are successfully built.
> This can be seen when the kernel is subsequently removed and the DKMS
> modules are successfully removed.
>
> Also, in 14.10 since it is in final release you probably want to turn off
> the bug reports as I did and I believe is customary after a version release
> with this command:
> sudo sh -c 'echo "enabled=0" > /etc/default/apport'
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1397071).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Confirmed
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Cavsfan (cavsfan) wrote :
Download full text (3.6 KiB)

I guess it's up to you. I don't think most people want to see bug
reports popping up on a final releases, especially LTS versions which
most of mine are. That is what I have always seen in the past. Disable
Apport Error Reporting in Ubuntu 14.10
<http://ubuntuhandbook.org/index.php/2014/09/disable-apport-error-reporting-ubuntu-14-10/>
There is one link that states "Reporting bugs is important, it helps
improving system stability, but if you’re constantly getting crash
report popups, you may want to disable it."
I've got 7 operating systems on my computer and one of them is 15.04
development. But for Precise 12.04 and the others I turned error
reporting off. So, while a system is in development I definitely leave
bug reporting on then once it hits final release I usually replace that
OS with the next development release.

I do not rely on short term releases, I mainly stick with LTS versions.
So, I guess it is a matter of preference.
What's the difference between a Long Term Support Release and a Normal
Release?
<http://askubuntu.com/questions/16366/whats-the-difference-between-a-long-term-support-release-and-a-normal-release>
provides some more information.
But, the bottom line is that is up to you.
On 12/01/2014 12:16 AM, İsmail Arılık wrote:
> Thanks for your reply. But I did not understand why may I want to turn off
> the bug reports. Why is it customary? It is exactly possible a final
> release may have bugs. Who is apport them?
> 30 Kas 2014 23:30 tarihinde "Cavsfan" <email address hidden> yazdı:
>
>> I agree that this error is not really an error and does not affect the
>> DKMS modules at all.
>> I get the error when a new kernel is installed but the nvidia-331 and
>> nvidia-331-uvm DKMS modules are successfully built.
>> This can be seen when the kernel is subsequently removed and the DKMS
>> modules are successfully removed.
>>
>> Also, in 14.10 since it is in final release you probably want to turn off
>> the bug reports as I did and I believe is customary after a version release
>> with this command:
>> sudo sh -c 'echo "enabled=0" > /etc/default/apport'
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1397071).
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>> Confirmed
>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Nvidia kernel module failed to build on kernel 3.13.0-2
>> Yesterday when the new kernel was pushed, the dkms process failed.
>>
>> ProblemType: Package
>> DistroRelease: Ubuntu 14.04
>> Package: nvidia-331-updates 331.20-0ubuntu9
>> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
>> Uname: Linux 3.12.0-7-generic x86_64
>> ApportVersion: 2.13.1-0ubuntu1
>> Architecture: amd64
>> DKMSKernelVersion: 3.13.0-2-generic
>> Date: Sun Jan 12 01:28:35 2014
>> InstallationDate: Installed on 2013-11-03 (69 days ago)
>> ...

Read more...

İsmail Arılık (msms6174) wrote :
Download full text (5.7 KiB)

You are right, but a big part of the folk uses LTSs and I think LTSs
deserve most working on bug fixes. It is clear that the community is
substantial for fixing bugs. So I think programmers should enable bug
reports and help to maintain LTSs but of course non-programmers will be
bored and not want from the apports.
1 Ara 2014 20:05 tarihinde "Cavsfan" <email address hidden> yazdı:

> I guess it's up to you. I don't think most people want to see bug
> reports popping up on a final releases, especially LTS versions which
> most of mine are. That is what I have always seen in the past. Disable
> Apport Error Reporting in Ubuntu 14.10
> <
> http://ubuntuhandbook.org/index.php/2014/09/disable-apport-error-reporting-ubuntu-14-10/
> >
> There is one link that states "Reporting bugs is important, it helps
> improving system stability, but if you’re constantly getting crash
> report popups, you may want to disable it."
> I've got 7 operating systems on my computer and one of them is 15.04
> development. But for Precise 12.04 and the others I turned error
> reporting off. So, while a system is in development I definitely leave
> bug reporting on then once it hits final release I usually replace that
> OS with the next development release.
>
> I do not rely on short term releases, I mainly stick with LTS versions.
> So, I guess it is a matter of preference.
> What's the difference between a Long Term Support Release and a Normal
> Release?
> <
> http://askubuntu.com/questions/16366/whats-the-difference-between-a-long-term-support-release-and-a-normal-release
> >
> provides some more information.
> But, the bottom line is that is up to you.
> On 12/01/2014 12:16 AM, İsmail Arılık wrote:
> > Thanks for your reply. But I did not understand why may I want to turn
> off
> > the bug reports. Why is it customary? It is exactly possible a final
> > release may have bugs. Who is apport them?
> > 30 Kas 2014 23:30 tarihinde "Cavsfan" <email address hidden>
> yazdı:
> >
> >> I agree that this error is not really an error and does not affect the
> >> DKMS modules at all.
> >> I get the error when a new kernel is installed but the nvidia-331 and
> >> nvidia-331-uvm DKMS modules are successfully built.
> >> This can be seen when the kernel is subsequently removed and the DKMS
> >> modules are successfully removed.
> >>
> >> Also, in 14.10 since it is in final release you probably want to turn
> off
> >> the bug reports as I did and I believe is customary after a version
> release
> >> with this command:
> >> sudo sh -c 'echo "enabled=0" > /etc/default/apport'
> >>
> >> --
> >> You received this bug notification because you are subscribed to a
> >> duplicate bug report (1397071).
> >> https://bugs.launchpad.net/bugs/1268257
> >>
> >> Title:
> >> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> >> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> >> file"
> >>
> >> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> >> Confirmed
> >> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> >> Confirmed
> >>
> >> Bug description:
> >> Nvidia kernel module failed to build on kernel ...

Read more...

İsmail Arılık (msms6174) wrote :
Download full text (5.4 KiB)

Also thanks for your informative reply.
1 Ara 2014 20:05 tarihinde "Cavsfan" <email address hidden> yazdı:

> I guess it's up to you. I don't think most people want to see bug
> reports popping up on a final releases, especially LTS versions which
> most of mine are. That is what I have always seen in the past. Disable
> Apport Error Reporting in Ubuntu 14.10
> <
> http://ubuntuhandbook.org/index.php/2014/09/disable-apport-error-reporting-ubuntu-14-10/
> >
> There is one link that states "Reporting bugs is important, it helps
> improving system stability, but if you’re constantly getting crash
> report popups, you may want to disable it."
> I've got 7 operating systems on my computer and one of them is 15.04
> development. But for Precise 12.04 and the others I turned error
> reporting off. So, while a system is in development I definitely leave
> bug reporting on then once it hits final release I usually replace that
> OS with the next development release.
>
> I do not rely on short term releases, I mainly stick with LTS versions.
> So, I guess it is a matter of preference.
> What's the difference between a Long Term Support Release and a Normal
> Release?
> <
> http://askubuntu.com/questions/16366/whats-the-difference-between-a-long-term-support-release-and-a-normal-release
> >
> provides some more information.
> But, the bottom line is that is up to you.
> On 12/01/2014 12:16 AM, İsmail Arılık wrote:
> > Thanks for your reply. But I did not understand why may I want to turn
> off
> > the bug reports. Why is it customary? It is exactly possible a final
> > release may have bugs. Who is apport them?
> > 30 Kas 2014 23:30 tarihinde "Cavsfan" <email address hidden>
> yazdı:
> >
> >> I agree that this error is not really an error and does not affect the
> >> DKMS modules at all.
> >> I get the error when a new kernel is installed but the nvidia-331 and
> >> nvidia-331-uvm DKMS modules are successfully built.
> >> This can be seen when the kernel is subsequently removed and the DKMS
> >> modules are successfully removed.
> >>
> >> Also, in 14.10 since it is in final release you probably want to turn
> off
> >> the bug reports as I did and I believe is customary after a version
> release
> >> with this command:
> >> sudo sh -c 'echo "enabled=0" > /etc/default/apport'
> >>
> >> --
> >> You received this bug notification because you are subscribed to a
> >> duplicate bug report (1397071).
> >> https://bugs.launchpad.net/bugs/1268257
> >>
> >> Title:
> >> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> >> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> >> file"
> >>
> >> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> >> Confirmed
> >> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> >> Confirmed
> >>
> >> Bug description:
> >> Nvidia kernel module failed to build on kernel 3.13.0-2
> >> Yesterday when the new kernel was pushed, the dkms process failed.
> >>
> >> ProblemType: Package
> >> DistroRelease: Ubuntu 14.04
> >> Package: nvidia-331-updates 331.20-0ubuntu9
> >> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> >> ...

Read more...

Daniel van Vugt (vanvugt) wrote :

Bug 1398212 is very similar but it's showing a bus error (core dump) from "./scripts/recordmcount", which might be relevant.

İsmail Arılık (msms6174) wrote :

Thanks...
2 Ara 2014 04:16 tarihinde "Daniel van Vugt" <email address hidden>
yazdı:

> Bug 1398212 is very similar but it's showing a bus error (core dump)
> from "./scripts/recordmcount", which might be relevant.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1397071).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Confirmed
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Confirmed → Triaged
Bart Willemsen (b-willemsen8) wrote :

Just as an added thing.. today the module said it failed building again with the latest Linux kernel update in Ubuntu 14.04

Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Triaged → Fix Released
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → Fix Released
JP (vectorpoem) wrote :

When I try to run

sudo apt-get install nvidia-331-uvm --reinstall

as recommended above, I get this result:

Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libcuda1-331 nvidia-331 nvidia-opencl-icd-331
The following packages will be REMOVED:
  nvidia-331-updates
The following NEW packages will be installed:
  libcuda1-331 nvidia-331 nvidia-331-uvm nvidia-opencl-icd-331
0 upgraded, 4 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0 B/53.2 MB of archives.
After this operation, 54.3 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 501203 files and directories currently installed.)
Removing nvidia-331-updates (331.113-0ubuntu0.1) ...
stop: Unknown instance:
userdel: user nvidia-persistenced is currently used by process 2076
dpkg: error processing package nvidia-331-updates (--remove):
 subprocess installed post-removal script returned error exit status 8
Errors were encountered while processing:
 nvidia-331-updates
E: Sub-process /usr/bin/dpkg returned an error code (1)

How can I address this?

SimonOR (voluntaryuk) wrote :

On 11/12/14 19:49, JP wrote:
> When I try to run
>
> sudo apt-get install nvidia-331-uvm --reinstall
>
> as recommended above, I get this result:
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following extra packages will be installed:
> libcuda1-331 nvidia-331 nvidia-opencl-icd-331
> The following packages will be REMOVED:
> nvidia-331-updates
> The following NEW packages will be installed:
> libcuda1-331 nvidia-331 nvidia-331-uvm nvidia-opencl-icd-331
> 0 upgraded, 4 newly installed, 1 to remove and 0 not upgraded.
> 1 not fully installed or removed.
> Need to get 0 B/53.2 MB of archives.
> After this operation, 54.3 MB of additional disk space will be used.
> Do you want to continue? [Y/n] y
> (Reading database ... 501203 files and directories currently installed.)
> Removing nvidia-331-updates (331.113-0ubuntu0.1) ...
> stop: Unknown instance:
> userdel: user nvidia-persistenced is currently used by process 2076
> dpkg: error processing package nvidia-331-updates (--remove):
> subprocess installed post-removal script returned error exit status 8
> Errors were encountered while processing:
> nvidia-331-updates
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> How can I address this?

sudo dpkg-reconfigure xserver-xorg

Download full text (6.1 KiB)

Just adding more data. When I wanted to `apt-get install linux-headers-3.16.0-28 linux-headers-3.16.0-28-generic` I saw these errors:

run-parts: executing /etc/kernel/header_postinst.d/dkms 3.16.0-28-generic /boot/vmlinuz-3.16.0-28-generic
Error! Bad return status for module build on kernel: 3.16.0-28-generic (x86_64)

Here more context from the make.log:

$ cat /var/lib/dkms/nvidia-331/331.113/build/make.log
DKMS make.log for nvidia-331-331.113 for kernel 3.16.0-28-generic (x86_64)
Fri Dec 12 11:21:35 NZDT 2014
NVIDIA: calling KBUILD...
make[1]: Entering directory '/usr/src/linux-headers-3.16.0-28-generic'
test -e include/generated/autoconf.h -a -e include/config/auto.conf || ( \
echo >&2; \
echo >&2 " ERROR: Kernel configuration is invalid."; \
echo >&2 " include/generated/autoconf.h or include/config/auto.conf are missing.";\
echo >&2 " Run 'make oldconfig && make prepare' on kernel src to fix it."; \
echo >&2 ; \
/bin/false)
mkdir -p /var/lib/dkms/nvidia-331/331.113/build/.tmp_versions ; rm -f /var/lib/dkms/nvidia-331/331.113/build/.tmp_versions/*
make -f scripts/Makefile.build obj=/var/lib/dkms/nvidia-331/331.113/build
  cc -Wp,-MD,/var/lib/dkms/nvidia-331/331.113/build/.nv.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/4.9/include -I./arch/x86/include -Iarch/x86/include/generated -Iinclude -I./arch/x86/include/uapi -Iarch/x86/include/generated/uapi -I./include/uapi -Iinclude/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Wno-format-security -m64 -mno-mmx -mno-sse -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -maccumulate-outgoing-args -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -fno-delete-null-pointer-checks -O2 -Wframe-larger-than=1024 -fstack-protector -Wno-unused-but-set-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -DCC_HAVE_ASM_GOTO -DNV_MODULE_INSTANCE=0 -DNV_BUILD_MODULE_INSTANCES=0 -UDEBUG -U_DEBUG -DNDEBUG -I/var/lib/dkms/nvidia-331/331.113/build -Wall -MD -Wsign-compare -Wno-cast-qual -Wno-error -D__KERNEL__ -DMODULE -DNVRM -DNV_VERSION_STRING=\"331.113\" -Wno-unused-function -Wuninitialized -mno-red-zone -mcmodel=kernel -DNV_UVM_ENABLE -D__linux__ -DNV_DEV_NAME=\"nvidia\" -DMODULE -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(nv)" -D"KBUILD_MODNAME=KBUILD_STR(nvidia)" -c -o /var/lib/dkms/nvidia-331/331.113/build/.tmp_nv.o /var/lib/dkms/nvidia-331/331.113/build/nv.c
In file included from include/uapi/linux/stddef.h:1:0,
                 from include/linux/stddef.h:4,
                 from ./include...

Read more...

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Fix Released → Triaged
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Fix Released → Triaged
LuoZheng (htfy96) wrote :

I was confronted with the same error as #77's.
Here is my log file of nvidia-331-uvm.

LuoZheng (htfy96) wrote :

Maybe I've got a patch on 14.10 with 3.18 to make dkms work successfully(probably just a workout or unstable)

1. Copy this patch to /var/lib/dkms/nvidia-331/331.113/source/patches
2.Modify /var/lib/dkms/nvidia-331/331.113/source/dkms.conf and add
PATCH[0]="add_header_drm_gem.patch"
3.Run
sudo dkms install -m nvidia-331 -v 331.113

hedwin koning (hedwin-koning) wrote :

You have it also for 14.04?

On Fri, Dec 12, 2014, 11:51 LuoZheng <email address hidden> wrote:

> Maybe I've got a patch on 14.10 with 3.18 to make dkms work
> successfully(probably just a workout or unstable)
>
> 1. Copy this patch to /var/lib/dkms/nvidia-331/331.113/source/patches
> 2.Modify /var/lib/dkms/nvidia-331/331.113/source/dkms.conf and add
> PATCH[0]="add_header_drm_gem.patch"
> 3.Run
> sudo dkms install -m nvidia-331 -v 331.113
>
> ** Patch added: "add_header_drm_gem.patch"
> https://bugs.launchpad.net/ubuntu/+source/nvidia-
> graphics-drivers-331-updates/+bug/1268257/+attachment/
> 4279409/+files/add_header_drm_gem.patch
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1401631).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nvidia-
> graphics-drivers-331/+bug/1268257/+subscriptions
>

ekremerguder (ekremerguder) wrote :

i've installed 3.18 and nvidia 346.** works properly now, thank you.

LuoZheng (htfy96) wrote :

Well, this patch hasn't been tested on any other version. But I guess it may work on kernel 3.17 or above (since my dkms on 3.17 produced the same error message before this patch)
> You have it also for 14.04?

The attachment "add_header_drm_gem.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Etienne URBAH (eurbah) wrote :

For me, this bug appeared with Linux kernel 3.16.0-28.37, and disappeared with Linux kernel 3.16.0-28.38

Andreas (andreas-rabus) wrote :

Didn't had Bug in the last two kerne updates.

:)

2014-12-18 1:57 GMT+01:00 Etienne URBAH <email address hidden>:
>
> For me, this bug appeared with Linux kernel 3.16.0-28.37, and
> disappeared with Linux kernel 3.16.0-28.38
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1395828).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Download full text (4.7 KiB)

El 18/12/14 a las 19:29, Andreas escribió:
> Didn't had Bug in the last two kerne updates.
>
> :)

This is 14.10, ever updated.

/var/log/kern.log

Dec 18 15:26:49 casa kernel: [1189701.037950] NVRM: API mismatch: the
client has the version 331.113, but
Dec 18 15:26:49 casa kernel: [1189701.037950] NVRM: this kernel module
has the version 331.89. Please
Dec 18 15:26:49 casa kernel: [1189701.037950] NVRM: make sure that this
kernel module and all NVIDIA driver
Dec 18 15:26:49 casa kernel: [1189701.037950] NVRM: components have the
same version.
Dec 18 15:26:49 casa kernel: [1189701.037956] NVRM:
nvidia_frontend_ioctl: minor 255, module->ioctl failed, error -22
Dec 18 15:38:30 casa kernel: [1190402.378705] NVRM: API mismatch: the
client has the version 331.113, but
Dec 18 15:38:30 casa kernel: [1190402.378705] NVRM: this kernel module
has the version 331.89. Please
Dec 18 15:38:30 casa kernel: [1190402.378705] NVRM: make sure that this
kernel module and all NVIDIA driver
Dec 18 15:38:30 casa kernel: [1190402.378705] NVRM: components have the
same version.
Dec 18 15:38:30 casa kernel: [1190402.378709] NVRM:
nvidia_frontend_ioctl: minor 255, module->ioctl failed, error -22
Dec 18 15:47:24 casa kernel: [1190936.721255] NVRM: API mismatch: the
client has the version 331.113, but
Dec 18 15:47:24 casa kernel: [1190936.721255] NVRM: this kernel module
has the version 331.89. Please
Dec 18 15:47:24 casa kernel: [1190936.721255] NVRM: make sure that this
kernel module and all NVIDIA driver
Dec 18 15:47:24 casa kernel: [1190936.721255] NVRM: components have the
same version.
Dec 18 15:47:24 casa kernel: [1190936.721259] NVRM:
nvidia_frontend_ioctl: minor 255, module->ioctl failed, error -22
Dec 18 16:03:45 casa kernel: [1191917.671835] NVRM: API mismatch: the
client has the version 331.113, but
Dec 18 16:03:45 casa kernel: [1191917.671835] NVRM: this kernel module
has the version 331.89. Please
Dec 18 16:03:45 casa kernel: [1191917.671835] NVRM: make sure that this
kernel module and all NVIDIA driver
Dec 18 16:03:45 casa kernel: [1191917.671835] NVRM: components have the
same version.
Dec 18 16:03:45 casa kernel: [1191917.671840] NVRM:
nvidia_frontend_ioctl: minor 255, module->ioctl failed, error -22
Dec 18 18:16:35 casa kernel: [1199891.089966] NVRM: API mismatch: the
client has the version 331.113, but
Dec 18 18:16:35 casa kernel: [1199891.089966] NVRM: this kernel module
has the version 331.89. Please
Dec 18 18:16:35 casa kernel: [1199891.089966] NVRM: make sure that this
kernel module and all NVIDIA driver
Dec 18 18:16:35 casa kernel: [1199891.089966] NVRM: components have the
same version.
Dec 18 18:16:35 casa kernel: [1199891.089971] NVRM:
nvidia_frontend_ioctl: minor 255, module->ioctl failed, error -22

uname -a

Linux casa 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014
x86_64 x86_64 x86_64 GNU/Linux

TIA

> 2014-12-18 1:57 GMT+01:00 Etienne URBAH <email address hidden>:
>> For me, this bug appeared with Linux kernel 3.16.0-28.37, and
>> disappeared with Linux kernel 3.16.0-28.38
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1395828).
>> https://bugs...

Read more...

David Harper (inquisitivedave) wrote :

Just had this one again after a period of relative stability! :(

Software Updater said something about "check the log in /var/lib/dkms/nvidia-331/331.113/build/make.log" but then deleted it as part of the clean-up process.

I've run sudo dpkg-reconfigure nvidia-331 and it's all worked ok, so I'm hoping I'll be safe after a reboot.

Cavsfan (cavsfan) wrote :

I installed Vivid Alpha 1 from ISO yesterday and when I installed the 331.113 drivers I did not get this error at all.
Everything was normal.

Daniel van Vugt (vanvugt) wrote :

You will find this bug comes and goes according to kernel updates and not nvidia updates. Because it's a DKMS build failure -- it rebuilds your existing nvidia driver against all kernels you have installed whenever your set of kernels changes.

Daniel (dandauchy) wrote :

ah i see. How do i fix it? Right now, after the last update, whenever I
boot I get a blank screen (i don't even get to the login screen). Seems
like my graphics drivers are all messed up.

On Fri, Dec 19, 2014 at 10:42 PM, Daniel van Vugt <
<email address hidden>> wrote:

> You will find this bug comes and goes according to kernel updates and
> not nvidia updates. Because it's a DKMS build failure -- it rebuilds
> your existing nvidia driver against all kernels you have installed
> whenever your set of kernels changes.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1397619).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Robin (robingape) wrote :

Daniel,

you could try:

1) get to a root command line interface on boot (hold down the shift key if grub doesn't normally appear)

2A) select recovery, then root login

2B) at the root command line enter:
sudo dpkg-reconfigure nvidia-331

OR

1) get to grub (hold down the shift key if grub doesn't normally appear)

2A) select recovery

2B) select failsafe X

3) then,after continuing the boot and then logging in, from a terminal issue the command:
sudo dpkg-reconfigure nvidia-331

The reconfigure incantation forces the kernel package to be rebuilt.

YMMV! If your machine still fails to reboot with a working X server, or your kitten cries, or whatever, that's your responsibility!

Good luck

R.

Thanks for your support! Ubuntu is not saying it again so i think its okay
right now.
Op 20 dec. 2014 18:11 schreef "Robin" <email address hidden>:

> Daniel,
>
> you could try:
>
> 1) get to a root command line interface on boot (hold down the shift key
> if grub doesn't normally appear)
>
> 2A) select recovery, then root login
>
> 2B) at the root command line enter:
> sudo dpkg-reconfigure nvidia-331
>
> OR
>
> 1) get to grub (hold down the shift key if grub doesn't normally appear)
>
> 2A) select recovery
>
> 2B) select failsafe X
>
> 3) then,after continuing the boot and then logging in, from a terminal
> issue the command:
> sudo dpkg-reconfigure nvidia-331
>
> The reconfigure incantation forces the kernel package to be rebuilt.
>
> YMMV! If your machine still fails to reboot with a working X server, or
> your kitten cries, or whatever, that's your responsibility!
>
> Good luck
>
> R.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1404071).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

This issue appeared for me when I was running an older kernel that was no longer in the latest repositories. Once I installed and rebooted into the most recent kernel the driver installed fine.

snurfle (snurfle) wrote :

Brand new installation of 14.04, this error showed up on the first reboot, nothing else installed or loaded. Bug report is apparently a duplicate of this one. Lots of messages to look through on this one, but figured I'd add mine as well. Kinda frustrating to do a fresh install to get rid of all the issues caused by the latest updates only to have a bunch of new issues show up, especially in a LTS.

Wrwrwr (wrwrwr) wrote :

Appears since dist upgrade from 12.04. Similar DKSM log as in the comment #79 -- starting with: "make[1]: Entering directory `/usr/src/linux-headers-3.13.0-44-generic'" and missing "include/generated/autoconf.h".

dino99 (9d9) wrote :

Here is a workaround to force nvidia compilation with a new kernel:

-first be sure to get both 2 kernel headers & both 2 kernel images installed
- then inside /usr/src/nvidia ... /

Change f_dentry to f_path.dentry in nv.c and nv-frontend.c files.
 And change MODULE_LICENSE("NVIDIA"); to MODULE_LICENSE("GPL"); in the same files.

- when the changes are made and saved, then reinstall the 4 kernel files: you should no more see compilation errors, and get a smooth boot with that kernel.

Aneesh Neelam (aneesh-neelam) wrote :

This occurs on Utopic as well.

The Nvidia DKMS process failed for nvidia-331.113 when upgrading from kernel-3.16.0-28-generic-x86_64 to kernel-3.16.0-29-generic-x86_64.

Have to manually reinstall nvidia-331 and nvidia-331-uvm by,
# apt-get install nvidia-331 nvidia-331-uvm --reinstall
after every kernel upgrade.

snurfle (snurfle) wrote :

This is not a "new" kernel. This is wherever comes with the downloaded
Ubuntu 14.04.
On Jan 11, 2015 3:16 AM, "dino99" <email address hidden> wrote:

> Here is a workaround to force nvidia compilation with a new kernel:
>
> -first be sure to get both 2 kernel headers & both 2 kernel images
> installed
> - then inside /usr/src/nvidia ... /
>
> Change f_dentry to f_path.dentry in nv.c and nv-frontend.c files.
> And change MODULE_LICENSE("NVIDIA"); to MODULE_LICENSE("GPL"); in the
> same files.
>
> - when the changes are made and saved, then reinstall the 4 kernel
> files: you should no more see compilation errors, and get a smooth boot
> with that kernel.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1405836).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Jerry Stringer (toycrawler81) wrote :
Download full text (4.0 KiB)

I have gtx 780 directcu ii. Upgraded to 340.65 by adding Nvidia xorg PPA no
issues now. Also updated to 3.17 kernel. Driver updates now show up in
additional drivers too.

On Mon, Jan 12, 2015, 11:36 AM snurfle <email address hidden> wrote:

> This is not a "new" kernel. This is wherever comes with the downloaded
> Ubuntu 14.04.
> On Jan 11, 2015 3:16 AM, "dino99" <email address hidden> wrote:
>
> > Here is a workaround to force nvidia compilation with a new kernel:
> >
> > -first be sure to get both 2 kernel headers & both 2 kernel images
> > installed
> > - then inside /usr/src/nvidia ... /
> >
> > Change f_dentry to f_path.dentry in nv.c and nv-frontend.c
> files.
> > And change MODULE_LICENSE("NVIDIA"); to MODULE_LICENSE("GPL"); in the
> > same files.
> >
> > - when the changes are made and saved, then reinstall the 4 kernel
> > files: you should no more see compilation errors, and get a smooth boot
> > with that kernel.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1405836).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > Triaged
> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan 12 01:28:35 2014
> > InstallationDate: Installed on 2013-11-03 (69 days ago)
> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> > (20131016.1)
> > PackageVersion: 331.20-0ubuntu9
> > SourcePackage: nvidia-graphics-drivers-331-updates
> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> > module failed to build
> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
> >
> > To manage notifications about this bug go to:
> >
> > https://bugs.launchpad.net/ubuntu/+source/nvidia-
> graphics-drivers-331/+bug/1268257/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1409346).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemTyp...

Read more...

The same as in comment #101 for nvidia-331-updates on 14.10 (utopic)

nvidia-331-updates 331.113-0ubuntu0.1: nvidia-331-updates kernel module failed to build

Julia (juliabanks) wrote :

I also just had this happen same as comment #101 for 14.10 too, but on regular nvidia 331 non updates (tested) version too. (The default version of nvidia 331 under Additional Drivers that came when I did a fresh install of Ubuntu 14.10 a couple weeks ago.)

Same failed to build error message. Manually reinstalling nvidia-331 and nvidia-331-uvm solved the problem for me too.

traaf (traaf) on 2015-01-13
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → In Progress
Uğur Emir (uguremir) on 2015-01-13
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
Tommy Skiles (tdskiles) wrote :

Thanks, I'll give it a go.

On Mon, Jan 12, 2015 at 11:11 PM, Julia <email address hidden> wrote:

> I also just had this happen same as comment #101 for 14.10 too, but on
> regular nvidia 331 non updates (tested) version too. (The default
> version of nvidia 331 under Additional Drivers that came when I did a
> fresh install of Ubuntu 14.10 a couple weeks ago.)
>
> Same failed to build error message. Manually reinstalling nvidia-331 and
> nvidia-331-uvm solved the problem for me too.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1409970).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

--
We cannot solve our problems with the same thinking we used when we created
them.

Albert Einstein
<http://www.goodreads.com/author/show/1244.Mark_Twain>

Budo Zindovic (bzindovic) wrote :

It seems that the suggestion #101 works for 14.04 as well for kernel 3.13.44

Selim (salaluf416) wrote :

Even though there was a bug report, my nvidia drivers seem to be working
fine and it's not reporting the bug after restart. I will try your fix if
there is any problem.

On Tue, Jan 13, 2015 at 5:59 PM, Budo Zindovic <email address hidden>
wrote:

> It seems that the suggestion #101 works for 14.04 as well for kernel
> 3.13.44
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> In Progress
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Unsubscribe me! How can I stop getting more emails?

josh (joshuaglennmurphy) wrote :

I know right!
On 14 Jan 2015 13:36, "Michael Heuberger" <
<email address hidden>> wrote:

> Unsubscribe me! How can I stop getting more emails?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1397425).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> In Progress
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

neolaser (j-g-kinnear) wrote :

You guys miss this?

> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions

Umut Yazgan (umut-yaz) wrote :

I'm also trying to unsubscribe this I'm not using nvidia-331-updates
package anymore. How can I unsubscribe this?

On Wed, Jan 14, 2015 at 2:48 AM, neolaser <email address hidden> wrote:

> You guys miss this?
>
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1395993).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> In Progress
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Thanks - I couldn't find that link

(Usability of bug ticket management should be improved!)

Umut Yazgan (umut-yaz) wrote :

Thanks, that really helped!

On Wed, Jan 14, 2015 at 3:00 AM, Michael Heuberger <
<email address hidden>> wrote:

> Thanks - I couldn't find that link
>
> (Usability of bug ticket management should be improved!)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1395993).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> In Progress
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Paul Judd (sukiipooru) wrote :
Download full text (3.7 KiB)

I did the manual update but now screen resolution is very crude. If this
happened in the past I used a Nvidia script to get nvdia resolutions back.
I tried it this time and it didn't work. How do I get screen resolutions
back?
I'm suspecting nvidia is not included in boot script now or is failing.

Paul 「ポール」

(sent via web-gmail)

On 14 January 2015 at 12:07, Umut Yazgan <email address hidden> wrote:

> Thanks, that really helped!
>
> On Wed, Jan 14, 2015 at 3:00 AM, Michael Heuberger <
> <email address hidden>> wrote:
>
> > Thanks - I couldn't find that link
> >
> > (Usability of bug ticket management should be improved!)
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1395993).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > In Progress
> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan 12 01:28:35 2014
> > InstallationDate: Installed on 2013-11-03 (69 days ago)
> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> > (20131016.1)
> > PackageVersion: 331.20-0ubuntu9
> > SourcePackage: nvidia-graphics-drivers-331-updates
> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> > module failed to build
> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
> >
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1408226).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> In Progress
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Su...

Read more...

Paul Judd (sukiipooru) wrote :

I did the manual update but now screen resolution is very crude. If this
happened in the past I used a Nvidia script to get nvdia resolutions back.
I tried it this time and it didn't work. How do I get screen resolutions
back?
I'm suspecting nvidia is not included in boot script now or is failing.

Paul 「ポール」

(sent via web-gmail)

On 13 January 2015 at 04:19, Aneesh Neelam <email address hidden> wrote:

> This occurs on Utopic as well.
>
> The Nvidia DKMS process failed for nvidia-331.113 when upgrading from
> kernel-3.16.0-28-generic-x86_64 to kernel-3.16.0-29-generic-x86_64.
>
> Have to manually reinstall nvidia-331 and nvidia-331-uvm by,
> # apt-get install nvidia-331 nvidia-331-uvm --reinstall
> after every kernel upgrade.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1408226).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: In Progress → Triaged
Paul Judd (sukiipooru) wrote :
Download full text (4.3 KiB)

On 14/01/15 12:39, Paul A. Judd wrote:
> I did the manual update but now screen resolution is very crude. If
> this happened in the past I used a Nvidia script to get nvdia
> resolutions back.
> I tried it this time and it didn't work. How do I get screen
> resolutions back?
> I'm suspecting nvidia is not included in boot script now or is failing.
>
>
> Paul 「ポール」
>
> (sent via web-gmail)
>
> On 14 January 2015 at 12:07, Umut Yazgan <<email address hidden>
> <mailto:<email address hidden>>> wrote:
>
> Thanks, that really helped!
>
> On Wed, Jan 14, 2015 at 3:00 AM, Michael Heuberger <
> <email address hidden>
> <mailto:<email address hidden>>> wrote:
>
> > Thanks - I couldn't find that link
> >
> > (Usability of bug ticket management should be improved!)
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1395993).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel
> module
> > failed to build, with only error: "objdump: '... .tmp_nv.o':
> No such
> > file"
> >
> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > In Progress
> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan 12 01:28:35 2014
> > InstallationDate: Installed on 2013-11-03 (69 days ago)
> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> > (20131016.1)
> > PackageVersion: 331.20-0ubuntu9
> > SourcePackage: nvidia-graphics-drivers-331-updates
> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates
> kernel
> > module failed to build
> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
> >
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1408226).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> In Progress
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed t...

Read more...

waffen (mlacunza) wrote :

@Paul Judd (sukiipooru) hi, which version are you using?

Paul Judd (sukiipooru) wrote :

On 14/01/15 16:17, waffen wrote:
> @Paul Judd (sukiipooru) hi, which version are you using?
>
used the long term version,340, of 64 bit
NVIDIA-Linux-x86_64-340.65.run
[ there is also the latest short term version
NVIDIA-Linux-x86_64-343.36.run I haven't tried ]

--

「ポール」より
(Regards Paul)

Ken Wagner (beaucoder) wrote :

On 01/13/2015 11:17 PM, waffen wrote:
> @Paul Judd (sukiipooru) hi, which version are you using?
>
Hi Paul,

     Of Thunderbird: 24.6.0. Ubuntu 14.04.

Ken

Frank Jonsson (frank-d) wrote :

objdump: '/var/lib/dkms/nvidia-331/331.113/build/.tmp_nv.o': No such file
 mv: cannot stat ‘/var/lib/dkms/nvidia-331/331.113/build/.tmp_nv.o’: No such file or directory
 scripts/Makefile.build:257: recipe for target '/var/lib/dkms/nvidia-331/331.113/build/nv.o' failed
 make[2]: *** [/var/lib/dkms/nvidia-331/331.113/build/nv.o] Error 1
 Makefile:1345: recipe for target '_module_/var/lib/dkms/nvidia-331/331.113/build' failed
 make[1]: *** [_module_/var/lib/dkms/nvidia-331/331.113/build] Error 2
 make[1]: Leaving directory '/usr/src/linux-headers-3.16.0-29-generic'
 NVIDIA: left KBUILD.
 nvidia.ko failed to build!
 Makefile:180: recipe for target 'nvidia.ko' failed
 make: *** [nvidia.ko] Error 1
DKMSKernelVersion: 3.16.0-29-generic
Date: Wed Jan 14 10:02:33 2015
Package: nvidia-331
PackageVersion: 331.113-0ubuntu0.1
SourcePackage: nvidia-graphics-drivers-331
Title: nvidia-331 331.113-0ubuntu0.1: nvidia-331 kernel module failed to build
ApportVersion: 2.14.7-0ubuntu8
Architecture: amd64
Dependencies:

Steven (svanpoeck) wrote :

Same here.
Steven

On 14/01/15 01:01, Selim wrote:
> Even though there was a bug report, my nvidia drivers seem to be working
> fine and it's not reporting the bug after restart. I will try your fix if
> there is any problem.
>
> On Tue, Jan 13, 2015 at 5:59 PM, Budo Zindovic <email address hidden>
> wrote:
>
>> It seems that the suggestion #101 works for 14.04 as well for kernel
>> 3.13.44
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>> In Progress
>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>> Triaged
>>
>> Bug description:
>> Nvidia kernel module failed to build on kernel 3.13.0-2
>> Yesterday when the new kernel was pushed, the dkms process failed.
>>
>> ProblemType: Package
>> DistroRelease: Ubuntu 14.04
>> Package: nvidia-331-updates 331.20-0ubuntu9
>> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
>> Uname: Linux 3.12.0-7-generic x86_64
>> ApportVersion: 2.13.1-0ubuntu1
>> Architecture: amd64
>> DKMSKernelVersion: 3.13.0-2-generic
>> Date: Sun Jan 12 01:28:35 2014
>> InstallationDate: Installed on 2013-11-03 (69 days ago)
>> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
>> (20131016.1)
>> PackageVersion: 331.20-0ubuntu9
>> SourcePackage: nvidia-graphics-drivers-331-updates
>> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
>> module failed to build
>> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>>

Bart Willemsen (b-willemsen8) wrote :

Another kernel update, another crash here.

Michael Korn (w-michael) wrote :

I have the same Problem with nvidia-340.65 and 3.16.0-29-generic, too.

Cavsfan (cavsfan) wrote :

Got a new kernel in Trusty 14.04 yesterday and got this error. Did the steps in post #100 that dino99 suggested. Looked good rebooted and all is fine. Will see if that fixes the problem from now on.

Milo (milo-in-orde) wrote :

Solved it for now by moving to a console (ctrl-alt-f1)
stop (in my case) gdm: /etc/init.d/gdm stop
reinstall package: aptitude reinstall nvidia-331-updates

and reboot after successful install.

Joe Linux (j-linux) wrote :

Hello,

Same "shit" since few months with again and again each new kernel update on my Ubuntu 14.04.1 64-b full install.
I'm only using the official Ubuntu update channel.
Fortunately this version is a LTS one, if not guess what.
Who said Windoze ! Linux is not so far !

Cheers

Varuka Salt (varuka) wrote :

Jane. Stop this crazy thing. How do I get off the email list? I'm not
having this issue anymore and I'm getting emails all day
On Jan 14, 2015 10:36 AM, "Milo" <email address hidden> wrote:

> Solved it for now by moving to a console (ctrl-alt-f1)
> stop (in my case) gdm: /etc/init.d/gdm stop
> reinstall package: aptitude reinstall nvidia-331-updates
>
> and reboot after successful install.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1404986).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Cavsfan (cavsfan) wrote :

Refer to post #111 for how to unsubscribe. Neolaser mentioned it once there already.

Cavsfan (cavsfan) wrote :

Refer to post #100 for the fix by dino99.
If you simply reinstall the driver it will happen the next time a kernel is in updates.
I believe dino99's fix should fix it once and for all.
I'm waiting on the next kernel to come along to verify that.

snurfle (snurfle) wrote :
Download full text (5.2 KiB)

*@joe linux... preach it, brother. This has been over a year; a blue
million duplicates, and still no definite solutions.*

*I spent last night determined to get this thing working. This LTS has a
good amount of video issues, as one bug report shows. This thread is over a
year old and is still being updated today. And please note - none of the
proposed solutions match the solutions recommended to me for resolving the
14.04 graphic issues I am suffering on a new fresh install of 14.04.1:*

manually remove and install nvidia kernel driver

sudo dpkg-reconfigure nvidia-331, sudo dpkg-reconfigure nvidia-331-uvm

apt-get install nvidia-331-uvm --reinstall

run the installation after exiting X (sudo service lightdm stop) also
seemed to solve the problem.

try logging in as a different user

try removing all the nvidia drivers and using the noveau driver.

sudo dconf reset -f /org/compiz/, sudo setsid unity

sudo dpkg-reconfigure xserver-xorg

sudo dpkg-reconfigure nvidia-331 The reconfigure incantation forces the
kernel package to be rebuilt. YMMV! If your machine still fails to reboot
with a working X server... that's your responsibility!

install and reboot into the most recent kernel the driver installed fine.

first be sure to get both 2 kernel headers & both 2 kernel images installed
then inside /usr/src/nvidia ... Change f_dentry to f_path.dentry in nv.c
and nv-frontend.c files. And change MODULE_LICENSE("NVIDIA"); to
MODULE_LICENSE("GPL"); in the same files. when the changes are made and
saved, then reinstall the 4 kernel files: you should no more see
compilation errors, and get a smooth boot with that kernel.

add Nvidia xorg PPA

Manually reinstall nvidia-331 and nvidia-331-uvm

download the latest driver from Nvidia, reboot, kill running X, run
NVIDIA-xxxxx.run start X

...

*And here are some of the results posted to those solutions:*

After rebooting my desktop was not accessable anymore.

in my case, gnome_panel was no longer running, I could just run it from a
terminal ... but it's still not right.

left my apt in a broken state, I can't add or remove any packages.

apt-get install nvidia-331-uvm --reinstall did NOT fix for me.

Reboot... nothing changed the drivel is falty.

via the gui or command line does not work for me

this appears to have been fixed last week by:
nvidia-graphics-drivers-331-updates (331.89-0ubuntu6) vivid. Although most
people are not using vivid. And utopic still has a known broken version.

the module said it failed building again with the latest Linux kernel
update in Ubuntu 14.04

Error! Bad return status for module build on kernel: 3.16.0-28-generic
(x86_64)

after the last update, whenever I boot I get a blank screen

Have to manually reinstall nvidia-331 and nvidia-331-uvm... after every
kernel upgrade.

I did the manual update but now screen resolution is very crude.

I tried it this time and it didn't work. How do I get screen resolutions
back?

Another kernel update, another crash here.

I have the same Problem with nvidia-340.65 and 3.16.0-29-generic, too.

*I'm going to go out on a limb here and say that, based on my experience so
far, and based also on the issues I have seen that impact so many ...

Read more...

snurfle (snurfle) wrote :

I see post 100 listed as a "workaround", and I see multiple other solutions
after that... is the process in post 100 the official ubuntu solution? If
so, this should be listed as "fix released." Again. Otherwise, there is
really no way for anyone who gets pointed to this thread to know which of
the solutions is the working one.

On Wed, Jan 14, 2015 at 3:04 PM, Cavsfan <email address hidden> wrote:

> Refer to post #100 for the fix by dino99.
> If you simply reinstall the driver it will happen the next time a kernel
> is in updates.
> I believe dino99's fix should fix it once and for all.
> I'm waiting on the next kernel to come along to verify that.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1405836).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Cavsfan (cavsfan) wrote :

Those other workarounds are mentioning re-installing the driver. That may prevent the error but during the next kernel installation you will likely see the error again. Post #100 by dino99 is a modification that you make for future kernels so they do not get the error. The error message to me is bogus as the drivers do in fact install just fine AFAIK. That is about all I know; I'm not a developer, I'm a tester...

Cavsfan (cavsfan) wrote :

I just got this again on Vivid 15.04 when 3.18.0-9-generic kernel installed.
Going to try the fix from post #100. I did it on Trusty now on Vivid.
Then the next kernel install will tell if it worked.

Paul Judd (sukiipooru) wrote :

On 14/01/15 20:15, Ken Wagner wrote:
> On 01/13/2015 11:17 PM, waffen wrote:
>> @Paul Judd (sukiipooru) hi, which version are you using?
>>
> Hi Paul,
>
> Of Thunderbird: 24.6.0. Ubuntu 14.04.
>
> Ken
>
Using thunderbird 31.3.0 in Ubuntu 14.04
(I am getting jitter in some applications such thunderbird mail since
upgrade).

--

「ポール」より
(Regards Paul)

Please upgrade it, current Nvidia driver version is 340, why are u keep using 331 ?!

snurfle (snurfle) wrote :

>why are u keep using 331 ?!

i are keep using 331 because nvidia-current has led to more problems than
just this, in fact it made the system essentially unusable. the
xorg-edgers drivers are no better... underscanning causes serious issues
with screen refreshes, edge scrolling, panel sizes, mouse clicks are not
where the hotspot should be, shadow artifacts remaining on the screen, etc.
The 331 driver may show as being broken at every. single. kernel. update. -
but at least after applying the proposed bandaids, at least it provides a
working desktop.
Maybe if the root problem were actually fixed instead of band-aided, then
the driver version would not enter into it.

On Wed, Jan 14, 2015 at 9:04 PM, Hossein Noroozpour <
<email address hidden>> wrote:

> Please upgrade it, current Nvidia driver version is 340, why are u keep
> using 331 ?!
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1405836).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

David Anderson (davea42) wrote :

14.04 Trusty has 331 as both the test and updated nvidia driver. That's why.

David Anderson (davea42) wrote :

I meant tested and updates. "Additonal Drivers" . The Additional Drivers page
lists 173.14.39, 304.125,, and 331.113 for a machine with
old card: GeForce 9500GT (14.04 Trusty). A

and for GTX 760 lists 331.113 .

orntos (orntos) wrote :
Download full text (3.7 KiB)

Hello,

Reinstallation of Nvidia driver helps.
For first, remove Nvidia drivers after kernel patching, after that reboot a
system.
Secondly, install it again.

It's working well right now.
14 sty 2015 20:46 "Varuka Salt" <email address hidden> napisał(a):

> Jane. Stop this crazy thing. How do I get off the email list? I'm not
> having this issue anymore and I'm getting emails all day
> On Jan 14, 2015 10:36 AM, "Milo" <email address hidden> wrote:
>
> > Solved it for now by moving to a console (ctrl-alt-f1)
> > stop (in my case) gdm: /etc/init.d/gdm stop
> > reinstall package: aptitude reinstall nvidia-331-updates
> >
> > and reboot after successful install.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1404986).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > Triaged
> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan 12 01:28:35 2014
> > InstallationDate: Installed on 2013-11-03 (69 days ago)
> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> > (20131016.1)
> > PackageVersion: 331.20-0ubuntu9
> > SourcePackage: nvidia-graphics-drivers-331-updates
> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> > module failed to build
> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
> >
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1410120).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-...

Read more...

Ben Willmott (z-ben-u) wrote :
Download full text (5.5 KiB)

Thank you, I'll try that if I get the same problem on the next kernel update. I reselected the driver in the gui and everything seems to be behaving itself again.

http://benwillmott.com

---- orntos wrote ----

>Hello,
>
>Reinstallation of Nvidia driver helps.
>For first, remove Nvidia drivers after kernel patching, after that reboot a
>system.
>Secondly, install it again.
>
>It's working well right now.
>14 sty 2015 20:46 "Varuka Salt" <email address hidden> napisał(a):
>
>> Jane. Stop this crazy thing. How do I get off the email list? I'm not
>> having this issue anymore and I'm getting emails all day
>> On Jan 14, 2015 10:36 AM, "Milo" <email address hidden> wrote:
>>
>> > Solved it for now by moving to a console (ctrl-alt-f1)
>> > stop (in my case) gdm: /etc/init.d/gdm stop
>> > reinstall package: aptitude reinstall nvidia-331-updates
>> >
>> > and reboot after successful install.
>> >
>> > --
>> > You received this bug notification because you are subscribed to a
>> > duplicate bug report (1404986).
>> > https://bugs.launchpad.net/bugs/1268257
>> >
>> > Title:
>> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> > file"
>> >
>> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
>> > Triaged
>> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>> > Triaged
>> >
>> > Bug description:
>> > Nvidia kernel module failed to build on kernel 3.13.0-2
>> > Yesterday when the new kernel was pushed, the dkms process failed.
>> >
>> > ProblemType: Package
>> > DistroRelease: Ubuntu 14.04
>> > Package: nvidia-331-updates 331.20-0ubuntu9
>> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
>> > Uname: Linux 3.12.0-7-generic x86_64
>> > ApportVersion: 2.13.1-0ubuntu1
>> > Architecture: amd64
>> > DKMSKernelVersion: 3.13.0-2-generic
>> > Date: Sun Jan 12 01:28:35 2014
>> > InstallationDate: Installed on 2013-11-03 (69 days ago)
>> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
>> > (20131016.1)
>> > PackageVersion: 331.20-0ubuntu9
>> > SourcePackage: nvidia-graphics-drivers-331-updates
>> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
>> > module failed to build
>> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>> >
>> > To manage notifications about this bug go to:
>> >
>> >
>> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>> >
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1410120).
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>> Triaged
>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>> Triaged
>>
>> Bug description:
>> Nvidia kernel module failed to build on kernel 3.13.0-2
>> Yesterday when the new kernel was pushed, the dkms process failed.
>>
>> ...

Read more...

Jeb E. (jebeld17) wrote :

I reported this to the official Nvidia site as well. I suggest everyone else do the same. By the end of it, Nvidia holds the key to fixing the problem.

snurfle (snurfle) wrote :

OK... I was using the nvidia-current drivers in xubuntu 14.10 with no
issues whatsoever. The issues I have with that driver did not appear until
I did a fresh install of Ubuntu 14.04. So are we supposed to hold Nvidia
accountable for what appears to me to be a Ubuntu problem? Or am I simply
not understanding the cause of the issue?

On Thu, Jan 15, 2015 at 11:04 AM, Jeb E. <email address hidden> wrote:

> http://www.nvidia.com/object/driverqualityassurance.html
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1405836).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Nick B. (futurepilot) wrote :

From what I can tell this is an Ubuntu issue. There's no reason to bug Nvidia
about it since they don't do any work with the Ubuntu packages

On Thursday, January 15, 2015 04:36:13 PM snurfle wrote:
> OK... I was using the nvidia-current drivers in xubuntu 14.10 with no
> issues whatsoever. The issues I have with that driver did not appear until
> I did a fresh install of Ubuntu 14.04. So are we supposed to hold Nvidia
> accountable for what appears to me to be a Ubuntu problem? Or am I simply
> not understanding the cause of the issue?
>
> On Thu, Jan 15, 2015 at 11:04 AM, Jeb E. <email address hidden>
>
> wrote:
> > http://www.nvidia.com/object/driverqualityassurance.html
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1405836).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > Triaged
> >
> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan 12 01:28:35 2014
> > InstallationDate: Installed on 2013-11-03 (69 days ago)
> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> >
> > (20131016.1)
> >
> > PackageVersion: 331.20-0ubuntu9
> > SourcePackage: nvidia-graphics-drivers-331-updates
> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> >
> > module failed to build
> >
> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
> >
> > To manage notifications about this bug go to:
> >
> > https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug
> > /1268257/+subscriptions

Joachim R. (jro) wrote :

Just had a message indication that nvidia-331 installation failed (on session opening, after loggon)

The Ubuntu package is mostly just a drop-in of the official Nvidia packages for Linux:

http://www.nvidia.com/object/unix.html

So yes, this is actually an Nvidia upstream problem.

I suspect that there is some sort of race condition in the provided build scripts written by Nvidia, and they are only showing up intermittently or under particular system configurations/states, so package reinstallation tends to work fine the second time.

Related: I see this comment in Nvidia's Makefile regarding the "new" build system in Linux >= 2.6:

# The new approach currently has its own share of problems, some of which
# are architectural difficulties with KBUILD, others minor annoyances. For
# this reason, an improved version of the NVIDIA Makefile is available to
# those experiencing difficulties.

So it sounds like they admit to having architectural difficulties here. I wonder where this "improved version" of the Makefile can be obtained...

Grzegorz Śliwiński (fizyk) wrote :

Maybe it's not the nvidia drivers problem, but kernel issue actually? Because I hadn't had this problem since 3.13.0-44 update.

For me error occured during install, but after reboot everything seems to work fine.

Either that, or a large number of issues that appeared since 3.13.0.44 update is not related to this one at all.

Marco (cocomar91) on 2015-01-15
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Triaged → Confirmed
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → Confirmed
Adolfo Jayme (fitojb) on 2015-01-16
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Confirmed → Triaged
Nick B. (futurepilot) wrote :

The Ubuntu packages are not just a drop-in. They hook into DKMS which the
Nvidia drivers themselves do not do. There's also a lot of other Ubuntu
specific things that the package does. Looking at all these bugs they all have
to do with the module failing to build with the Ubuntu package. I don't see
any reports of the issue with Nvidia .run installer.

On Thursday, January 15, 2015 08:29:12 PM Brian Norris wrote:
> The Ubuntu package is mostly just a drop-in of the official Nvidia
> packages for Linux:
>
> http://www.nvidia.com/object/unix.html
>
> So yes, this is actually an Nvidia upstream problem.
>
> I suspect that there is some sort of race condition in the provided
> build scripts written by Nvidia, and they are only showing up
> intermittently or under particular system configurations/states, so
> package reinstallation tends to work fine the second time.
>
> Related: I see this comment in Nvidia's Makefile regarding the "new"
> build system in Linux >= 2.6:
>
> # The new approach currently has its own share of problems, some of which
> # are architectural difficulties with KBUILD, others minor annoyances. For
> # this reason, an improved version of the NVIDIA Makefile is available to
> # those experiencing difficulties.
>
> So it sounds like they admit to having architectural difficulties here.
> I wonder where this "improved version" of the Makefile can be
> obtained...

Go ahead and run the .run package, and you'll see that it indeed does support DKMS, and the dkms.conf file is identical to the those in Ubuntu. So yes, the Ubuntu nvidia packages are mostly direct from Nvidia.

That doesn't rule out other problems in Ubuntu, of course. This bug could actually be an issue with the DKMS tool, with the Nvidia-provided Makefile or dkms.conf, or with the Ubuntu-modified kernel itself. I'd lean toward one of the first two, and not the third. The kernel is not developed for DKMS, but DKMS is developed for the kernel.

For those who complained about the most recent kernel updates being related: the original report (and several reproductions of it) came before 3.13-0-44. So the large number of recent issues are likely coincidental, or exacerbated by some other still-unknown issue.

Csaba Patyi (patyi-csaba) wrote :
Download full text (4.1 KiB)

Hello!

Thank You very much for the solution.

B.r.
Csaba

-----Eredeti üzenet-----
Feladó: orntos <email address hidden>
Reply-to: Bug 1268257 <email address hidden>
Címzett: <email address hidden>
Tárgy: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
nvidia-331-updates kernel module failed to build, with only error:
"objdump: '... .tmp_nv.o': No such file"
Dátum: Thu, 15 Jan 2015 08:24:47 -0000

Hello,

Reinstallation of Nvidia driver helps.
For first, remove Nvidia drivers after kernel patching, after that reboot a
system.
Secondly, install it again.

It's working well right now.
14 sty 2015 20:46 "Varuka Salt" <email address hidden> napisał(a):

> Jane. Stop this crazy thing. How do I get off the email list? I'm not
> having this issue anymore and I'm getting emails all day
> On Jan 14, 2015 10:36 AM, "Milo" <email address hidden> wrote:
>
> > Solved it for now by moving to a console (ctrl-alt-f1)
> > stop (in my case) gdm: /etc/init.d/gdm stop
> > reinstall package: aptitude reinstall nvidia-331-updates
> >
> > and reboot after successful install.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1404986).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > Triaged
> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan 12 01:28:35 2014
> > InstallationDate: Installed on 2013-11-03 (69 days ago)
> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> > (20131016.1)
> > PackageVersion: 331.20-0ubuntu9
> > SourcePackage: nvidia-graphics-drivers-331-updates
> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> > module failed to build
> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
> >
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1410120).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kern...

Read more...

Gordon Hocking (ghocking) wrote :

Hi guys, I am sending this because I have just installed a new kernal and the problem continues. I do not think it is having any impact on my ststem other than nuisance but I cannot be sure. I am following the bug reports and you guys need to know that for people without to much technical ability the brief do this do that is over our heads. What is needed is a release that will automatically install in update manager. I fully understand if a workaround is required to keep the system up this is a different situation. Does anyone know when a release to fix the nvidia problem will be made as looking at the various emails it seems you are getting close to a fix? In any event your help is appreciated. thank you

eric (obrowny06) wrote :

Hello everybody !

It happended to me while upgrading from 3.13.0-43 to 3.13.0-44 on a ubuntu 14.04
nvidia module could not build.
I realised that the update didn't upgraded the linux headers and linux headers generic.
So the solution for me was to install the headers (booting from the older kernel) and execute :
sudo apt-get install nvidia-331-uvm --reinstall

Everything now works as a charm !
hope this helps !

eric

Chad Wansing (chad-wansing) wrote :

It may be worth noting that for my 14.04 install, after running this update
my second screen in my Optimus configuration started running correctly, but
after the reboot when this was reported my second screen stopped working
and my work VM (windows 7 running in VMW Workstation 10.latest) reported
video compatibility issues and is now experiencing blue screens (3 times in
two days since the reboot). Don't have any logging to show firm
correlation, but it's awfully suspicious.

Respectfully,

Chad Wansing
On Jan 15, 2015 10:31 PM, "Brian Norris" <email address hidden> wrote:

> Go ahead and run the .run package, and you'll see that it indeed does
> support DKMS, and the dkms.conf file is identical to the those in
> Ubuntu. So yes, the Ubuntu nvidia packages are mostly direct from
> Nvidia.
>
> That doesn't rule out other problems in Ubuntu, of course. This bug
> could actually be an issue with the DKMS tool, with the Nvidia-provided
> Makefile or dkms.conf, or with the Ubuntu-modified kernel itself. I'd
> lean toward one of the first two, and not the third. The kernel is not
> developed for DKMS, but DKMS is developed for the kernel.
>
> For those who complained about the most recent kernel updates being
> related: the original report (and several reproductions of it) came
> before 3.13-0-44. So the large number of recent issues are likely
> coincidental, or exacerbated by some other still-unknown issue.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1409850).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

Dewaci (wilbur-spammail) wrote :

Re-installing the drivers seems the solved the problem for me.
Thanks for the info

Marco (cocomar91) on 2015-01-16
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: nobody → Marco (cocomar91)
assignee: Marco (cocomar91) → nobody
snurfle (snurfle) wrote :

Got a different error message during an update today, but it was marked as a duplicate of this one.
Worth reporting anyway since the update might have been intended to fix the problem, and reporting it is the only way anyone will know that the update did not fix it.
Also worth mentioning that this problem did not occur at all with Xubuntu 14.10, maybe someone should look into what Xubuntu is doing differently.

sepide sobhgahi (statik-ag) wrote :

I have the <KM Player> deleted and then <NVIDIA> driver reinstalled.
it works!
Am 17.01.2015 um 00:23 schrieb snurfle:
> Got a different error message during an update today, but it was marked as a duplicate of this one.
> Worth reporting anyway since the update might have been intended to fix the problem, and reporting it is the only way anyone will know that the update did not fix it.
> Also worth mentioning that this problem did not occur at all with Xubuntu 14.10, maybe someone should look into what Xubuntu is doing differently.
>

dino99 (9d9) wrote :

Newer 346.35 nvidia driver (edgers)

#100 workaround comments was about the 346.22 driver

346.35 is a bit different, and you only need to do the change for MODULE_LICENSE that time

gracias a todos.

2015-01-19 4:09 GMT-03:00 dino99 <email address hidden>:

> Newer 346.35 nvidia driver (edgers)
>
> #100 workaround comments was about the 346.22 driver
>
> 346.35 is a bit different, and you only need to do the change for
> MODULE_LICENSE that time
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1411477).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

--
José Enrique Bosch
tel. 4432-4571

Sup guys,

I think I might have experienced the same issue: https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331-updates/+bug/1412406

Not sure, but someone marked it as duplicate.

Anyway, I just convinced a friend to use Ubuntu 14.04.1 LTS instead of Windows, and then this happens 2x in a row - for both of us - on all our Nvidia machines (2x laptops, 2x desktops). First it happend with the Nvidia -current repo, then with the -update repo, using driver 331.113.

In my case, the error mentioned above popped up, but Ubuntu still works as intended after a reboot. However, my friend didn't have that much luck. In his case, Ubuntu kept crashing and games would get buggy. The solution: Uninstall the Nvidia drivers, reboot, use Nouveau, install the Nvidia drivers again, reboot, done.

I expect this kind of OS breaking behaviour on normal releases of Ubuntu, but not on LTS.

Cheers,
Alex

Solved in this way:

1) boot with old kernel (3.13.0-44)
2) login without gui (ctrl-alt-f1)
3) login with root (if enabled)
3) stopping lightdm (service lightdm stop)
4) a little cleaning (apt-get clean && apt-get autoclean && apt-get autoremove)
5) update source and fix (apt-get update && apt-get install -f)
6) install nvidia (apt-get install --reinstall nvidia-331-updates-uvm)
7) upgrade (apt-get upgrade)
8) reboot (shutdown -r now)
9) boot with new kernel (3.13.0-45)
10) :-)

mat (drmtiede-k) wrote :
Download full text (3.2 KiB)

ci ho provato ma non ha funzionato - all'avvio mi ha dato un sacco di error
messages.

ciao
matteo

2015-01-21 10:16 GMT+01:00 Davide Mannarelli <email address hidden>:

> Solved in this way:
>
> 1) boot with old kernel (3.13.0-44)
> 2) login without gui (ctrl-alt-f1)
> 3) login with root (if enabled)
> 3) stopping lightdm (service lightdm stop)
> 4) a little cleaning (apt-get clean && apt-get autoclean && apt-get
> autoremove)
> 5) update source and fix (apt-get update && apt-get install -f)
> 6) install nvidia (apt-get install --reinstall nvidia-331-updates-uvm)
> 7) upgrade (apt-get upgrade)
> 8) reboot (shutdown -r now)
> 9) boot with new kernel (3.13.0-45)
> 10) :-)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1411919).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

--
Dr. M. Tiede

Clausola di Riservatezza

Si fa presente che tutte le notizie (nomi, fatti, notizie sanitarie, etc)
contenute in questo messaggio sono sottoposte alla normativa sulla tutela
della riservatezza (D. Lgs 196/2003) e in particolare sulla tutela dei dati
sensibili. E' pertanto richiesta ai destinatari della presente la massima
riservatezza nel trattare la documentazione. Se il ricevente non è il
destinatario diretto del presente messaggio è pregato di contattare
l'originario mittente e di cancellare questo messaggio ed ogni suo allegato
dal sistema di posta, sono vietati l'uso, la riproduzione e la stampa di
questo messaggio e di ogni suo allegato, nonché la diffusione del
loro contenuto a qualsiasi altro soggetto.

This e-mail message and any files transmitted with it may contain
confidential information intended only for the person(s) to whom it is
addressed. If you are not the intended recipient, you are hereby notified
that any use or distribution of this e-...

Read more...

desmergers (fransoid) wrote :
Download full text (4.9 KiB)

Thanks

Le mer 21 janv. 2015 08:26, mat <email address hidden> a écrit :

> ci ho provato ma non ha funzionato - all'avvio mi ha dato un sacco di error
> messages.
>
> ciao
> matteo
>
> 2015-01-21 10:16 GMT+01:00 Davide Mannarelli
> <email address hidden>:
>
> > Solved in this way:
> >
> > 1) boot with old kernel (3.13.0-44)
> > 2) login without gui (ctrl-alt-f1)
> > 3) login with root (if enabled)
> > 3) stopping lightdm (service lightdm stop)
> > 4) a little cleaning (apt-get clean && apt-get autoclean && apt-get
> > autoremove)
> > 5) update source and fix (apt-get update && apt-get install -f)
> > 6) install nvidia (apt-get install --reinstall nvidia-331-updates-uvm)
> > 7) upgrade (apt-get upgrade)
> > 8) reboot (shutdown -r now)
> > 9) boot with new kernel (3.13.0-45)
> > 10) :-)
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1411919).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > Triaged
> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan 12 01:28:35 2014
> > InstallationDate: Installed on 2013-11-03 (69 days ago)
> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> > (20131016.1)
> > PackageVersion: 331.20-0ubuntu9
> > SourcePackage: nvidia-graphics-drivers-331-updates
> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> > module failed to build
> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
> >
> > To manage notifications about this bug go to:
> >
> > https://bugs.launchpad.net/ubuntu/+source/nvidia-
> graphics-drivers-331/+bug/1268257/+subscriptions
> >
>
>
> --
> Dr. M. Tiede
>
>
> Clausola di Riservatezza
>
> Si fa presente che tutte le notizie (nomi, fatti, notizie sanitarie, etc)
> contenute in questo messaggio sono sottoposte alla normativa sulla tutela
> della riservatezza (D. Lgs 196/2003) e in particolare sulla tutela dei dati
> sensibili. E' pertanto richiesta ai destinatari della presente la massima
> riservatezza nel trattare la documentazione. Se il ricevente non è il
> destinatario diretto del presente messaggio è pregato di contattare
> l'originario mittente e di cancellare questo messaggio ed ogni suo allegato
> dal sistema di posta, sono vietati l'uso, la riproduzione e la stampa di
> questo messaggio e di ogni suo allegato, nonché la diffusione del
> loro contenuto a qualsiasi altro soggetto.
>
> This e-mail messa...

Read more...

Csaba Patyi (patyi-csaba) wrote :

Hi All!

Thanks for the solution.

B.r.
Csaba

-----Eredeti üzenet-----
Feladó: Davide Mannarelli <email address hidden>
Reply-to: Bug 1268257 <email address hidden>
Címzett: <email address hidden>
Tárgy: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
nvidia-331-updates kernel module failed to build, with only error:
"objdump: '... .tmp_nv.o': No such file"
Dátum: Wed, 21 Jan 2015 09:16:46 -0000

Solved in this way:

1) boot with old kernel (3.13.0-44)
2) login without gui (ctrl-alt-f1)
3) login with root (if enabled)
3) stopping lightdm (service lightdm stop)
4) a little cleaning (apt-get clean && apt-get autoclean && apt-get autoremove)
5) update source and fix (apt-get update && apt-get install -f)
6) install nvidia (apt-get install --reinstall nvidia-331-updates-uvm)
7) upgrade (apt-get upgrade)
8) reboot (shutdown -r now)
9) boot with new kernel (3.13.0-45)
10) :-)

desmergers (fransoid) wrote :

Thanks. It works

Le mer 21 janv. 2015 15:06, Csaba Patyi <email address hidden> a écrit :

> Hi All!
>
> Thanks for the solution.
>
> B.r.
> Csaba
>
>
> -----Eredeti üzenet-----
> Feladó: Davide Mannarelli <email address hidden>
> Reply-to: Bug 1268257 <email address hidden>
> Címzett: <email address hidden>
> Tárgy: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build, with only error:
> "objdump: '... .tmp_nv.o': No such file"
> Dátum: Wed, 21 Jan 2015 09:16:46 -0000
>
>
> Solved in this way:
>
> 1) boot with old kernel (3.13.0-44)
> 2) login without gui (ctrl-alt-f1)
> 3) login with root (if enabled)
> 3) stopping lightdm (service lightdm stop)
> 4) a little cleaning (apt-get clean && apt-get autoclean && apt-get
> autoremove)
> 5) update source and fix (apt-get update && apt-get install -f)
> 6) install nvidia (apt-get install --reinstall nvidia-331-updates-uvm)
> 7) upgrade (apt-get upgrade)
> 8) reboot (shutdown -r now)
> 9) boot with new kernel (3.13.0-45)
> 10) :-)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1412004).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nvidia-
> graphics-drivers-331/+bug/1268257/+subscriptions
>

snurfle (snurfle) wrote :
Download full text (4.5 KiB)

Rebooting now takes me to a CLI login prompt. But when I try to give it my
login credentials, the screen flickers and then it takes me to the GUI
login prompt.

After logging in, everything seems to function as it has been since
installing last month, only it pops up a "system error" box, asks to load a
blue million files to file a bug report with, but after an hour it has not
done anything at all. (Literally an hour, I decided to wait since most of
the bug reports it has been filing usually take 3-5 minutes.)

Rebooting brings it back to the normal startup - that is, no login at all,
but straight to the desktop, like I had initially set it to do.

Rebooting again goes back through the login prompts.

When it goes through the login screen reboot (as opposed to going straight
to the desktop like it also does sometimes,) it is also completely ignoring
the 'viewportout' settings in xorg.conf.

The Xorg log shows a lot of nvidia and nouveau entries; but does not show
why that would randomly switch how it decides how to let me login.

udev log is ~14000 lines long, mostly relating to the sound. This makes
sense given the sound issues. but again - nothing pointing to login or
viewportout.

kern.log is also huge (~10000 lines), but the most recent entries are
primarily hda-codec related.

dpkg log is ~225000 lines long, and I honestly don't feel like spending my
day reading through that much stuff - I'm really not even sure what to look
for to find something relating to when it decides to take me to a cli
login, and gui login, or just go straight to the desktop - this was always
done as a 'set it and forget it' switch in previous versions of Ubuntu. why
they had to change it is beyond me.

gpu-manager.log, interestingly, ends with:

System configuration has changed
Removing xorg.conf. Path: /etc/X11/xorg.conf

Which is interesting since my system has *not* changed; all I did is
reboot. And curiously, there IS an xorg.conf.

This latest solution does not seem like it is working very well at all.

On Wed, Jan 21, 2015 at 1:56 PM, Csaba Patyi <email address hidden> wrote:

> Hi All!
>
> Thanks for the solution.
>
> B.r.
> Csaba
>
>
> -----Eredeti üzenet-----
> Feladó: Davide Mannarelli <email address hidden>
> Reply-to: Bug 1268257 <email address hidden>
> Címzett: <email address hidden>
> Tárgy: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build, with only error:
> "objdump: '... .tmp_nv.o': No such file"
> Dátum: Wed, 21 Jan 2015 09:16:46 -0000
>
>
> Solved in this way:
>
> 1) boot with old kernel (3.13.0-44)
> 2) login without gui (ctrl-alt-f1)
> 3) login with root (if enabled)
> 3) stopping lightdm (service lightdm stop)
> 4) a little cleaning (apt-get clean && apt-get autoclean && apt-get
> autoremove)
> 5) update source and fix (apt-get update && apt-get install -f)
> 6) install nvidia (apt-get install --reinstall nvidia-331-updates-uvm)
> 7) upgrade (apt-get upgrade)
> 8) reboot (shutdown -r now)
> 9) boot with new kernel (3.13.0-45)
> 10) :-)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1405836).
> https://bugs.launchpad.net...

Read more...

snurfle (snurfle) wrote :
Download full text (4.8 KiB)

Oh, and THIS is fun... now my laptop (Lenovo W530) has started reporting
the same stinking error. This is like watching a train wreck.

On Wed, Jan 21, 2015 at 2:13 PM, Greg Hyman <email address hidden> wrote:

> Rebooting now takes me to a CLI login prompt. But when I try to give it my
> login credentials, the screen flickers and then it takes me to the GUI
> login prompt.
>
> After logging in, everything seems to function as it has been since
> installing last month, only it pops up a "system error" box, asks to load a
> blue million files to file a bug report with, but after an hour it has not
> done anything at all. (Literally an hour, I decided to wait since most of
> the bug reports it has been filing usually take 3-5 minutes.)
>
> Rebooting brings it back to the normal startup - that is, no login at all,
> but straight to the desktop, like I had initially set it to do.
>
> Rebooting again goes back through the login prompts.
>
> When it goes through the login screen reboot (as opposed to going straight
> to the desktop like it also does sometimes,) it is also completely ignoring
> the 'viewportout' settings in xorg.conf.
>
> The Xorg log shows a lot of nvidia and nouveau entries; but does not show
> why that would randomly switch how it decides how to let me login.
>
> udev log is ~14000 lines long, mostly relating to the sound. This makes
> sense given the sound issues. but again - nothing pointing to login or
> viewportout.
>
> kern.log is also huge (~10000 lines), but the most recent entries are
> primarily hda-codec related.
>
> dpkg log is ~225000 lines long, and I honestly don't feel like spending my
> day reading through that much stuff - I'm really not even sure what to look
> for to find something relating to when it decides to take me to a cli
> login, and gui login, or just go straight to the desktop - this was always
> done as a 'set it and forget it' switch in previous versions of Ubuntu. why
> they had to change it is beyond me.
>
> gpu-manager.log, interestingly, ends with:
>
> System configuration has changed
> Removing xorg.conf. Path: /etc/X11/xorg.conf
>
> Which is interesting since my system has *not* changed; all I did is
> reboot. And curiously, there IS an xorg.conf.
>
> This latest solution does not seem like it is working very well at all.
>
> On Wed, Jan 21, 2015 at 1:56 PM, Csaba Patyi <email address hidden>
> wrote:
>
>> Hi All!
>>
>> Thanks for the solution.
>>
>> B.r.
>> Csaba
>>
>>
>> -----Eredeti üzenet-----
>> Feladó: Davide Mannarelli <email address hidden>
>> Reply-to: Bug 1268257 <email address hidden>
>> Címzett: <email address hidden>
>> Tárgy: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
>> nvidia-331-updates kernel module failed to build, with only error:
>> "objdump: '... .tmp_nv.o': No such file"
>> Dátum: Wed, 21 Jan 2015 09:16:46 -0000
>>
>>
>> Solved in this way:
>>
>> 1) boot with old kernel (3.13.0-44)
>> 2) login without gui (ctrl-alt-f1)
>> 3) login with root (if enabled)
>> 3) stopping lightdm (service lightdm stop)
>> 4) a little cleaning (apt-get clean && apt-get autoclean && apt-get
>> autoremove)
>> 5) update source and fix (apt-get update && apt-get install -f)
...

Read more...

Leyli Cecil (leycec-3) wrote :

This bug is horrible and must die. My base intuition concurs with Brian Norris' prior commentary. Quoted for truth:

"I suspect that there is some sort of race condition in the provided build scripts written by Nvidia, and they are only showing up intermittently or under particular system configurations/states, so package reinstallation tends to work fine the second time.

Related: I see this comment in Nvidia's Makefile regarding the "new" build system in Linux >= 2.6:

# The new approach currently has its own share of problems, some of which
# are architectural difficulties with KBUILD, others minor annoyances. For
# this reason, an improved version of the NVIDIA Makefile is available to
# those experiencing difficulties.

So it sounds like they admit to having architectural difficulties here. I wonder where this "improved version" of the Makefile can be obtained..."

The difficulty of reliably reproducing this bug implies (however weakly) an upstream race condition.

Given Nvidia's intransigence in addressing this, it remains Canonical's responsibility to supply a temporary downstream fix. This is rapidly becoming a community embarrassment – which, if left unresolved, could metastasize into mainstream media attention. (Of the variety we'd rather not have.)

While a genuine solution is probably beyond our purview, the Ubuntu-specific nvidia packages could at least be refactored so as to grep the DKMS build log for the following offending lines and respond by attempting to silently reinstall such packages a second time:

 echo >&2 " ERROR: Kernel configuration is invalid."; \
 echo >&2 " include/generated/autoconf.h or include/config/auto.conf are missing.";\
 echo >&2 " Run 'make oldconfig && make prepare' on kernel src to fix it."; \

Given that reinstalling such packages does appear to (mostly) succeed, automating such reinstallation could be of general assistance. Certainly, that's better than nothing – which woefully appears to be the current approach.

SillasOS (sillasos) wrote :

How to unsubscribe ? I have not subscribe to this email list ? It was a system report that do it. I dont want to receive lots of bug email reports every day. How can I stop this ?

dino99 (9d9) wrote :

That report is fullfilled by a ton of useless comments: do you think that devs will spend time with all that spam ?
Such issue is widely discussed on ubuntuforums (graphics subforum) where you can find suggestions/workaround; so do you own efforts to be clever and report only technical facts, not blah-blah please.

@sillaos & others: you might know about your profile, right ? so set your prefs as you wish.

SET THAT REPORT CLOSED AS IT IS OF NO USE.

Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Triaged → Invalid
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → Invalid
William Grant (wgrant) on 2015-01-22
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Invalid → Triaged
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Invalid → Triaged
Joachim R. (jro) wrote :

@dino99 : the bug is invalid for nvidia-graphics-drivers-331-updates but still exists.
As seen in a "useless" comment, this must be a stop for people coming from MS Windows.

When you look at the workaround, it may be a lightdm or apt bug. What do you suggest ?
Flagging this bug as invalid seems OK, but not sufficient nor constructive. A workaround is a workaround, not a fix nor an acceptable situation.
Helping bug reporter to find the right package to report against may help to solve bug #1.

@wgrant: thanx

@all : at least some motivated dev should take a look at what is the origin of the bug to report it against the right package(s)

d❤vid (kwill) on 2015-01-22
description: updated
description: updated
d❤vid (kwill) on 2015-01-22
description: updated
William Grant (wgrant) on 2015-01-22
description: updated
snurfle (snurfle) wrote :
Download full text (5.4 KiB)

I give up. After entertaining this, and many other issues for the past
month, I am defeated. My askubuntu profile
<http://askubuntu.com/users/362112/snurfle> has more details. That site
has repeatedly maxed out the number of problems I can report in one day,
and has limited the number of updates I can make to show any
troubleshooting I have performed. Now that my laptop is starting to show
the same issues as my desktop, particularly this graphics error - as well
as the host of workarounds (not actual solutions) on this thread, I am
wiping 14.04 before I have no working computers. I really need a
functioning OS.
If someone considers this message to be unnecessary, I would point out that
I feel it is a valid data point to the devs who want to know the extent and
impact this bug is having on the community.
The extent of this bug is that it is impacting multiple machines with
markedly different hardware and requirements, and it is causing the users
(at least this one) to dump the system and return to something that just
works.

On Thu, Jan 22, 2015 at 7:59 AM, William Grant <email address hidden>
wrote:

> ** Description changed:
>
> **WARNING:** This bug has been widely reported and has *many* automatic
> subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> - drivers-331-updates/+bug/1268257#portlet-subscription (shortcut to the
> - unsubscribe box which is buried on the right). You can also change your
> + drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug repo...

Read more...

Link at bottom of email.

On 01/22/2015 02:37 AM, SillasOS wrote:
> How to unsubscribe ? I have not subscribe to this email list ? It was a
> system report that do it. I dont want to receive lots of bug email
> reports every day. How can I stop this ?
>

alex (hei-alex) wrote :

Thank you !!
Am 22.01.2015 um 17:18 schrieb J K Cunningham:
> Link at bottom of email.
>
> On 01/22/2015 02:37 AM, SillasOS wrote:
>> How to unsubscribe ? I have not subscribe to this email list ? It was a
>> system report that do it. I dont want to receive lots of bug email
>> reports every day. How can I stop this ?
>>

Tomáš Kalász (tomi-kalasz) wrote :
Download full text (3.3 KiB)

The unsubscribe action doesn't work. When I hit the button I get this error message:

Timeout error

Sorry, something just went wrong in Launchpad.

We’ve recorded what happened, and we’ll fix it as soon as possible. Apologies for the inconvenience.

Trying again in a couple of minutes might work.

(Error ID: OOPS-6b943110657fa7e664f6502c31f87f60)

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of alex
Sent: Friday, January 23, 2015 2:29 PM
To: <email address hidden>
Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"

Thank you !!
Am 22.01.2015 um 17:18 schrieb J K Cunningham:
> Link at bottom of email.
>
> On 01/22/2015 02:37 AM, SillasOS wrote:
>> How to unsubscribe ? I have not subscribe to this email list ? It was
>> a system report that do it. I dont want to receive lots of bug email
>> reports every day. How can I stop this ?
>>

--
You received this bug notification because you are subscribed to a duplicate bug report (1387115).
https://bugs.launchpad.net/bugs/1268257

Title:
  nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
  failed to build, with only error: "objdump: '... .tmp_nv.o': No such
  file"

Status in nvidia-graphics-drivers-331 package in Ubuntu:
  Triaged
Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
  Triaged

Bug description:
  **WARNING:** This bug has been widely reported and has *many*
  automatic subscribers. Please be considerate.

  **If you need help:** try searching and asking on
  http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
  nearby user group (see http://loco.ubuntu.com or search for "LUG" in
  your area). Link back to this bug for clarity.

  **If you want to unsubscribe:** see
  https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
  drivers-331-updates/+bug/1268257/+subscribe. You can also change your
  settings so you don't get comments but do get notified when the bug is
  solved - see https://askubuntu.com/questions/576523 for details.

  **If you want to comment:** Please consider if you have something
  meaningful to contribute to the 2500+ people who will get an email.

  **If you are an Ubuntu developer:** thanks for looking into this! :D

  ----

  Nvidia kernel module failed to build on kernel 3.13.0-2
  Yesterday when the new kernel was pushed, the dkms process failed.

  ProblemType: Package
  DistroRelease: Ubuntu 14.04
  Package: nvidia-331-updates 331.20-0ubuntu9
  ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
  Uname: Linux 3.12.0-7-generic x86_64
  ApportVersion: 2.13.1-0ubuntu1
  Architecture: amd64
  DKMSKernelVersion: 3.13.0-2-generic
  Date: Sun Jan 12 01:28:35 2014
  InstallationDate: Installed on 2013-11-03 (69 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
  PackageVersion: 331.20-0ubuntu9
  SourcePackage: nvidia-graphics-drivers-331-updates
  Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel module failed to build
  UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 da...

Read more...

Download full text (3.6 KiB)

None of the people you are sending this email to can help you with that.

On 01/23/2015 05:42 AM, Tomáš Kalász wrote:
> The unsubscribe action doesn't work. When I hit the button I get this
> error message:
>
> Timeout error
>
> Sorry, something just went wrong in Launchpad.
>
> We’ve recorded what happened, and we’ll fix it as soon as possible.
> Apologies for the inconvenience.
>
> Trying again in a couple of minutes might work.
>
> (Error ID: OOPS-6b943110657fa7e664f6502c31f87f60)
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of alex
> Sent: Friday, January 23, 2015 2:29 PM
> To: <email address hidden>
> Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"
>
> Thank you !!
> Am 22.01.2015 um 17:18 schrieb J K Cunningham:
>> Link at bottom of email.
>>
>> On 01/22/2015 02:37 AM, SillasOS wrote:
>>> How to unsubscribe ? I have not subscribe to this email list ? It was
>>> a system report that do it. I dont want to receive lots of bug email
>>> reports every day. How can I stop this ?
>>>
> --
> You received this bug notification because you are subscribed to a duplicate bug report (1387115).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "S...

Read more...

Grzegorz Śliwiński (fizyk) wrote :

3.13.0-45 kernel on 14.04, and still occurs.

while I have instaled a kernel update on Ubuntu, the error message was displayed. I use Ubutnu 14.04 LTS and the recommended nvidia driver for my GeForce 8800 GTX 331.113

Luc Bruninx (luc2005) wrote :

Same problem during update of the kernel 3.16.0-30 with NVIDIA driver - version 331.113 (nvidia 331.113-0ubuntu0.1).
But after reboot, everything seems to be properly updated.

awol (awol99) wrote :

i switched to Debian weeks ago because of THIS problem. it works well.

On Sun, Feb 1, 2015 at 4:03 AM, Luc Bruninx <email address hidden>
wrote:

> Same problem during update of the kernel 3.16.0-30 with NVIDIA driver -
> version 331.113 (nvidia 331.113-0ubuntu0.1).
> But after reboot, everything seems to be properly updated.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1395929).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>

--
Sent from my recycled old computer.
[:C≡N:]− , I ≤ 2πrEħc ln 2

Robb (robb-dawson-gmail) wrote :

Download 340.76 driver from http://www.nvidia.com/object/unix.html,
which corrected this unnecessary glitch.

On 15-01-31 01:33 PM, awol wrote:
> i switched to Debian weeks ago because of THIS problem. it works well.
>
>
> On Sun, Feb 1, 2015 at 4:03 AM, Luc Bruninx <email address hidden>
> wrote:
>
>> Same problem during update of the kernel 3.16.0-30 with NVIDIA driver -
>> version 331.113 (nvidia 331.113-0ubuntu0.1).
>> But after reboot, everything seems to be properly updated.
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1395929).
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>> Triaged
>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>> Triaged
>>
>> Bug description:
>> **WARNING:** This bug has been widely reported and has *many*
>> automatic subscribers. Please be considerate.
>>
>> **If you need help:** try searching and asking on
>> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
>> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
>> your area). Link back to this bug for clarity.
>>
>> **If you want to unsubscribe:** see
>> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
>> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
>> settings so you don't get comments but do get notified when the bug is
>> solved - see https://askubuntu.com/questions/576523 for details.
>>
>> **If you want to comment:** Please consider if you have something
>> meaningful to contribute to the 2500+ people who will get an email.
>>
>> **If you are an Ubuntu developer:** thanks for looking into this! :D
>>
>> ----
>>
>> Nvidia kernel module failed to build on kernel 3.13.0-2
>> Yesterday when the new kernel was pushed, the dkms process failed.
>>
>> ProblemType: Package
>> DistroRelease: Ubuntu 14.04
>> Package: nvidia-331-updates 331.20-0ubuntu9
>> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
>> Uname: Linux 3.12.0-7-generic x86_64
>> ApportVersion: 2.13.1-0ubuntu1
>> Architecture: amd64
>> DKMSKernelVersion: 3.13.0-2-generic
>> Date: Sun Jan 12 01:28:35 2014
>> InstallationDate: Installed on 2013-11-03 (69 days ago)
>> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
>> (20131016.1)
>> PackageVersion: 331.20-0ubuntu9
>> SourcePackage: nvidia-graphics-drivers-331-updates
>> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
>> module failed to build
>> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
>>
>

yosoyelkoch (julio-garcia-b) wrote :
Download full text (5.6 KiB)

Lol this is the funniest bug solution that I've ever seen... cool..

BTW this problem suddenly comes back sometimes when the kernel is updated.

Sent from my Android mobile device
El ene 31, 2015 3:41 PM, "awol" <email address hidden> escribió:

> i switched to Debian weeks ago because of THIS problem. it works well.
>
>
> On Sun, Feb 1, 2015 at 4:03 AM, Luc Bruninx <email address hidden>
> wrote:
>
> > Same problem during update of the kernel 3.16.0-30 with NVIDIA driver -
> > version 331.113 (nvidia 331.113-0ubuntu0.1).
> > But after reboot, everything seems to be properly updated.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1395929).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > Triaged
> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > **WARNING:** This bug has been widely reported and has *many*
> > automatic subscribers. Please be considerate.
> >
> > **If you need help:** try searching and asking on
> > http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> > nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> > your area). Link back to this bug for clarity.
> >
> > **If you want to unsubscribe:** see
> > https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> > drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> > settings so you don't get comments but do get notified when the bug is
> > solved - see https://askubuntu.com/questions/576523 for details.
> >
> > **If you want to comment:** Please consider if you have something
> > meaningful to contribute to the 2500+ people who will get an email.
> >
> > **If you are an Ubuntu developer:** thanks for looking into this! :D
> >
> > ----
> >
> > Nvidia kernel module failed to build on kernel 3.13.0-2
> > Yesterday when the new kernel was pushed, the dkms process failed.
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 14.04
> > Package: nvidia-331-updates 331.20-0ubuntu9
> > ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> > Uname: Linux 3.12.0-7-generic x86_64
> > ApportVersion: 2.13.1-0ubuntu1
> > Architecture: amd64
> > DKMSKernelVersion: 3.13.0-2-generic
> > Date: Sun Jan 12 01:28:35 2014
> > InstallationDate: Installed on 2013-11-03 (69 days ago)
> > InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> > (20131016.1)
> > PackageVersion: 331.20-0ubuntu9
> > SourcePackage: nvidia-graphics-drivers-331-updates
> > Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel
> > module failed to build
> > UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
> >
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268257/+subscriptions
> >
>
>
> --
> Sent from my...

Read more...

mmizutani (mmizutani) wrote :

I'm not quite sure, but some tips on the official wiki (https://help.ubuntu.com/community/BinaryDriverHowto/Nvidia) might help solve this issue.

I'm using a GeForce 8400M GS on a HP Pavilion dv6700 laptop.
Solved changing from version 331.113 to 304.125.

_Still_ getting this problem on most recent kernel update, 14.04 LTS.

Yes can still confirm with the latest Updates 14.04 LTS 64bit on Dell XPS 15

Zero (zerofossilfuel) wrote :

I have recently been having trouble with getting Wine1.7 to coexist with driver 331.113-updates, forced to regress to the non-updates tested version. I suspect the background upgrade problem may be related to Wine. No one has yet made the connection here. Might be worth looking at.

Arnau Bosch (arnau-m) wrote :

I don't have wine installed, and the problem persists with the last
kernel 3.18.4 and 3.18.5, and the last nvidia drivers, 346.35, i think
the problem is the dkms, Today i updated the virtualbox and the module
was compiled fine. I think the unique solution for the moment is: sudo
apt-get install nvidia-* nvidia-*-uvm --reinstall

El 03/02/15 a les 14:51, Zero ha escrit:
> I have recently been having trouble with getting Wine1.7 to coexist with
> driver 331.113-updates, forced to regress to the non-updates tested
> version. I suspect the background upgrade problem may be related to
> Wine. No one has yet made the connection here. Might be worth looking
> at.
>

Nick B. (futurepilot) wrote :

I do not have wine installed either. I'm not sure how wine would cause this
anyway.

On Tuesday, February 03, 2015 01:51:13 PM Zero wrote:
> I have recently been having trouble with getting Wine1.7 to coexist with
> driver 331.113-updates, forced to regress to the non-updates tested
> version. I suspect the background upgrade problem may be related to
> Wine. No one has yet made the connection here. Might be worth looking
> at.

So....

today I updated my Ubuntu installation again... automatic updates. And yet again "a problem has been detected" with "Nvidia-updates". This is the FOURTH time I am seeing this issue on the SAME machine. I can also confirm it for THREE other machines with Nvidia hardware.

And this is suppose to be an LTS release?

I'd get in touch with Nvidia ASAP to get rid of this issue, since it indeed seems to leave some systems with huge issues. Not sure how it's going to affect me this time, updates just finished and going for a reboot now.

Hope to survive the reboot.

Виталий (by-skif) wrote :

The problem has occurred after i edited /usr/share/nvidia-331/nvidia-331.grub-gfxpayload to comment the string #v10ded.*sv.*sd.*bc03sc.*

This need to make plymouth loading in graphics mode.

Quinta Helmer (qhelmer) wrote :

Here the same thing for the second time on the same machine;
nvidea-update error after kernel update (have not rebooted yet).

On 02/04/2015 10:57 AM, Alexander Chr. Tornow wrote:
> So....
>
> today I updated my Ubuntu installation again... automatic updates. And
> yet again "a problem has been detected" with "Nvidia-updates". This is
> the FOURTH time I am seeing this issue on the SAME machine. I can also
> confirm it for THREE other machines with Nvidia hardware.
>
> And this is suppose to be an LTS release?
>
> I'd get in touch with Nvidia ASAP to get rid of this issue, since it
> indeed seems to leave some systems with huge issues. Not sure how it's
> going to affect me this time, updates just finished and going for a
> reboot now.
>
> Hope to survive the reboot.
>

Roger Clark (rfclark) wrote :
Download full text (4.3 KiB)

Not that I want to fill people's inboxes... but I also just upgraded to
the 3.13.0-45-generic #74 on a Xeon W3680 and GeForce GTX 650Ti and it went
through without problems. I looked through all my installed nvidia
packages prior to the upgrade (with an "nvidia" filter in Synaptic Package
Manager), and removed bbswitch-dkms which also removed nvidia-prime,
neither of which seemed relevant to my system.

I had a couple dkms warnings due to updating virtualbox, but nothing that
crashed or failed. On reboot the screens did take a little longer to come
up, but finally did to my original lightdm desktop. My current installed
nvidia packages from the SPM filter are:
dmraid
libcuda1-331-updates
libvdpau1
nvidia-331-update
nvidia-opencl-icd-331-updates
nvidia-settings
ubuntu-drivers-common

SPM and nvidia-settings reports a 331.113-0ubuntu0.0.4 driver version.
I've not yet tried to force the 340.29 CUDA 6.5 driver (from NVIDIA
website) I'd like to be running, as the system seems happy for now.

On Wed, Feb 4, 2015 at 6:11 AM, Quinta Helmer <email address hidden>
wrote:

> Here the same thing for the second time on the same machine;
> nvidea-update error after kernel update (have not rebooted yet).
>
> On 02/04/2015 10:57 AM, Alexander Chr. Tornow wrote:
> > So....
> >
> > today I updated my Ubuntu installation again... automatic updates. And
> > yet again "a problem has been detected" with "Nvidia-updates". This is
> > the FOURTH time I am seeing this issue on the SAME machine. I can also
> > confirm it for THREE other machines with Nvidia hardware.
> >
> > And this is suppose to be an LTS release?
> >
> > I'd get in touch with Nvidia ASAP to get rid of this issue, since it
> > indeed seems to leave some systems with huge issues. Not sure how it's
> > going to affect me this time, updates just finished and going for a
> > reboot now.
> >
> > Hope to survive the reboot.
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1410878).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to th...

Read more...

Yifan Yang (yfyang-86) wrote :

The issue happens when I installed any private nvidia driver on 14.04 with my NV-550 Ti card on every kernel version (up to 3.13.0-46). As I have *dual screen* (VGA+DVI), which is another issue which may cause the failure of the driver.

This is what I've done to fix it, you may need to enter tty mode (ctrl + alt + F2 for example) and enable web:

```bash
#kill lightdm/kdm/ whatever you X-window is
if [ `ps -ef | grep lightdm | wc -l` -gt 1 ]; then
    sudo service lightdm stop
    else sudo service kdm stop;
fi

# Install kernel-header
sudo apt-get update
sudo apt-get install linux-generic build-essential

# Get official 346.47
wget http://us.download.nvidia.com/XFree86/Linux-x86_64/346.47/NVIDIA-Linux-x86_64-346.47.run

# enable exec &run
chmod +x NVIDIA-Linux-x86_64-346.47.run
sudo ./NVIDIA-Linux-x86_64-346.47.run

```

After installation, reconfigure your unity in case your Gnome fails to load it:

```bash
# reconfig monitors: This is important in my case.
rm ~/.config/monitors.xml

## install ccsm
sudo apt-get install compizconfig-settings-manager python-compizconfig compiz-fusion-plugins-extra compiz-fusion-bcop compiz-fusion-plugins-main compizconfig-backend-gconf
sudo reboot
```

After reboot, you may probably see the Gnome back again. If not hit <Ctrl+Alt+F2> and login:

```bash
#kill lightdm/kdm/ whatever you X-window is
if [ `ps -ef | grep lightdm | wc -l` -gt 1 ]; then
    sudo service lightdm stop
    else sudo service kdm stop;
fi

export DISPLAY=:0.0
ccsm
```
and re-enable unity-plugin when you get back to X using <ctrl+Alt+F7> and configure the display afterwards. You may need to rest the unity and has nothing to do with this thread.

It seems we need to compile the DKMS every time kernel is updated and I personally use my code to re-enable the private driver.

Pablo Piaggio (papibe) wrote :

Three times in a row now.

Kernel update -> nvidia problem!

Pretty much a regular occurrence. Kernel update, nvidia fail. Really disappointing on an LTS.

Three times in a row here as well. This is really disappointing on LTS release. Really considering to switching to Debian just because of this.

Petri Janhunen (janhunenpetri), I totally agree. Most of the solutions here are beyond general users like myself. We shouldn't keep being expected to become developers or tech engineers, certainly not if Linux is to move in the direction it says it wants to and attract noobs like myself. I can't keep rebuilding my PCs from scratch every 6 months! No dis, but this is sloppy as an IT Director of one of the world's largest tech cos described it to me.

Grzegorz Śliwiński (fizyk) wrote :

same story on 3.16 kernel on 14.04 again...

Lars Nyström (xetea) wrote :

This is the first occurence of this problem for me. I've been using 14.04 since the release, but I recently reinstalled Ubuntu. I did not experience this problem with my previous installation of 14.04.

The only difference between my current install and the one where I didn't experience this problem is that I now installed 14.04.2 directly (instead of upgrading to it) and I now use UEFI boot, instead of using Bios compatibility mode (CSM). I have no idea how that would affect the system, but it might be something.

Paul Beeler (sparksco) wrote :
Download full text (3.5 KiB)

For me I'm on 14.10 and it only happens when I try to compile and install
my own kernel... I know the same problem exist on 14.04 because I had the
same problem before I updated to 14.10. This bug is not developer friendly
at all as many developers need to compile their own kernels for various
reasons... What am I to do? It seems no progress or even attempt of a fix
is in the near future. I guess I'll have to install Debian or a Debian
based distro like crunchbang Linux...
On Feb 25, 2015 1:16 AM, "Lars Nyström" <email address hidden> wrote:
>
> This is the first occurence of this problem for me. I've been using
> 14.04 since the release, but I recently reinstalled Ubuntu. I did not
> experience this problem with my previous installation of 14.04.
>
> The only difference between my current install and the one where I
> didn't experience this problem is that I now installed 14.04.2 directly
> (instead of upgrading to it) and I now use UEFI boot, instead of using
> Bios compatibility mode (CSM). I have no idea how that would affect the
> system, but it might be something.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1401752).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
(20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graph...

Read more...

Maxthon Chan (xcvista-b) wrote :
Download full text (3.3 KiB)

The same driver bites my ass on both 14.04 and 14.10 actually. I am forced to install Windows on my machine (and lose bcache) on a machine of mine after this driver made the entire system too unstable.

Card: nVidia GeForce GTX 650 Ti (Zotac build)
Processor: Intel Core 2 Quad Q9300
Board: Intel Q35 Express Chipset
Releases affected: Ubuntu 14.04, Ubuntu 14.10

> On Feb 25, 2015, at 16:05, Lars Nyström <email address hidden> wrote:
>
> This is the first occurence of this problem for me. I've been using
> 14.04 since the release, but I recently reinstalled Ubuntu. I did not
> experience this problem with my previous installation of 14.04.
>
> The only difference between my current install and the one where I
> didn't experience this problem is that I now installed 14.04.2 directly
> (instead of upgrading to it) and I now use UEFI boot, instead of using
> Bios compatibility mode (CSM). I have no idea how that would affect the
> system, but it might be something.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1357376).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel module failed to build
> UpgradeStatus: U...

Read more...

information type: Public → Public Security
information type: Public Security → Public
Allard Pruim (allardpruim) wrote :

Since a month I'm using Kubuntu 14.04 with a GT640, I'm also seeing a error while installing a kernel update. The system however seems to booting fine with the new kernel.

Affects my system (with Geforce GTX 760 (192bit)) also at each kernel update....

aaron (son-of-god-03) wrote :

Ubuntu 14.04
the command of Tiago fixed the issue:
apt-get install nvidia-331-uvm --reinstall

description: updated
Vera (veravera666) on 2015-02-27
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: nobody → Vera (veravera666)
ubuntudotcom1 (ubuntudotcom1) wrote :

Thanks for all of your help Daniel.

dino99 (9d9) on 2015-02-28
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: Vera (veravera666) → nobody
RobertDahlström (cinnarob) wrote :

Huge thanks to the person that came up with this:
$ sudo dpkg-reconfigure nvidia-331
$ sudo dpkg-reconfigure nvidia-331-uvm

fixed all issues for me. I guess reinstalling the module is also doing this behind the scenes and that's why that also works.

ErBussola (f-biscossi) wrote :

[SOLVED]

$ uname -r
3.13.0-46-generic
$ dkms status
bbswitch, 0.7, 3.13.0-46-generic, x86_64: installed
nvidia-331, 331.113, 3.13.0-46-generic, x86_64: installed
nvidia-331-uvm, 331.113, 3.13.0-46-generic, x86_64: installed

$ sudo dpkg-reconfigure nvidia-331
$ sudo dpkg-reconfigure nvidia-331-uvm

Launching reconfiguration pkg nvidia driver I solved the problem.

Moreno (nenoattila) on 2015-03-01
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: nobody → Moreno (nenoattila)
polyurmok (09689835g) wrote :

I don't have nvidia GPU on my notebook, so I wonder if I can remove these nvidia packages:

dpkg-query -l | grep nvidia
ii nvidia-331-updates 331.113-0ubuntu0.0.4 amd64 NVIDIA binary driver - version 331.113
ii nvidia-331-updates-uvm 331.113-0ubuntu0.0.4 amd64 NVIDIA Unified Memory kernel module
ii nvidia-libopencl1-331-updates 331.113-0ubuntu0.0.4 amd64 NVIDIA OpenCL Driver and ICD Loader library
ii nvidia-opencl-icd-331-updates 331.113-0ubuntu0.0.4 amd64 NVIDIA OpenCL ICD
ii nvidia-prime 0.6.2 amd64 Tools to enable NVIDIA's Prime
ii nvidia-settings 331.20-0ubuntu8 amd64 Tool for configuring the NVIDIA graphics driver

Thanks.

snurfle (snurfle) wrote :

LOL @Ubuntu!!

I just booted into ubuntu to copy a couple of files over to Windows, and immediately got this error, and it took me straight here.

Glad to see everything is still the same on the Linux side of the world!!

Do I really need to post anything here about my system, or would that just be beating a dead horse at this point?

dino99 (9d9) on 2015-03-07
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: Moreno (nenoattila) → nobody
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → Incomplete
status: Incomplete → Invalid
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Triaged → Invalid
Download full text (3.2 KiB)

Hello,

I wanted to know how do I write the commands you wrote to me on e-mail.

 thank you

----Messaggio originale----
Da: <email address hidden>
Data: 7-mar-2015 2.29
A: <email address hidden>
Ogg: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: &amp;quot;objdump: &amp;#39;... .tmp_nv.o&amp;#39;: No such file&amp;quot;

LOL @Ubuntu!!

I just booted into ubuntu to copy a couple of files over to Windows, and
immediately got this error, and it took me straight here.

Glad to see everything is still the same on the Linux side of the
world!!

Do I really need to post anything here about my system, or would that
just be beating a dead horse at this point?

--
You received this bug notification because you are a bug assignee.
https://bugs.launchpad.net/bugs/1268257

Title:
  nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
  failed to build, with only error: "objdump: '... .tmp_nv.o': No such
  file"

Status in nvidia-graphics-drivers-331 package in Ubuntu:
  Triaged
Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
  Triaged

Bug description:
  **WARNING:** This bug has been widely reported and has *many*
  automatic subscribers. Please be considerate.

  **If you need help:** try searching and asking on
  http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
  nearby user group (see http://loco.ubuntu.com or search for "LUG" in
  your area). Link back to this bug for clarity.

  ---

  This seems to fix it (at least for one version upgrade) for many
  people

  $ sudo dpkg-reconfigure nvidia-331

  after that...

  $ sudo dpkg-reconfigure nvidia-331-uvm

  (some users may be on the versions of these packages suffixed with
  -updates )

  ---

  **If you want to unsubscribe:** see
  https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
  drivers-331-updates/+bug/1268257/+subscribe. You can also change your
  settings so you don't get comments but do get notified when the bug is
  solved - see https://askubuntu.com/questions/576523 for details.

  **If you want to comment:** Please consider if you have something
  meaningful to contribute to the 2500+ people who will get an email.

  **If you are an Ubuntu developer:** thanks for looking into this! :D

  ----

  Nvidia kernel module failed to build on kernel 3.13.0-2
  Yesterday when the new kernel was pushed, the dkms process failed.

  ProblemType: Package
  DistroRelease: Ubuntu 14.04
  Package: nvidia-331-updates 331.20-0ubuntu9
  ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
  Uname: Linux 3.12.0-7-generic x86_64
  ApportVersion: 2.13.1-0ubuntu1
  Architecture: amd64
  DKMSKernelVersion: 3.13.0-2-generic
  Date: Sun Jan 12 01:28:35 2014
  InstallationDate: Installed on 2013-11-03 (69 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
  PackageVersion: 331.20-0ubuntu9
  SourcePackage: nvidia-graphics-drivers-331-updates
  Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel module failed to build
  UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)

To manage notifications about this bug go...

Read more...

Andre Cunha (andrefcunha) wrote :
Download full text (6.7 KiB)

Not solved in my case:Processor: i3Motherboard: Asrock H55Video card: Nvidia 250GTX (GTX250 is same as GTS250 I think)Power suply: 450w
I tried the commands but the error persists.

André Freitas Cunha--------------------------Civil EngineerFone: 55 31 9464-1587 (Brazil)

> Date: Sat, 7 Mar 2015 08:18:01 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: R: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"
>
> Hello,
>
> I wanted to know how do I write the commands you wrote to me on e-mail.
>
> thank you
>
>
>
> ----Messaggio originale----
> Da: <email address hidden>
> Data: 7-mar-2015 2.29
> A: <email address hidden>
> Ogg: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: &amp;quot;objdump: &amp;#39;... .tmp_nv.o&amp;#39;: No such file&amp;quot;
>
> LOL @Ubuntu!!
>
> I just booted into ubuntu to copy a couple of files over to Windows, and
> immediately got this error, and it took me straight here.
>
> Glad to see everything is still the same on the Linux side of the
> world!!
>
> Do I really need to post anything here about my system, or would that
> just be beating a dead horse at this point?
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroReleas...

Read more...

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Invalid → Triaged
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Invalid → Triaged

I ran into (apparently the same) this bug with nvidia-340 and nvidia-340-uvm on vivid. The crash reporter directed it to this bug. You should probably either assign my crash report data to a new bug concerning nvidia-340 and nvidia-340-uvm, or add these as affected packages.

Aneesh Neelam (aneesh-neelam) wrote :

Hello, I am currently running Ubuntu Vivid.

I can confirm that this occurs on Linux 3.19 and Nvidia-346.47 as well.
DKMS fails when a new kernel is installed. Need to reinstall or reconfigure nvidia-346 and nvidia-346-uvm packages manually.

lousadarene (rene-lousada) wrote :
Download full text (10.0 KiB)

thank you

> Date: Sat, 7 Mar 2015 15:48:44 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: RE: R: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"
>
> Not solved in my case:Processor: i3Motherboard: Asrock H55Video card: Nvidia 250GTX (GTX250 is same as GTS250 I think)Power suply: 450w
> I tried the commands but the error persists.
>
> André Freitas Cunha--------------------------Civil EngineerFone: 55 31
> 9464-1587 (Brazil)
>
> > Date: Sat, 7 Mar 2015 08:18:01 +0000
> > From: <email address hidden>
> > To: <email address hidden>
> > Subject: R: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"
> >
> > Hello,
> >
> > I wanted to know how do I write the commands you wrote to me on e-mail.
> >
> > thank you
> >
> >
> >
> > ----Messaggio originale----
> > Da: <email address hidden>
> > Data: 7-mar-2015 2.29
> > A: <email address hidden>
> > Ogg: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: &amp;quot;objdump: &amp;#39;... .tmp_nv.o&amp;#39;: No such file&amp;quot;
> >
> > LOL @Ubuntu!!
> >
> > I just booted into ubuntu to copy a couple of files over to Windows, and
> > immediately got this error, and it took me straight here.
> >
> > Glad to see everything is still the same on the Linux side of the
> > world!!
> >
> > Do I really need to post anything here about my system, or would that
> > just be beating a dead horse at this point?
> >
> > --
> > You received this bug notification because you are a bug assignee.
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > Triaged
> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > **WARNING:** This bug has been widely reported and has *many*
> > automatic subscribers. Please be considerate.
> >
> > **If you need help:** try searching and asking on
> > http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> > nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> > your area). Link back to this bug for clarity.
> >
> > ---
> >
> > This seems to fix it (at least for one version upgrade) for many
> > people
> >
> > $ sudo dpkg-reconfigure nvidia-331
> >
> > after that...
> >
> > $ sudo dpkg-reconfigure nvidia-331-uvm
> >
> > (some users may be on the versions of these packages suffixed with
> > -updates )
> >
> > ---
> >
> > **If you want to unsubscribe:** see
> > https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> > drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> > settings so you don't get comments but do get notified when the bug is
> > solved - see https:/...

Michael Markstaller (makki) wrote :

Same problem: I'd love a way to permanently disable this whole useless, closed source Nvidia-crap forever!

snurfle (snurfle) wrote :

This seems to fix it (at least for one version upgrade) for many
  people

  $ sudo dpkg-reconfigure nvidia-331

  after that...

  $ sudo dpkg-reconfigure nvidia-331-uvm

did not fix for me.
come on, people.

Download full text (3.2 KiB)

It helped me!
Anyway I think we should ask nvidia about breaking the kernel driver model.

Inviato da Alexander Liveriero Lavelli

> Il giorno 15/mar/2015, alle ore 17:10, snurfle <email address hidden> ha scritto:
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
>
> did not fix for me.
> come on, people.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1411767).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> New
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> New
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331.20-0ubuntu9: nvidia-331-updates kernel module failed to build
> UpgradeStatus: Upgraded to trusty on 2013-12-29 (13 days ago)
>
> To manag...

Read more...

Arnau Bosch (arnau-m) wrote :

Hi,

After crash dkms i always run sudo apt-get install nvidia-331
--reinstall and sudo apt-get install nvidia-331-uvm --reinstall

El 15/03/15 a les 17:10, snurfle ha escrit:
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
>
> did not fix for me.
> come on, people.
>

Paul Judd (sukiipooru) wrote :
Download full text (3.4 KiB)

Can't use my system anymore, can't get from initial login screen to
anything. Mouse, keyboard all become locked out.
On 23/03/2015 2:51 AM, "Mateusz Stachowski" <email address hidden>
wrote:

> ** Also affects: nvidia-graphics-drivers-340 (Ubuntu)
> Importance: Undecided
> Status: New
>
> ** Also affects: nvidia-graphics-drivers-340-updates (Ubuntu)
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1408226).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> New
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> New
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> PackageVersion: 331.20-0ubuntu9
> SourcePackage: nvidia-graphics-drivers-331-updates
> Title: nvidia-331-updates 331...

Read more...

Robert Dinse (nanook) wrote :
Download full text (7.1 KiB)

      Try alt-F1 to get to a text login screen.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 23 Mar 2015, Paul Judd wrote:

> Date: Mon, 23 Mar 2015 00:41:18 -0000
> From: Paul Judd <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> Can't use my system anymore, can't get from initial login screen to
> anything. Mouse, keyboard all become locked out.
> On 23/03/2015 2:51 AM, "Mateusz Stachowski" <email address hidden>
> wrote:
>
>> ** Also affects: nvidia-graphics-drivers-340 (Ubuntu)
>> Importance: Undecided
>> Status: New
>>
>> ** Also affects: nvidia-graphics-drivers-340-updates (Ubuntu)
>> Importance: Undecided
>> Status: New
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1408226).
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in NVIDIA Drivers Ubuntu:
>> New
>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>> Triaged
>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>> Triaged
>> Status in nvidia-graphics-drivers-340 package in Ubuntu:
>> New
>> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
>> New
>> Status in nvidia-graphics-drivers-346 package in Ubuntu:
>> New
>> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
>> New
>>
>> Bug description:
>> **WARNING:** This bug has been widely reported and has *many*
>> automatic subscribers. Please be considerate.
>>
>> **If you need help:** try searching and asking on
>> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
>> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
>> your area). Link back to this bug for clarity.
>>
>> ---
>>
>> This seems to fix it (at least for one version upgrade) for many
>> people
>>
>> $ sudo dpkg-reconfigure nvidia-331
>>
>> after that...
>>
>> $ sudo dpkg-reconfigure nvidia-331-uvm
>>
>> (some users may be on the versions of these packages suffixed with
>> -updates )
>>
>> ---
>>
>> **If you want to unsubscribe:** see
>> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
>> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
>> settings so you don't get comments but do get notified when the bug is
>> solved - see https://askubuntu.com/questions/576523 for details.
>>
>> **If you want to comment:** Please consider if you have something
>> meaningful to contribute to the 2500+ people who will get an email.
>>
>> ...

Read more...

Etienne URBAH (eurbah) wrote :

This bug is still there with Linux kernel 3.16.0-33

But the 'nouveau' module is currently making a lot of progress : For example 'nouveau' bug described at https://bugs.freedesktop.org/show_bug.cgi?id=87819 is fixed.

So, I hope to get devinitively rid of the 'nvidia' bug thanks to the 'nouveau' module embedded in Linux kernel 3.19 brought by Ubuntu Vivid coming soon.

Robert Dinse (nanook) wrote :
Download full text (4.2 KiB)

      For what it's worth, I built an 3.18.9 kernel from source after reading
someone else had success with it, and that worked for me.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 23 Mar 2015, Etienne URBAH wrote:

> Date: Mon, 23 Mar 2015 17:53:36 -0000
> From: Etienne URBAH <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> This bug is still there with Linux kernel 3.16.0-33
>
> But the 'nouveau' module is currently making a lot of progress : For
> example 'nouveau' bug described at
> https://bugs.freedesktop.org/show_bug.cgi?id=87819 is fixed.
>
> So, I hope to get devinitively rid of the 'nvidia' bug thanks to the
> 'nouveau' module embedded in Linux kernel 3.19 brought by Ubuntu Vivid
> coming soon.
>
> ** Bug watch added: freedesktop.org Bugzilla #87819
> https://bugs.freedesktop.org/show_bug.cgi?id=87819
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1379170).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> New
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> New
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful t...

Read more...

Michal (michal-dobkowski) wrote :

My fix is simple:
1. open Synaptic
2. search "nvidia"
3 check all installed items
4 reinstall.

Cheers. M.

Robert Dinse (nanook) wrote :
Download full text (3.8 KiB)

      Sorry, I was having the problem with Nvidia 304 not 331, and multiple,
and I do mean multiple re-installs didn't make it work.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 23 Mar 2015, Michal wrote:

> Date: Mon, 23 Mar 2015 20:09:37 -0000
> From: Michal <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> My fix is simple:
> 1. open Synaptic
> 2. search "nvidia"
> 3 check all installed items
> 4 reinstall.
>
> Cheers. M.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1379170).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> New
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> New
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVer...

Read more...

awol (awol99) wrote :
Download full text (7.2 KiB)

Debian works fine with nVIDIA.

On Tue, Mar 24, 2015 at 6:18 AM, Robert Dinse <email address hidden> wrote:

> Sorry, I was having the problem with Nvidia 304 not 331, and multiple,
> and I do mean multiple re-installs didn't make it work.
>
>
> -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
> Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
> Knowledgeable human assistance, not telephone trees or script readers.
> See our web site: http://www.eskimo.com/ (206) 812-0051 or (800)
> 246-6874.
>
> On Mon, 23 Mar 2015, Michal wrote:
>
> > Date: Mon, 23 Mar 2015 20:09:37 -0000
> > From: Michal <email address hidden>
> > Reply-To: Bug 1268257 <email address hidden>
> > To: <email address hidden>
> > Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> > nvidia-331-updates kernel module failed to build,
> > with only error: "objdump: '... .tmp_nv.o': No such file"
> >
> > My fix is simple:
> > 1. open Synaptic
> > 2. search "nvidia"
> > 3 check all installed items
> > 4 reinstall.
> >
> > Cheers. M.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1379170).
> > https://bugs.launchpad.net/bugs/1268257
> >
> > Title:
> > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > file"
> >
> > Status in NVIDIA Drivers Ubuntu:
> > New
> > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > Triaged
> > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > Triaged
> > Status in nvidia-graphics-drivers-340 package in Ubuntu:
> > New
> > Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> > New
> > Status in nvidia-graphics-drivers-346 package in Ubuntu:
> > New
> > Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> > New
> >
> > Bug description:
> > **WARNING:** This bug has been widely reported and has *many*
> > automatic subscribers. Please be considerate.
> >
> > **If you need help:** try searching and asking on
> > http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> > nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> > your area). Link back to this bug for clarity.
> >
> > ---
> >
> > This seems to fix it (at least for one version upgrade) for many
> > people
> >
> > $ sudo dpkg-reconfigure nvidia-331
> >
> > after that...
> >
> > $ sudo dpkg-reconfigure nvidia-331-uvm
> >
> > (some users may be on the versions of these packages suffixed with
> > -updates )
> >
> > ---
> >
> > **If you want to unsubscribe:** see
> > https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> > drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> > settings so you don't get comments but do get notified when the bug is
> > solved - see https://askubuntu.com/questions/576523 for details.
> >
> > **If you want to comment:** Please consider if you have something
> > meaningful to contribute to the 2500+ people who will get an email.
> >
> > **If you are an Ubuntu developer:** thanks for looki...

Read more...

Robert Dinse (nanook) wrote :
Download full text (11.3 KiB)

      This was Ubuntu, and the Nvidia card I have is antique, GT7300, which is
why 304 and not 331, and it worked until a recent upgrade from 14.04 to 14.10,
after which the shipped drivers did not work, and the ones from the Nvidia
website wouldn't build, complained about a missing header file, until I grabbed
a 3.18.9 kernel from kernel.org and built per someone else's recommendations.
This is on an old MacPro 1,1. This shipped drivers just wouldn't load.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 23 Mar 2015, awol wrote:

> Date: Mon, 23 Mar 2015 20:50:33 -0000
> From: awol <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> Debian works fine with nVIDIA.
>
>
> On Tue, Mar 24, 2015 at 6:18 AM, Robert Dinse <email address hidden> wrote:
>
>> Sorry, I was having the problem with Nvidia 304 not 331, and multiple,
>> and I do mean multiple re-installs didn't make it work.
>>
>>
>> -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
>> Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
>> Knowledgeable human assistance, not telephone trees or script readers.
>> See our web site: http://www.eskimo.com/ (206) 812-0051 or (800)
>> 246-6874.
>>
>> On Mon, 23 Mar 2015, Michal wrote:
>>
>>> Date: Mon, 23 Mar 2015 20:09:37 -0000
>>> From: Michal <email address hidden>
>>> Reply-To: Bug 1268257 <email address hidden>
>>> To: <email address hidden>
>>> Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
>>> nvidia-331-updates kernel module failed to build,
>>> with only error: "objdump: '... .tmp_nv.o': No such file"
>>>
>>> My fix is simple:
>>> 1. open Synaptic
>>> 2. search "nvidia"
>>> 3 check all installed items
>>> 4 reinstall.
>>>
>>> Cheers. M.
>>>
>>> --
>>> You received this bug notification because you are subscribed to a
>>> duplicate bug report (1379170).
>>> https://bugs.launchpad.net/bugs/1268257
>>>
>>> Title:
>>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>>> file"
>>>
>>> Status in NVIDIA Drivers Ubuntu:
>>> New
>>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>>> Triaged
>>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>>> Triaged
>>> Status in nvidia-graphics-drivers-340 package in Ubuntu:
>>> New
>>> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
>>> New
>>> Status in nvidia-graphics-drivers-346 package in Ubuntu:
>>> New
>>> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
>>> New
>>>
>>> Bug description:
>>> **WARNING:** This bug has been widely reported and has *many*
>>> automatic subscribers. Please be cons...

Bertolini (samucabertolini) wrote :
Download full text (11.4 KiB)

In my case, I have install nvidia-340, but nvidia 331 keeping intefering.
Does anyone know how to remove only 331?
Anyone found another solution?
Thanks

Samuel Bertolini da Silva Oliveira

> Date: Mon, 23 Mar 2015 20:50:33 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"
>
> Debian works fine with nVIDIA.
>
>
> On Tue, Mar 24, 2015 at 6:18 AM, Robert Dinse <email address hidden> wrote:
>
> > Sorry, I was having the problem with Nvidia 304 not 331, and multiple,
> > and I do mean multiple re-installs didn't make it work.
> >
> >
> > -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
> > Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
> > Knowledgeable human assistance, not telephone trees or script readers.
> > See our web site: http://www.eskimo.com/ (206) 812-0051 or (800)
> > 246-6874.
> >
> > On Mon, 23 Mar 2015, Michal wrote:
> >
> > > Date: Mon, 23 Mar 2015 20:09:37 -0000
> > > From: Michal <email address hidden>
> > > Reply-To: Bug 1268257 <email address hidden>
> > > To: <email address hidden>
> > > Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> > > nvidia-331-updates kernel module failed to build,
> > > with only error: "objdump: '... .tmp_nv.o': No such file"
> > >
> > > My fix is simple:
> > > 1. open Synaptic
> > > 2. search "nvidia"
> > > 3 check all installed items
> > > 4 reinstall.
> > >
> > > Cheers. M.
> > >
> > > --
> > > You received this bug notification because you are subscribed to a
> > > duplicate bug report (1379170).
> > > https://bugs.launchpad.net/bugs/1268257
> > >
> > > Title:
> > > nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> > > failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> > > file"
> > >
> > > Status in NVIDIA Drivers Ubuntu:
> > > New
> > > Status in nvidia-graphics-drivers-331 package in Ubuntu:
> > > Triaged
> > > Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> > > Triaged
> > > Status in nvidia-graphics-drivers-340 package in Ubuntu:
> > > New
> > > Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> > > New
> > > Status in nvidia-graphics-drivers-346 package in Ubuntu:
> > > New
> > > Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> > > New
> > >
> > > Bug description:
> > > **WARNING:** This bug has been widely reported and has *many*
> > > automatic subscribers. Please be considerate.
> > >
> > > **If you need help:** try searching and asking on
> > > http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> > > nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> > > your area). Link back to this bug for clarity.
> > >
> > > ---
> > >
> > > This seems to fix it (at least for one version upgrade) for many
> > > people
> > >
> > > $ sudo dpkg-reconfigure nvidia-331
> > ...

Robert Dinse (nanook) wrote :
Download full text (14.8 KiB)

      Synaptic package manager, search and remove, or dpkg -l nvidia* and then
remove the ones you don't ened.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 23 Mar 2015, Bertolini wrote:

> Date: Mon, 23 Mar 2015 21:09:15 -0000
> From: Bertolini <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: RE: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> In my case, I have install nvidia-340, but nvidia 331 keeping intefering.
> Does anyone know how to remove only 331?
> Anyone found another solution?
> Thanks
>
> Samuel Bertolini da Silva Oliveira
>
>
>> Date: Mon, 23 Mar 2015 20:50:33 +0000
>> From: <email address hidden>
>> To: <email address hidden>
>> Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"
>>
>> Debian works fine with nVIDIA.
>>
>>
>> On Tue, Mar 24, 2015 at 6:18 AM, Robert Dinse <email address hidden> wrote:
>>
>>> Sorry, I was having the problem with Nvidia 304 not 331, and multiple,
>>> and I do mean multiple re-installs didn't make it work.
>>>
>>>
>>> -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
>>> Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
>>> Knowledgeable human assistance, not telephone trees or script readers.
>>> See our web site: http://www.eskimo.com/ (206) 812-0051 or (800)
>>> 246-6874.
>>>
>>> On Mon, 23 Mar 2015, Michal wrote:
>>>
>>>> Date: Mon, 23 Mar 2015 20:09:37 -0000
>>>> From: Michal <email address hidden>
>>>> Reply-To: Bug 1268257 <email address hidden>
>>>> To: <email address hidden>
>>>> Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
>>>> nvidia-331-updates kernel module failed to build,
>>>> with only error: "objdump: '... .tmp_nv.o': No such file"
>>>>
>>>> My fix is simple:
>>>> 1. open Synaptic
>>>> 2. search "nvidia"
>>>> 3 check all installed items
>>>> 4 reinstall.
>>>>
>>>> Cheers. M.
>>>>
>>>> --
>>>> You received this bug notification because you are subscribed to a
>>>> duplicate bug report (1379170).
>>>> https://bugs.launchpad.net/bugs/1268257
>>>>
>>>> Title:
>>>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>>>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>>>> file"
>>>>
>>>> Status in NVIDIA Drivers Ubuntu:
>>>> New
>>>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>>>> Triaged
>>>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>>>> Triaged
>>>> Status in nvidia-graphics-drivers-340 package in Ubuntu:
>>>> New
>>>> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
>>>> New
>>>> Status in nvidia-g...

Pablo Piaggio (papibe) wrote :

Bumpy kernel updates keep coming:

update from:
    3.13.0-46-generic #79-Ubuntu SMP Tue Mar 10 20:06:50 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
to:
    3.13.0-48-generic #80-Ubuntu SMP Thu Mar 12 11:16:15 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

same Nvidia error.

Paul Judd (sukiipooru) wrote :
Download full text (10.7 KiB)

That not working either, only can use emergency boot text screen. Tried
updating to latest but fails because new boot management system.
On 23/03/2015 12:11 PM, "Robert Dinse" <email address hidden> wrote:

> Try alt-F1 to get to a text login screen.
>
>
> -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
> Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
> Knowledgeable human assistance, not telephone trees or script readers.
> See our web site: http://www.eskimo.com/ (206) 812-0051 or (800)
> 246-6874.
>
> On Mon, 23 Mar 2015, Paul Judd wrote:
>
> > Date: Mon, 23 Mar 2015 00:41:18 -0000
> > From: Paul Judd <email address hidden>
> > Reply-To: Bug 1268257 <email address hidden>
> > To: <email address hidden>
> > Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> > nvidia-331-updates kernel module failed to build,
> > with only error: "objdump: '... .tmp_nv.o': No such file"
> >
> > Can't use my system anymore, can't get from initial login screen to
> > anything. Mouse, keyboard all become locked out.
> > On 23/03/2015 2:51 AM, "Mateusz Stachowski" <email address hidden>
> > wrote:
> >
> >> ** Also affects: nvidia-graphics-drivers-340 (Ubuntu)
> >> Importance: Undecided
> >> Status: New
> >>
> >> ** Also affects: nvidia-graphics-drivers-340-updates (Ubuntu)
> >> Importance: Undecided
> >> Status: New
> >>
> >> --
> >> You received this bug notification because you are subscribed to a
> >> duplicate bug report (1408226).
> >> https://bugs.launchpad.net/bugs/1268257
> >>
> >> Title:
> >> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> >> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> >> file"
> >>
> >> Status in NVIDIA Drivers Ubuntu:
> >> New
> >> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> >> Triaged
> >> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> >> Triaged
> >> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> >> New
> >> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> >> New
> >> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> >> New
> >> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> >> New
> >>
> >> Bug description:
> >> **WARNING:** This bug has been widely reported and has *many*
> >> automatic subscribers. Please be considerate.
> >>
> >> **If you need help:** try searching and asking on
> >> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting
> a
> >> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> >> your area). Link back to this bug for clarity.
> >>
> >> ---
> >>
> >> This seems to fix it (at least for one version upgrade) for many
> >> people
> >>
> >> $ sudo dpkg-reconfigure nvidia-331
> >>
> >> after that...
> >>
> >> $ sudo dpkg-reconfigure nvidia-331-uvm
> >>
> >> (some users may be on the versions of these packages suffixed with
> >> -updates )
> >>
> >> ---
> >>
> >> **If you want to unsubscribe:** see
> >> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> >> driver...

Luc Bruninx (luc2005) wrote :

For my Ubuntu 14.10, I use this command after an update of the kernel:

sudo apt-get install nvidia-331 nvidia-331-uvm --reinstall

Gordon Hocking (ghocking) wrote :

This has worked for me, HP portable.
for the first time the proposed solutions did not come back with file
not found etc:
It seems to be a clean installation.
If any one needs more details contact me but tell me how to pass the
information.

thank you for your cooperation, we are not all techies out there..
On 24/03/2015 11:23, Luc Bruninx wrote:
> For my Ubuntu 14.10, I use this command after an update of the kernel:
>
> sudo apt-get install nvidia-331 nvidia-331-uvm --reinstall
>

ruifengt (1443646489-s) on 2015-03-24
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: nobody → ruifengt (1443646489-s)
assignee: ruifengt (1443646489-s) → nobody
Bertolini (samucabertolini) wrote :
Download full text (3.9 KiB)

Salut!
When I update my kernel from 3.16 to 3.18 the system seems more stable. To late to afirm, but the problem seems has vanished.
regards,

Samuel Bertolini da Silva Oliveira

> Date: Tue, 24 Mar 2015 12:25:52 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"
>
> This has worked for me, HP portable.
> for the first time the proposed solutions did not come back with file
> not found etc:
> It seems to be a clean installation.
> If any one needs more details contact me but tell me how to pass the
> information.
>
> thank you for your cooperation, we are not all techies out there..
> On 24/03/2015 11:23, Luc Bruninx wrote:
> > For my Ubuntu 14.10, I use this command after an update of the kernel:
> >
> > sudo apt-get install nvidia-331 nvidia-331-uvm --reinstall
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> New
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> New
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu ...

Read more...

Robert Dinse (nanook) wrote :
Download full text (7.7 KiB)

      I'm still having some problems with Plymouth but everything else is
working, full accelerated video, etc.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Wed, 25 Mar 2015, Bertolini wrote:

> Date: Wed, 25 Mar 2015 19:11:10 -0000
> From: Bertolini <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: RE: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> Salut!
> When I update my kernel from 3.16 to 3.18 the system seems more stable. To late to afirm, but the problem seems has vanished.
> regards,
>
> Samuel Bertolini da Silva Oliveira
>
>
>> Date: Tue, 24 Mar 2015 12:25:52 +0000
>> From: <email address hidden>
>> To: <email address hidden>
>> Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"
>>
>> This has worked for me, HP portable.
>> for the first time the proposed solutions did not come back with file
>> not found etc:
>> It seems to be a clean installation.
>> If any one needs more details contact me but tell me how to pass the
>> information.
>>
>> thank you for your cooperation, we are not all techies out there..
>> On 24/03/2015 11:23, Luc Bruninx wrote:
>>> For my Ubuntu 14.10, I use this command after an update of the kernel:
>>>
>>> sudo apt-get install nvidia-331 nvidia-331-uvm --reinstall
>>>
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in NVIDIA Drivers Ubuntu:
>> New
>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>> Triaged
>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>> Triaged
>> Status in nvidia-graphics-drivers-340 package in Ubuntu:
>> New
>> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
>> New
>> Status in nvidia-graphics-drivers-346 package in Ubuntu:
>> New
>> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
>> New
>>
>> Bug description:
>> **WARNING:** This bug has been widely reported and has *many*
>> automatic subscribers. Please be considerate.
>>
>> **If you need help:** try searching and asking on
>> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
>> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
>> your area). Link back to this bug for clarity.
>>
>> ---
>>
>> This seems to fix it (at least for one version upgrade) for many
>> people
>>
>> $ sudo dpkg-reconfigure nvidia-331
>>
>> after that...
>>
>> $ sudo dp...

Read more...

Aneesh Neelam (aneesh-neelam) wrote :

I'm running Ubuntu Vivid. Today, when updating kernel from 3.19.0-9 to 3.19.0-10, DKMS went on without throwing any errors. I suppose it is because nvidia-3xx and nvidia-3xx-uvm packages have been merged. I'm on nvidia-346 (346.47-0ubuntu4)

Now I no longer need to reconfigure or reinstall the nvidia package(s) whenever I get a kernel update.

dino99 (9d9) wrote :

Nvidia-3476 is no more affected

nvidia-graphics-drivers-346 (346.47-0ubuntu4) vivid; urgency=medium

  * debian/templates/control.in:
    - Stop recommending the uvm package now that it's a
      transitional package. Thanks to Jason De Rose for
      spotting the error.

 -- Alberto Milone <email address hidden> Tue, 17 Mar 2015 20:15:02 +0100

Changed in nvidia-graphics-drivers-346-updates (Ubuntu):
status: New → Fix Released
Changed in nvidia-graphics-drivers-346 (Ubuntu):
status: New → Fix Released
dino99 (9d9) wrote :

Nvidia-331 is a transitional package; now use nvidia-340

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → Invalid
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Triaged → Invalid

The nvidia-340 package does not exist on the latest LTS (14.04).

user@host:~$ sudo apt-get install nvidia-340
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package nvidia-340

Grzegorz Śliwiński (fizyk) wrote :

331 is NOT a transitional package for trussty, which, last time I checked is an LTS release.
http://packages.ubuntu.com/trusty/nvidia-331-updates

Martin Spacek (mspacek) wrote :

@dino99

This is not fixed with nvidia-340. I have Xubuntu 14.04 with nvidia-340 and nvidia-304-uvm installed from the xorg-edgers PPA. It seems nvidia-libopencl1-340 depends on nvidia-340-uvm. I just installed the 3.19.3 vivid kernel from here:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.19.3-vivid/

And got the usual error:

Unpacking linux-image-3.19.3-031903-generic (3.19.3-031903.201503261036) ...
Setting up linux-headers-3.19.3-031903 (3.19.3-031903.201503261036) ...
Setting up linux-headers-3.19.3-031903-generic (3.19.3-031903.201503261036) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.19.3-031903-generic /boot/vmlinuz-3.19.3-031903-generic
Error! Bad return status for module build on kernel: 3.19.3-031903-generic (x86_64)
Consult /var/lib/dkms/nvidia-340/340.76/build/make.log for more information.

I tried examining /var/lib/dkms/nvidia-340/340.76/build/make.log, but the file does not exist.

The usual:

$ sudo dpkg-reconfigure nvidia-340

and:

$ sudo dpkg-reconfigure nvidia-340-uvm

seem to have worked:

$ sudo dpkg-reconfigure nvidia-340
Stopping nvidia-persistenced
nvidia-persistenced: no process found
Done.
Removing all DKMS Modules
Done.
update-initramfs: deferring update (trigger activated)
update-initramfs: Generating /boot/initrd.img-3.16.0-33-generic
INFO:Enable nvidia-340
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
Loading new nvidia-340-340.76 DKMS files...
Building for 3.16.0-33-generic and 3.19.3-031903-generic
Building for architecture x86_64
Building initial module for 3.16.0-33-generic
Done.

nvidia_340:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.16.0-33-generic/updates/dkms/

depmod....

DKMS: install completed.
Building initial module for 3.19.3-031903-generic
Done.

nvidia_340:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.19.3-031903-generic/updates/dkms/

depmod....

DKMS: install completed.

$ sudo dpkg-reconfigure nvidia-340-uvm
Removing all DKMS Modules
Done.
Loading new nvidia-340-uvm-340.76 DKMS files...
Building for 3.16.0-33-generic and 3.19.3-031903-generic
Building for architecture x86_64
Building initial module for 3.16.0-33-generic
Done.

nvidia-340-uvm:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.16.0-33-generic/updates/dkms/

depmod....

DKMS: install completed.
Building initial module for 3.19.3-031903-generic
Done.

nvidia-340-uvm:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.19.3-031903-generic/updates/dkms/

depmod....

DKMS: install completed.

Changed in nvidia-graphics-drivers-340 (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Invalid → Confirmed
Serah Allison (icarean) wrote :

The suggested solution ( sudo dpkg-reconfigure nvidia-331 and sudo dpkg-reconfigure nvidia-331-uvm ) stopped the Unity launcher and top status bar from displaying, and hotkeys (such as CTRL-ALT-T ) wouldn't work.

I switched to tty1 ( CTRL-ALT-F1 ), logged in, and after lots of online reading discovered the following:

* My linux version (found by using uname -or ) was 3.13.something. Apparently Ubuntu 14.10 (which is what I'm running) doesn't support that version (it's supposed to be 3.16.something). I've run the GUI-prompted updates every time they've appeared (every few days). I wonder how many other people out there are experiencing problems because of the same thing?

* I upgraded my linux version ( sudo apt-get update then sudo apt-et install linux-generic ).

* Then followed the instructions in this bug description ( sudo dpkg-reconfigure nvidia-331 and sudo dpkg-reconfigure nvidia-331-uvm ) and also reinstalled the packages ( sudo install nvidia-331 --reinstall and sudo nvidia-331-uvm --reinstall ). I'm not sure if this second step was necessary. Everything seemed to be compiling ok now.

* Finally, I deleted the dpkg config file which seemed to think it was ok not to display the Unity launcher or status bar (or window dressing for that manner: ( sudo mv ~/.config/dconf/user ~/.config/dconf/user-old ) and then rebooted the system ( sudo reboot ).

My (trying to be helpful) suggestions for the admins for this bug:
 1) Please include some of the above details as a "how to fix" if things go wrong. It's taken me a whole day to return my system to a usable state.
 2) Consider perhaps at some stage Ubuntu updates haven't upgraded from linux version 3.13.something and this is interfering with the nvidia packages (?)

Jeb E. (jebeld17) wrote :
Download full text (3.9 KiB)

I don't care so much about Nouveau as I do the Nvidia official drivers. I
never had many problems if at all stability-wise with Nouveau, but I like
the official Nvidia drivers better regardless because they are built
specifically for and by Nvidia for Nvidia products, allowing a more
reliable, consistent graphics experience and snappier speeds.

On Mon, Mar 23, 2015 at 1:53 PM, Etienne URBAH <email address hidden> wrote:

> This bug is still there with Linux kernel 3.16.0-33
>
> But the 'nouveau' module is currently making a lot of progress : For
> example 'nouveau' bug described at
> https://bugs.freedesktop.org/show_bug.cgi?id=87819 is fixed.
>
> So, I hope to get devinitively rid of the 'nvidia' bug thanks to the
> 'nouveau' module embedded in Linux kernel 3.19 brought by Ubuntu Vivid
> coming soon.
>
> ** Bug watch added: freedesktop.org Bugzilla #87819
> https://bugs.freedesktop.org/show_bug.cgi?id=87819
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1409817).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> New
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> New
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> New
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
...

Read more...

Robert Dinse (nanook) wrote :

On Sat, 28 Mar 2015, Jeb E. wrote:
>
> I don't care so much about Nouveau as I do the Nvidia official drivers. I
> never had many problems if at all stability-wise with Nouveau, but I like
> the official Nvidia drivers better regardless because they are built
> specifically for and by Nvidia for Nvidia products, allowing a more
> reliable, consistent graphics experience and snappier speeds.

      The Nouveau drivers don't support accelerated graphics. That makes the
Nvidia drivers really more than just a luxury.

Teo (teo1978) wrote :

> I like the official Nvidia drivers better regardless because they are built
> specifically for and by Nvidia for Nvidia products

Except they don't support Optimus boards on Linux, so they are just not an option for those of us who have one.
https://www.youtube.com/watch?v=iYWzMvlj2RQ

Changed in nvidia-graphics-drivers-340-updates (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-346 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-346-updates (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-340 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-340-updates (Ubuntu):
importance: Undecided → High
Changed in nvidia-drivers-ubuntu:
status: New → Confirmed
no longer affects: nvidia-graphics-drivers-331-updates (Ubuntu)
KennoVO (kenno-xs4all) on 2015-03-29
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: New → Confirmed
KennoVO (kenno-xs4all) wrote :

The workaround in post #100 works at the level of the individual user, but it's a bit flawed in the sense that it will be undone every time the driver (not the kernel) is updated. In addition, if I understand the legal aspects correctly (IANAL), it does not qualify as a fix because Canonical cannot _distribute_ it without committing a license violation.

And requiring the user to reinstall the driver after every kernel upgrade (post #101) *definitely* doesn't qualify as a fix.

Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
importance: Undecided → High
dino99 (9d9) wrote :

All that is needed is simply to apply the nvidia-346 changes made to the other used nvidia-3xx drivers (backport/sru)
(aka the 'uvm' package have to be inserted into the main nvidia-3xx package)

This is due to a DKMS limitation (by design) as reported with that other bug:
https://bugs.launchpad.net/ubuntu/trusty/+source/nvidia-graphics-drivers-346-updates/+bug/1431753

So lp:1268257 is the bad effects met due to lp:1431753 (quite a dupe)

dino99 (9d9) wrote :

This bug was fixed in the package nvidia-graphics-drivers-340 - 340.76-0ubuntu2

---------------
nvidia-graphics-drivers-340 (340.76-0ubuntu2) vivid; urgency=medium

  * debian/rules,
    debian/templates/control.in,
    debian/templates/dkms_nvidia_uvm.conf.in,
    debian/templates/nvidia-graphics-drivers-uvm.dirs.in,
    debian/templates/nvidia-graphics-drivers-uvm.install.in,
    debian/templates/nvidia-graphics-drivers-uvm.postinst.in,
    debian/templates/nvidia-graphics-drivers-uvm.prerm.in:
    - Build nvidia and nvidia-uvm together, as the latter
      build depends on the former (LP: #1431753).
    - Merge the -uvm package into the main nvidia driver
      package, and provide a transitional package for -uvm.
    - Make sure to remove all upstream dkms.conf files.
 -- Alberto Milone <email address hidden> Mon, 30 Mar 2015 17:09:32 +0200

Changed in nvidia-graphics-drivers-340-updates (Ubuntu):
status: Confirmed → Fix Released
Changed in nvidia-graphics-drivers-340 (Ubuntu):
status: Confirmed → Fix Released
Toluwalope (tolentee) on 2015-03-31
Changed in nvidia-graphics-drivers-340 (Ubuntu):
assignee: nobody → Toluwalope (tolentee)
dino99 (9d9) on 2015-04-01
Changed in nvidia-graphics-drivers-340 (Ubuntu):
assignee: Toluwalope (tolentee) → nobody
michael ansey (der-brain) wrote :

"This seems to fix it (at least for one version upgrade) for many people

$ sudo dpkg-reconfigure nvidia-331

after that...

$ sudo dpkg-reconfigure nvidia-331-uvm

(some users may be on the versions of these packages suffixed with -updates )"

Well if this is needed implement it in the next fucking update !!! NOW !!!

And do not let a lot of newbies mess up their system searching for the bug
and do wrong things.

Ludo (ludogo) wrote :

Hello,

same problem. I noticed this bug affect VirtualBox stability too.

Paula Thomas (paula11thomas) wrote :

I am a little puzzled as to why this bug affected me as I don't have nvidia hardware.

fgr1986 (fernando-garca) wrote :

Dpkg-reconfigure does not seem to work.

From dmesg:
[ 46.423333] nvidia 0000:01:00.0: irq 85 for MSI/MSI-X
[ 46.935467] NVRM: Your system is not currently configured to drive a VGA console
[ 46.935469] NVRM: on the primary VGA device. The NVIDIA Linux graphics driver
[ 46.935470] NVRM: requires the use of a text-mode VGA console. Use of other console
[ 46.935471] NVRM: drivers including, but not limited to, vesafb, may result in
[ 46.935471] NVRM: corruption and stability problems, and is not supported.
[ 47.136998] Bridge firewalling registered
[ 47.296399] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 47.313931] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[ 47.330843] IPv6: ADDRCONF(NETDEV_UP): virbr0: link is not ready
[ 47.338417] init: plymouth-upstart-bridge main process ended, respawning
[ 47.340651] init: plymouth-upstart-bridge main process (2013) terminated with status 1

After this, trying to login on gdm (gnome-session and system-default-session), a black screen appears.
After logging on tty0, I got:
Failed to start unit user@1000.service

From there, I restarted gdm service and I was able to loggin.
However the problem persists after rebooting.

Dmesg after gdm restart:
[ 47.434555] systemd-logind[2143]: Failed to start unit user@116.service: Unknown unit: user@116.service
[ 47.434559] systemd-logind[2143]: Failed to start user service: Unknown unit: user@116.service
[ 47.436677] systemd-logind[2143]: New session c1 of user gdm.
[ 47.436688] systemd-logind[2143]: Linked /tmp/.X11-unix/X0 to /run/user/116/X11-display.
[ 51.028511] audit_printk_skb: 36 callbacks suppressed
[ 51.028513] audit: type=1400 audit(1428492782.685:39): apparmor="DENIED" operation="open" profile="/usr/lib/telepathy/mission-control-5" name="/etc/dconf/profile/gdm" pid=2589 comm="mission-control" requested_mask="r" denied_mask="r" fsuid=116 ouid=0
[ 97.512439] traps: gnome-shell[2886] trap int3 ip:7fa8dccf8d30 sp:7fff31d7e670 error:0
[ 98.281156] systemd-logind[2143]: Failed to start unit user@1000.service: Unknown unit: user@1000.service
[ 98.281186] systemd-logind[2143]: Failed to start user service: Unknown unit: user@1000.service
[ 98.283358] systemd-logind[2143]: New session c2 of user ****.
[ 113.017032] systemd-logind[2143]: New session c3 of user gdm.
[ 113.923759] traps: gnome-shell[3502] trap int3 ip:7f07ab6e7d30 sp:7fff9e673d80 error:0
[ 115.792429] audit: type=1400 audit(1428492847.393:40): apparmor="DENIED" operation="open" profile="/usr/lib/telepathy/mission-control-5" name="/etc/dconf/profile/gdm" pid=4205 comm="mission-control" requested_mask="r" denied_mask="r" fsuid=116 ouid=0
[ 120.230229] systemd-logind[2143]: New session c4 of user ****.

Bertolini (samucabertolini) wrote :
Download full text (6.0 KiB)

Anyone knows if this erro happens in fedora?

Sent from my Windows Phone
________________________________
De: fgr1986<mailto:<email address hidden>>
Enviada em: ‎09/‎04/‎2015 04:11
Para: <email address hidden><mailto:<email address hidden>>
Assunto: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"

Dpkg-reconfigure does not seem to work.

>From dmesg:
[ 46.423333] nvidia 0000:01:00.0: irq 85 for MSI/MSI-X
[ 46.935467] NVRM: Your system is not currently configured to drive a VGA console
[ 46.935469] NVRM: on the primary VGA device. The NVIDIA Linux graphics driver
[ 46.935470] NVRM: requires the use of a text-mode VGA console. Use of other console
[ 46.935471] NVRM: drivers including, but not limited to, vesafb, may result in
[ 46.935471] NVRM: corruption and stability problems, and is not supported.
[ 47.136998] Bridge firewalling registered
[ 47.296399] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 47.313931] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[ 47.330843] IPv6: ADDRCONF(NETDEV_UP): virbr0: link is not ready
[ 47.338417] init: plymouth-upstart-bridge main process ended, respawning
[ 47.340651] init: plymouth-upstart-bridge main process (2013) terminated with status 1

After this, trying to login on gdm (gnome-session and system-default-session), a black screen appears.
After logging on tty0, I got:
Failed to start unit user@1000.service

>From there, I restarted gdm service and I was able to loggin.
However the problem persists after rebooting.

Dmesg after gdm restart:
[ 47.434555] systemd-logind[2143]: Failed to start unit user@116.service: Unknown unit: user@116.service
[ 47.434559] systemd-logind[2143]: Failed to start user service: Unknown unit: user@116.service
[ 47.436677] systemd-logind[2143]: New session c1 of user gdm.
[ 47.436688] systemd-logind[2143]: Linked /tmp/.X11-unix/X0 to /run/user/116/X11-display.
[ 51.028511] audit_printk_skb: 36 callbacks suppressed
[ 51.028513] audit: type=1400 audit(1428492782.685:39): apparmor="DENIED" operation="open" profile="/usr/lib/telepathy/mission-control-5" name="/etc/dconf/profile/gdm" pid=2589 comm="mission-control" requested_mask="r" denied_mask="r" fsuid=116 ouid=0
[ 97.512439] traps: gnome-shell[2886] trap int3 ip:7fa8dccf8d30 sp:7fff31d7e670 error:0
[ 98.281156] systemd-logind[2143]: Failed to start unit user@1000.service: Unknown unit: user@1000.service
[ 98.281186] systemd-logind[2143]: Failed to start user service: Unknown unit: user@1000.service
[ 98.283358] systemd-logind[2143]: New session c2 of user ****.
[ 113.017032] systemd-logind[2143]: New session c3 of user gdm.
[ 113.923759] traps: gnome-shell[3502] trap int3 ip:7f07ab6e7d30 sp:7fff9e673d80 error:0
[ 115.792429] audit: type=1400 audit(1428492847.393:40): apparmor="DENIED" operation="open" profile="/usr/lib/telepathy/mission-control-5" name="/etc/dconf/profile/gdm" pid=4205 comm="mission-control" requested_mask="r" denied_mask="r" fsuid=116 ouid=0
[ 120.230229] systemd-logind[2143]: New session c4 of user ****.

--
You received this...

Read more...

@Paula Thomas: there are some pathetic packages which needlessly require certain nvidia driver packages regardless of what graphics hardware you have. A while back some bitcoin mining software did this to my desktop, putting it into text mode until I found the culprit.

KennoVO (kenno-xs4all) wrote :

Can someone please, please apply the fix that worked for 346 and 340 to 331 also? Or at the very least explain why this might not be as trivial as it sounds? As I pointed out in lp:1431753, 331 is still the most recent driver supported by the current LTS release. This is a bug that affects thousands of users, not all of whom will be willing/skilled to upgrade their kernels (and then upgrade them again and again every time short-term support runs out). This bug has impacted us badly, and I'm on the verge of stopping to recommend people to use Ubuntu LTS in professional settings, as I feel Canonical is betraying its LTS users big time here. And I'm not the only one losing my patience; see for instance comment #249...

TWFJR (tom-fiechtl) wrote :

I just did security update Linux Image 3.16.0.34-generic. It seems as if every time that I do the next security update there is a problem as is evident by this bug report: "nvidia-331-updates kernel module failed to build." I use this fix

(This seems to fix it (at least for one version upgrade) for many people

$ sudo dpkg-reconfigure nvidia-331

after that...

$ sudo dpkg-reconfigure nvidia-331-uvm

(some users may be on the versions of these packages suffixed with -updates )

and the update completes and I restart.

I'm not an advanced Ubuntu tech but something must be wrong with the nvidia driver or the kernel that does not allow for security updates to complete.

What is causing this problem?

I'm about to have an old friend put Ubuntu15.04 on his computer and I hope that this bug is fixed before that update. By convincing him that WIN is more problem for him, I suggested Ubuntu.

After login on desktop Ubuntu, is showed many poup up relating error on panels.

Bertolini (samucabertolini) wrote :
Download full text (3.5 KiB)

This problem does not happen with ubuntu vivid vervet, where the kernel is updated.

Samuel Bertolini da Silva Oliveira

> Date: Thu, 9 Apr 2015 22:50:49 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"
>
> After login on desktop Ubuntu, is showed many poup up relating error on
> panels.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> DKMSKernelVersion: 3.13.0-2-generic
> Date: Sun Jan 12 01:28:35 2014
> InstallationDate: Installed on 2013-11-03 (69 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
> Packa...

Read more...

Changed in nvidia-drivers-ubuntu:
status: Confirmed → Fix Released
salvatore (saldiperi) on 2015-04-10
Changed in nvidia-graphics-drivers-340 (Ubuntu):
assignee: nobody → salvatore (saldiperi)
dino99 (9d9) on 2015-04-10
Changed in nvidia-graphics-drivers-340 (Ubuntu):
assignee: salvatore (saldiperi) → nobody
KennoVO (kenno-xs4all) wrote :

As long as the current LTS (i.e. 331) drivers are not fixed, I think it is wrong to set the status for nvidia-drivers-ubuntu to "Fix Released". Can someone with the necessary permissions please undo the status change by royalsabz (mehrshad-5843) ? And set the importance to "High", while you're at it? This is a really important high-impact bug that should be as high as possible on the agenda until it's completely fixed for all currently supported releases. In this light, the apparent casual lack of attention from Canonical's side is beyond my comprehension. I can only speculate they're too busy making Vivid attractive enough to lure in new users, and are forgetting about keeping long-time users.

To the people who think that's the right thing to do: please try to weigh the potential harm caused by delaying Vivid a day or so against the actual harm of having thousands of long-time users' desktops breaking en masse because of running seemingly-innocuous kernel updates...

Ken Wagner (beaucoder) wrote :

Bump.

On 04/10/2015 03:13 PM, KennoVO wrote:
> As long as the current LTS (i.e. 331) drivers are not fixed, I think it
> is wrong to set the status for nvidia-drivers-ubuntu to "Fix Released".
> Can someone with the necessary permissions please undo the status change
> by royalsabz (mehrshad-5843) ? And set the importance to "High", while
> you're at it? This is a really important high-impact bug that should be
> as high as possible on the agenda until it's completely fixed for all
> currently supported releases. In this light, the apparent casual lack of
> attention from Canonical's side is beyond my comprehension. I can only
> speculate they're too busy making Vivid attractive enough to lure in new
> users, and are forgetting about keeping long-time users.
>
> To the people who think that's the right thing to do: please try to
> weigh the potential harm caused by delaying Vivid a day or so against
> the actual harm of having thousands of long-time users' desktops
> breaking en masse because of running seemingly-innocuous kernel
> updates...
>

Gordon Hocking (ghocking) wrote :

I am not sure this should be debated here, but I totally agree with Ken,
I see fix released but have been unable find it anywhere.
Personally my system seems to be OK but until I am satisfied 340 is the
end of the story I still follow this bug.

Having been an advocate for Linux for more than 15 years it is a shame
to see the standard apparently declining.

On 10/04/2015 22:26, Ken Wagner wrote:
> Bump.
>
> On 04/10/2015 03:13 PM, KennoVO wrote:
>> As long as the current LTS (i.e. 331) drivers are not fixed, I think it
>> is wrong to set the status for nvidia-drivers-ubuntu to "Fix Released".
>> Can someone with the necessary permissions please undo the status change
>> by royalsabz (mehrshad-5843) ? And set the importance to "High", while
>> you're at it? This is a really important high-impact bug that should be
>> as high as possible on the agenda until it's completely fixed for all
>> currently supported releases. In this light, the apparent casual lack of
>> attention from Canonical's side is beyond my comprehension. I can only
>> speculate they're too busy making Vivid attractive enough to lure in new
>> users, and are forgetting about keeping long-time users.
>>
>> To the people who think that's the right thing to do: please try to
>> weigh the potential harm caused by delaying Vivid a day or so against
>> the actual harm of having thousands of long-time users' desktops
>> breaking en masse because of running seemingly-innocuous kernel
>> updates...
>>

awol (awol99) wrote :
Download full text (4.7 KiB)

i went to Debian months ago over THIS.

On Sat, Apr 11, 2015 at 7:08 PM, Gordon Hocking <email address hidden> wrote:

> I am not sure this should be debated here, but I totally agree with Ken,
> I see fix released but have been unable find it anywhere.
> Personally my system seems to be OK but until I am satisfied 340 is the
> end of the story I still follow this bug.
>
> Having been an advocate for Linux for more than 15 years it is a shame
> to see the standard apparently declining.
>
> On 10/04/2015 22:26, Ken Wagner wrote:
> > Bump.
> >
> > On 04/10/2015 03:13 PM, KennoVO wrote:
> >> As long as the current LTS (i.e. 331) drivers are not fixed, I think it
> >> is wrong to set the status for nvidia-drivers-ubuntu to "Fix Released".
> >> Can someone with the necessary permissions please undo the status change
> >> by royalsabz (mehrshad-5843) ? And set the importance to "High", while
> >> you're at it? This is a really important high-impact bug that should be
> >> as high as possible on the agenda until it's completely fixed for all
> >> currently supported releases. In this light, the apparent casual lack of
> >> attention from Canonical's side is beyond my comprehension. I can only
> >> speculate they're too busy making Vivid attractive enough to lure in new
> >> users, and are forgetting about keeping long-time users.
> >>
> >> To the people who think that's the right thing to do: please try to
> >> weigh the potential harm caused by delaying Vivid a day or so against
> >> the actual harm of having thousands of long-time users' desktops
> >> breaking en masse because of running seemingly-innocuous kernel
> >> updates...
> >>
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1395929).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **...

Read more...

Bill Turner, wb4alm (wb4alm) wrote :

I wonder if I'll live long enough to see this bug actually fixed. Since version 340 has it fixed, why can't the fixed be retrofitted to version 331?

Robert Dinse (nanook) wrote :
Download full text (4.2 KiB)

      I've also had problems with 304, I've not had much luck at all getting
the version supplied with Ubuntu to work, I've had to download 304.125 from
Nvidias website and use it, and even then the DKMS module build never works
so I have to re-install which each new kernel I install. But since I'm
running unsupported (upstream) kernels at this point I've not reported it as
a problem.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Sat, 11 Apr 2015, Bill Turner, wb4alm wrote:

> Date: Sat, 11 Apr 2015 12:22:50 -0000
> From: "Bill Turner, wb4alm" <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> I wonder if I'll live long enough to see this bug actually fixed. Since
> version 340 has it fixed, why can't the fixed be retrofitted to version
> 331?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1379170).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you ...

Read more...

KennoVO (kenno-xs4all) wrote :

@ awol (awol99) : I'll do you one better. At my workplace, we just started the process of gradually upgrading all our machines from 12.04 Precise to 14.04 Trusty. After starting with a few, we've hit this bug. Yesterday, I had a discussion about it with the person responsible for software maintenance, and it looks like we'll be upgrading the whole shop to Debian instead. It's not just the direct annoyance caused by this bug (though it is rather serious given that one of the programs we use professionally requires the proprietary Nvidia driver), but more importantly what Canonical's response (or rater lack thereof) implies for our future level of support.

Robert Dinse (nanook) wrote :
Download full text (4.5 KiB)

      For what it's worth, Debian still runs an 3.02 kernel, and the performance
is decidedly worse. Better to work through the bug, Ubuntu is more up to date.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Sat, 11 Apr 2015, KennoVO wrote:

> Date: Sat, 11 Apr 2015 18:34:08 -0000
> From: KennoVO <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> @ awol (awol99) : I'll do you one better. At my workplace, we just
> started the process of gradually upgrading all our machines from 12.04
> Precise to 14.04 Trusty. After starting with a few, we've hit this bug.
> Yesterday, I had a discussion about it with the person responsible for
> software maintenance, and it looks like we'll be upgrading the whole
> shop to Debian instead. It's not just the direct annoyance caused by
> this bug (though it is rather serious given that one of the programs we
> use professionally requires the proprietary Nvidia driver), but more
> importantly what Canonical's response (or rater lack thereof) implies
> for our future level of support.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1379170).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You ca...

Read more...

Jean Sullivan (jsullivan070) wrote :

Error installing this graphics driver during upgrade to Ubuntu 14.10

Etienne URBAH (eurbah) wrote :

This bug is still there with Linux kernel 3.16.0-34

Contrary to what Robert Dinse (nanook) wrote on 2015-03-28 in comment #244, recent 'nouveau' drivers DO SUPPORT accelerated graphics : http://nouveau.freedesktop.org/wiki/

And Nvidia DOES continue to provide some support to open source developers : http://www.phoronix.com/scan.php?page=news_item&px=MTg1OTA

Robert Dinse (nanook) wrote :
Download full text (4.2 KiB)

      Perhaps for some video cards, there are certainly no accelerated graphics
with my old 7300 GT and it is PAINFUL, just a screen scroll is ugly.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Sat, 11 Apr 2015, Etienne URBAH wrote:

> Date: Sat, 11 Apr 2015 23:37:42 -0000
> From: Etienne URBAH <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> This bug is still there with Linux kernel 3.16.0-34
>
> Contrary to what Robert Dinse (nanook) wrote on 2015-03-28 in comment
> #244, recent 'nouveau' drivers DO SUPPORT accelerated graphics :
> http://nouveau.freedesktop.org/wiki/
>
> And Nvidia DOES continue to provide some support to open source
> developers : http://www.phoronix.com/scan.php?page=news_item&px=MTg1OTA
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1379170).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> ...

Read more...

nandes (nandodesimon) wrote :

the present working nvidia driver works fine. Please dont' send error messages on this matter.

Arnau Bosch (arnau-m) wrote :

nandes i think the last drivers avaliable in ubuntu 14.10 are 331. the
version 340 is not included in the distribution, only in vivid.

El 12/04/15 a les 10:12, nandes ha escrit:
> the present working nvidia driver works fine. Please dont' send error
> messages on this matter.
>

KennoVO (kenno-xs4all) wrote :

You might have meant to say 14.04. Which is still supported till March 1019. That's a very long time for Canonical to claim to be supporting something that's so broken...

Robert Dinse (nanook) wrote :
Download full text (4.0 KiB)

      Honestly, as broken as it is, it is less broken than just about every
other distribution of Linux I'm using including Debian, Mint, Centos 6/7,
Scientific Linux 6/7, Fedora, and OpenSuse.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Sun, 12 Apr 2015, KennoVO wrote:

> Date: Sun, 12 Apr 2015 17:48:09 -0000
> From: KennoVO <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> You might have meant to say 14.04. Which is still supported till March
> 1019. That's a very long time for Canonical to claim to be supporting
> something that's so broken...
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1379170).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new...

Read more...

I just wanted to say that even though I have commented on this issue before, I think it's crazy that this has yet to be fixed. It's nice to see that Nvidia drivers 340's and higher got a fix for it, but on Ubuntu 14.04.2 & Ubuntu Gnome 14.04.2 & 14.10, using the default Nvidia 331 drivers provided by Ubuntu, this is still an issue. It just happend to me again. Having to manually reinstall the Nvidia drivers after a kernel update not only limits productivity, but it's also driving me crazy.

If it's not possible to update and implement the fix for the older 331.x drivers, then please update the official Ubuntu repos with the newest 340.x + drivers.

Thank you.

Alex

Eric_DL (edelare) wrote :

First of all, it's really sad that this bug is more than one year old, with thousands of people affected (including on LTS releases), and we still don't see any official Canonical communication AFAIK !

It's also a mystery why this bug can apparently take so many different forms. In my case, I do get the DKMS error messages during kernel update :

#####
run-parts: executing /etc/kernel/postinst.d/dkms 3.13.0-49-lowlatency /boot/vmlinuz-3.13.0-49-lowlatency
Error! Bad return status for module build on kernel: 3.13.0-49-lowlatency (x86_64)
Consult /var/lib/dkms/nvidia-331/331.113/build/make.log for more information.
...
Error! Problems with depmod detected. Automatically uninstalling this module.
DKMS: Install Failed (depmod problems). Module rolled back to built state.
#####

But when I check inside /var/lib/dkms/nvidia-331, the nvidia module seems to have been compiled anyway (module file is different from that of previous kernel version). Plus, it's precisely that last compiled module that gets copied to /lib/modules and loaded at boot ... and my machine has always been able to reboot without problem since those compilation errors started occurring.

However, I wanted to write here because I see most people blaming NVidia, but I'm not sure they're alone on this.

I have done some research in my machine's logs and the chronology of events looks like this :

[2014-08-01] fresh install of 14.04 LTS with kernel 3.13.0-24 + NVidia 331.38
[2014-12-15] kernel 3.13.0-43 brings update from NVidia 331.38 to 331.113 + 331.113-uvm (both modules got built by DKMS for kernel 3.13.0-43 and former 3.13.0-40, without error)
[2015-01-16] first DKMS compilation error occurs when updating to kernel 3.13.0-44 ... and has systematically occurred at each kernel update since then.

In short, it's not NVidia's module update that first triggered the error, it's a kernel update !

Anyway, let's hope for the best. I saw last month that NVidia 346 branch had been fixed, and today, that also is branch 340. I guess Canonical is now working hard with NVidia to back-port fix down to branch 331.

Many thanks to you guys :-)

With the most recent kernel update the reconfigure trick has stopped working for me. I just moved to the xorg-edgers ppa to fix the problem. Found some instructions people can follow.

http://ubuntuguide.net/install-nvidia-proprietary-drivers-in-ubuntu-14-04

You should be safe going to 340 but you can check:

http://www.nvidia.com/object/unix.html

and go to 340 for your arch (x86 or x86_64) and click on supported products. Look for your card. If it isn't supported go down a legacy version and check the next one. Edgers has support for back to 304.

Bryce Nesbitt (bryce2) wrote :

Also had to delete .config/monitors.xml to get my system working again. Not smooth.

Danieljf1983 (danieljf1983) wrote :
Download full text (4.0 KiB)

Also busy doing backup of data. Tired of Canonicals lack of assistance and
response... 2 releases later (14.10 and 15.04) and we are still having the
same problem....

Not impressed.... Good buy Ubuntu! Soon!
On 11 Apr 2015 8:41 PM, "KennoVO" <email address hidden> wrote:

> @ awol (awol99) : I'll do you one better. At my workplace, we just
> started the process of gradually upgrading all our machines from 12.04
> Precise to 14.04 Trusty. After starting with a few, we've hit this bug.
> Yesterday, I had a discussion about it with the person responsible for
> software maintenance, and it looks like we'll be upgrading the whole
> shop to Debian instead. It's not just the direct annoyance caused by
> this bug (though it is rather serious given that one of the programs we
> use professionally requires the proprietary Nvidia driver), but more
> importantly what Canonical's response (or rater lack thereof) implies
> for our future level of support.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1380059).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Confirmed
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package...

Read more...

jacks (jsocrate) on 2015-04-14
affects: nvidia-drivers-ubuntu → ubuntu
Erik Krom (e-m-krom) wrote :

Yesterday it did get my attention that the package "linux-generic" wasn't installed anymore on my desktop and my kernel was was lagging a few updates behind.
Installing the "linux-generic" package it didn't give any problems. Also the new kernel that did came along with it was installed without any errors.

The kernel update of today was also preformed without any problem.

So for me the problem seems to be solved with reinstalling the "linux-generic" package:

$ sudo apt-get install linux-generic

Grzegorz Śliwiński (fizyk) wrote :

@Erik Krom, specific kernel release updates are fine (like todays one3.16.0.34.x -> 3.16.0.34.y) problem occurs, when the new version is being installed. ie. 3.16.0.33 -> 3.16.0.34

Richard Hansen (rhansen) wrote :

reverting recent erroneous change

affects: ubuntu → nvidia-drivers-ubuntu
Pablo Piaggio (papibe) wrote :

Another update, same error.

Is there any time frame for a fix (331)?

Thanks in advance.

Bobses (bobses) on 2015-04-17
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: nobody → Bobses (bobses)
stephen (stephen-puttick) wrote :

Is there some debug version I could install which would produce more useful information to help with issue?

Richard Hansen (rhansen) on 2015-04-18
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: Bobses (bobses) → nobody
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Confirmed → Incomplete
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Confirmed → Incomplete
Robin (robingape) on 2015-04-19
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Incomplete → Confirmed
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Incomplete → Confirmed
KennoVO (kenno-xs4all) wrote :

@stephen (stephen-puttick) : I don't think that's needed; it is my understanding from lp:1431753 that this bug is already fully characterized, and fixed for the 340 and 346 drivers in Utopic and Vivid. Furthermore, the fact that the fix appears to be performed at the level of the metadata strongly suggests that it would be absolutely trivial to apply the same fix to the 331 drivers in (un)Trust(worth)y.

Canonical might have their reasons for not "backporting" the fix to their LTS release, but as long as the only noise we get from them is crickets chirping, it is hardly surprising that the community is starting to ask questions about their motives and/or professionalism...

Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → AcidZer0 (bulik23rus-cool)
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: nobody → AcidZer0 (bulik23rus-cool)
assignee: AcidZer0 (bulik23rus-cool) → nobody
dino99 (9d9) on 2015-04-23
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: AcidZer0 (bulik23rus-cool) → nobody
done (mnmarkonissinen) on 2015-04-23
Changed in nvidia-drivers-ubuntu:
assignee: nobody → done (mnmarkonissinen)
KennoVO (kenno-xs4all) on 2015-04-23
Changed in nvidia-drivers-ubuntu:
assignee: done (mnmarkonissinen) → nobody
KennoVO (kenno-xs4all) wrote :

The fact that there are so many accidental edits to the status of this bug seems to indicate it's getting large numbers of views. Canonical, your LTS user base is bleeding. For pity's sake, make it stop.

Talking about accidental edits, can someone please, please set the status for "NVIDIA Drivers Ubuntu" back to "Confirmed"? See my message #259 ...

Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → Teodoro Calonge Cano (teodorocalonge)
status: Confirmed → Fix Released
assignee: Teodoro Calonge Cano (teodorocalonge) → nobody
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Confirmed → Fix Released
KennoVO (kenno-xs4all) wrote :

Oh come on, this is completely wrong! This bug is *NOT * fixed for the 331 driver (and also not for "NVIDIA Drivers Ubuntu" because 331 is the most recent driver available in 14.04 LTS (Trusty)). Why doesn't launchpad allow to correct this mistake by setting it back the "Confirmed"??? If the devs are under the mistaken impression it is fixed, it will never get their attention. What does it take to rectify this? Opening yet another new bug and marking this one as a duplicate?

Paul Judd (sukiipooru) wrote :
Download full text (3.8 KiB)

I scrubbed my inoperable ubuntu and put on Qubes based on Fedora. No screen
driver issues at all. Ubuntu has lost me as a base system [ especially
since gnome compatability is being ignored ].
On 27/04/2015 5:46 AM, "KennoVO" <email address hidden> wrote:

> Oh come on, this is completely wrong! This bug is *NOT * fixed for the
> 331 driver (and also not for "NVIDIA Drivers Ubuntu" because 331 is the
> most recent driver available in 14.04 LTS (Trusty)). Why doesn't
> launchpad allow to correct this mistake by setting it back the
> "Confirmed"??? If the devs are under the mistaken impression it is
> fixed, it will never get their attention. What does it take to rectify
> this? Opening yet another new bug and marking this one as a duplicate?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1408226).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion:...

Read more...

Robert Dinse (nanook) wrote :
Download full text (7.6 KiB)

      I'm sure it will collapse and die in your absence.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 27 Apr 2015, Paul Judd wrote:

> Date: Mon, 27 Apr 2015 01:21:40 -0000
> From: Paul Judd <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> I scrubbed my inoperable ubuntu and put on Qubes based on Fedora. No screen
> driver issues at all. Ubuntu has lost me as a base system [ especially
> since gnome compatability is being ignored ].
> On 27/04/2015 5:46 AM, "KennoVO" <email address hidden> wrote:
>
>> Oh come on, this is completely wrong! This bug is *NOT * fixed for the
>> 331 driver (and also not for "NVIDIA Drivers Ubuntu" because 331 is the
>> most recent driver available in 14.04 LTS (Trusty)). Why doesn't
>> launchpad allow to correct this mistake by setting it back the
>> "Confirmed"??? If the devs are under the mistaken impression it is
>> fixed, it will never get their attention. What does it take to rectify
>> this? Opening yet another new bug and marking this one as a duplicate?
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1408226).
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in NVIDIA Drivers Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-340 package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-346 package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
>> Fix Released
>>
>> Bug description:
>> **WARNING:** This bug has been widely reported and has *many*
>> automatic subscribers. Please be considerate.
>>
>> **If you need help:** try searching and asking on
>> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
>> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
>> your area). Link back to this bug for clarity.
>>
>> ---
>>
>> This seems to fix it (at least for one version upgrade) for many
>> people
>>
>> $ sudo dpkg-reconfigure nvidia-331
>>
>> after that...
>>
>> $ sudo dpkg-reconfigure nvidia-331-uvm
>>
>> (some users may be on the versions of these packages suffixed with
>> -updates )
>>
>> ---
>>
>> **If you want to unsubscribe:** see
>> https://bugs.launchpad.net/ubuntu/+sourc...

Read more...

Download full text (10.9 KiB)

Hello and excuse me for the dead time ... I rarely check this mail address.

The issue is fixed since a very long time.

I upgrade my computer to 15.04 without any problem yesterday !

regards,

Seb.

----- Mail original -----
De: "Robert Dinse" <email address hidden>
À: <email address hidden>
Envoyé: Lundi 27 Avril 2015 03:50:26
Objet: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module failed to build, with only error: "objdump: '... .tmp_nv.o': No such file"

I'm sure it will collapse and die in your absence.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 27 Apr 2015, Paul Judd wrote:

> Date: Mon, 27 Apr 2015 01:21:40 -0000
> From: Paul Judd <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> I scrubbed my inoperable ubuntu and put on Qubes based on Fedora. No screen
> driver issues at all. Ubuntu has lost me as a base system [ especially
> since gnome compatability is being ignored ].
> On 27/04/2015 5:46 AM, "KennoVO" <email address hidden> wrote:
>
>> Oh come on, this is completely wrong! This bug is *NOT * fixed for the
>> 331 driver (and also not for "NVIDIA Drivers Ubuntu" because 331 is the
>> most recent driver available in 14.04 LTS (Trusty)). Why doesn't
>> launchpad allow to correct this mistake by setting it back the
>> "Confirmed"??? If the devs are under the mistaken impression it is
>> fixed, it will never get their attention. What does it take to rectify
>> this? Opening yet another new bug and marking this one as a duplicate?
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1408226).
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in NVIDIA Drivers Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-340 package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-346 package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
>> Fix Released
>>
>> Bug description:
>> **WARNING:** This bug has been widely reported and has *many*
>> automatic subscribers. Please be considerate.
>>
>> **If you need help:** try searching and asking on
>> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
>> nearby user group (see http://...

aubier (bi-biflo) on 2015-04-28
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → aubier (bi-biflo)
Richard Hansen (rhansen) on 2015-04-29
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: aubier (bi-biflo) → nobody
KennoVO (kenno-xs4all) wrote :

@ Sébastien BOUISSET (sbouisset): your're using the non-LTS branch of Ubuntu. I've been repeating ad nauseam during the last few weeks that the issue is NOT FIXED in the LTS branch, which uses the 331 driver, and is popular with professional users.

MAD.JEDI (tomohavk-01) on 2015-04-29
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → MAD.JEDI (tomohavk-01)
assignee: MAD.JEDI (tomohavk-01) → nobody
Marc Saric (marc-saric) wrote :

Can we please backport this to 14.04 LTS, this is extremely annoying.

teo1978 (teo8976) wrote :

WHY the hell is this marked as fixed in all packages??

I have Ubuntu 14.04 and the issue is NOT fixed.
Every now and then, while getting automatic updates, something nvidia-related crashes.
I don't know if it is when the kernel is updated, or what.

14.04 is LTS, which means that if it has been fixed for more recent ubuntu versions, the fix MUST be backported, no matter how. Until then this cannot be considered fixed.

KennoVO (kenno-xs4all) wrote :

This is my current Hanlon-compliant(*) theory as to why the fix is not backported:
- Anyone looking up this bug will land at the top of the page, where the status is displayed. A small percentage will make random changes to the status by lack of attention or understanding.
- This bug report is visited by huge numbers of people, so even though the percentage of "inattentives" is small, we're seeing lots of random status changes in its activity log.
- The problem is that some status changes are irrevocable. Specifically, shortly after the fix was released for the 340 and 346 drivers, people mistakenly changed the status for the 331 drivers and the bug as a whole to "fix released". This made it fall off the devs' radar, and there doesn't seem to be a way to roll back the status. In my opinion, this is stupid and should be filed as a bug against Launchpad itself.

My current plan to work around this problem is to mark this bug ( lp:1268257 ) a duplicate of lp:1431753 , which
- has the status set correctly, including a target for "Trusty",
- has a more knowledgeable description of the root cause of the problem and how to fix it,
- is frequented by people who can actually fix it,
- suffers from a low "bug heat", which will change dramatically if my plan succeeds,
- does not suffer from random status changes.
However, a new problem surfaced: trying to set the dupe in Launchpad invariably gives a timeout error (Error ID: OOPS-f524378385a3a281890972cc17c96962 OOPS-bb927226a672db21659a9f400adc4757 etc...) I speculate this is due to the huge size of this bug in terms of followers, duplicates, people affected and comments. Whatever be the cause, it's yet another bug to be filed against Launchpad itself.

Needless to say, I'm getting deeply disillusioned with Ubuntu, Canonical and its bug fixing process...

(*) My alternative theories that are not compliant with Hanlon's razor are probably not appropriate for this venue. :-P

dave wallace (ukspreads) wrote :

Get rid of that Nvidia crap and install a radeon instead ;)

On 29/04/2015 22:34, teo1978 wrote:
> WHY the hell is this marked as fixed in all packages??
>
> I have Ubuntu 14.04 and the issue is NOT fixed.
> Every now and then, while getting automatic updates, something nvidia-related crashes.
> I don't know if it is when the kernel is updated, or what.
>
> 14.04 is LTS, which means that if it has been fixed for more recent
> ubuntu versions, the fix MUST be backported, no matter how. Until then
> this cannot be considered fixed.
>

graingert (tagrain) wrote :
Download full text (3.7 KiB)

Let's not this become a troll thread linked to from Hacker News.
On 30 Apr 2015 12:31 am, "dave wallace" <email address hidden> wrote:

> Get rid of that Nvidia crap and install a radeon instead ;)
>
> On 29/04/2015 22:34, teo1978 wrote:
> > WHY the hell is this marked as fixed in all packages??
> >
> > I have Ubuntu 14.04 and the issue is NOT fixed.
> > Every now and then, while getting automatic updates, something
> nvidia-related crashes.
> > I don't know if it is when the kernel is updated, or what.
> >
> > 14.04 is LTS, which means that if it has been fixed for more recent
> > ubuntu versions, the fix MUST be backported, no matter how. Until then
> > this cannot be considered fixed.
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1411195).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd6...

Read more...

teo1978 (teo8976) wrote :

> Let's not this become a troll thread linked to from Hacker News.

Why not? Perhaps that way, some of the idiots who changed the status to Fix Released and unsubscribed themselves, may randomly stumble upon it and realize.

dave wallace (ukspreads) wrote :
Download full text (4.1 KiB)

Just an observation; I use Radeon and have never had issues with
Xubuntu, although I did once have an Nvidia card, an old 880GTX and it
gave me headaches. Now I have a great radeon card Xubuntu dances and
sings like a canary ;)

On 30/04/2015 00:34, graingert wrote:
> Let's not this become a troll thread linked to from Hacker News.
> On 30 Apr 2015 12:31 am, "dave wallace" <email address hidden> wrote:
>
>> Get rid of that Nvidia crap and install a radeon instead ;)
>>
>> On 29/04/2015 22:34, teo1978 wrote:
>>> WHY the hell is this marked as fixed in all packages??
>>>
>>> I have Ubuntu 14.04 and the issue is NOT fixed.
>>> Every now and then, while getting automatic updates, something
>> nvidia-related crashes.
>>> I don't know if it is when the kernel is updated, or what.
>>>
>>> 14.04 is LTS, which means that if it has been fixed for more recent
>>> ubuntu versions, the fix MUST be backported, no matter how. Until then
>>> this cannot be considered fixed.
>>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1411195).
>> https://bugs.launchpad.net/bugs/1268257
>>
>> Title:
>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
>> file"
>>
>> Status in NVIDIA Drivers Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-331 package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-340 package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-346 package in Ubuntu:
>> Fix Released
>> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
>> Fix Released
>>
>> Bug description:
>> **WARNING:** This bug has been widely reported and has *many*
>> automatic subscribers. Please be considerate.
>>
>> **If you need help:** try searching and asking on
>> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
>> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
>> your area). Link back to this bug for clarity.
>>
>> ---
>>
>> This seems to fix it (at least for one version upgrade) for many
>> people
>>
>> $ sudo dpkg-reconfigure nvidia-331
>>
>> after that...
>>
>> $ sudo dpkg-reconfigure nvidia-331-uvm
>>
>> (some users may be on the versions of these packages suffixed with
>> -updates )
>>
>> ---
>>
>> **If you want to unsubscribe:** see
>> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
>> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
>> settings so you don't get comments but do get notified when the bug is
>> solved - see https://askubuntu.com/questions/576523 for details.
>>
>> **If you want to comment:** Please consider if you have something
>> meaningful to contribute to the 2500+ people who will get an email.
>>
>> **If you are an Ubuntu developer:** thanks for looking into this! :D
>>
>> ----
>>
>> Nvidia kernel mo...

Read more...

teo1978 (teo8976) wrote :

@293 please mark this as confirmed:
https://bugs.launchpad.net/launchpad/+bug/1450251

Paul Judd (sukiipooru) wrote :
Download full text (7.6 KiB)

For your information, fedora uses novoue driver to run nvidia without
problems, has also vesa and ??? as 2nd and third backup drivers i guess But
only novoue has full ude of features of nvidia?.
On 30/04/2015 10:07 AM, "dave wallace" <email address hidden> wrote:

> Just an observation; I use Radeon and have never had issues with
> Xubuntu, although I did once have an Nvidia card, an old 880GTX and it
> gave me headaches. Now I have a great radeon card Xubuntu dances and
> sings like a canary ;)
>
> On 30/04/2015 00:34, graingert wrote:
> > Let's not this become a troll thread linked to from Hacker News.
> > On 30 Apr 2015 12:31 am, "dave wallace" <email address hidden>
> wrote:
> >
> >> Get rid of that Nvidia crap and install a radeon instead ;)
> >>
> >> On 29/04/2015 22:34, teo1978 wrote:
> >>> WHY the hell is this marked as fixed in all packages??
> >>>
> >>> I have Ubuntu 14.04 and the issue is NOT fixed.
> >>> Every now and then, while getting automatic updates, something
> >> nvidia-related crashes.
> >>> I don't know if it is when the kernel is updated, or what.
> >>>
> >>> 14.04 is LTS, which means that if it has been fixed for more recent
> >>> ubuntu versions, the fix MUST be backported, no matter how. Until then
> >>> this cannot be considered fixed.
> >>>
> >> --
> >> You received this bug notification because you are subscribed to a
> >> duplicate bug report (1411195).
> >> https://bugs.launchpad.net/bugs/1268257
> >>
> >> Title:
> >> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> >> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> >> file"
> >>
> >> Status in NVIDIA Drivers Ubuntu:
> >> Fix Released
> >> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> >> Fix Released
> >> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> >> Fix Released
> >> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> >> Fix Released
> >> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> >> Fix Released
> >> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> >> Fix Released
> >> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> >> Fix Released
> >>
> >> Bug description:
> >> **WARNING:** This bug has been widely reported and has *many*
> >> automatic subscribers. Please be considerate.
> >>
> >> **If you need help:** try searching and asking on
> >> http://discourse.ubuntu.com or http://ubuntuforums.org or
> contacting a
> >> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> >> your area). Link back to this bug for clarity.
> >>
> >> ---
> >>
> >> This seems to fix it (at least for one version upgrade) for many
> >> people
> >>
> >> $ sudo dpkg-reconfigure nvidia-331
> >>
> >> after that...
> >>
> >> $ sudo dpkg-reconfigure nvidia-331-uvm
> >>
> >> (some users may be on the versions of these packages suffixed with
> >> -updates )
> >>
> >> ---
> >>
> >> **If you want to unsubscribe:** see
> >> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> >> drivers-331-updates/+bug/1268257/+subscribe. You can also cha...

Read more...

Robert Dinse (nanook) wrote :
Download full text (12.3 KiB)

      I don't use the 331 drivers I use 307, but for my card at least, the
Novoue driver won't set to higher resolutions such as 1680x1050, and scrolling
is beyond painful. Some cards might be better supported, I've got an old 7300
GT on this box. I've had to re-install the driver using the shell script
provided by Nvidia since I upgraded to 14.10, and it won't work with any
kernels newer than 3.18.9 so can't play with the 4.0 kernels. But I kind of
figured if I want to use antique hardware and do things outside of the box, I
can't expect support so haven't bothered to bitch about it. I'm using an
old Mac Pro 1,1, Ubuntu is the ONLY Linux distribution that had a bootloader
hacked to allow a 64-bit kernel to load on a machine with a 32-bit bios
(don't ask me what Mac was thinking when they made this thing). I'm grateful
that it works at all.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Thu, 30 Apr 2015, Paul Judd wrote:

> Date: Thu, 30 Apr 2015 01:11:07 -0000
> From: Paul Judd <email address hidden>
> Reply-To: Bug 1268257 <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> For your information, fedora uses novoue driver to run nvidia without
> problems, has also vesa and ??? as 2nd and third backup drivers i guess But
> only novoue has full ude of features of nvidia?.
> On 30/04/2015 10:07 AM, "dave wallace" <email address hidden> wrote:
>
>> Just an observation; I use Radeon and have never had issues with
>> Xubuntu, although I did once have an Nvidia card, an old 880GTX and it
>> gave me headaches. Now I have a great radeon card Xubuntu dances and
>> sings like a canary ;)
>>
>> On 30/04/2015 00:34, graingert wrote:
>>> Let's not this become a troll thread linked to from Hacker News.
>>> On 30 Apr 2015 12:31 am, "dave wallace" <email address hidden>
>> wrote:
>>>
>>>> Get rid of that Nvidia crap and install a radeon instead ;)
>>>>
>>>> On 29/04/2015 22:34, teo1978 wrote:
>>>>> WHY the hell is this marked as fixed in all packages??
>>>>>
>>>>> I have Ubuntu 14.04 and the issue is NOT fixed.
>>>>> Every now and then, while getting automatic updates, something
>>>> nvidia-related crashes.
>>>>> I don't know if it is when the kernel is updated, or what.
>>>>>
>>>>> 14.04 is LTS, which means that if it has been fixed for more recent
>>>>> ubuntu versions, the fix MUST be backported, no matter how. Until then
>>>>> this cannot be considered fixed.
>>>>>
>>>> --
>>>> You received this bug notification because you are subscribed to a
>>>> duplicate bug report (1411195).
>>>> https://bugs.launchpad.net/bugs/1268257
>>>>
>>>> Title:
>>>> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
>>>> failed to build, with only error: "objdump: '... .tmp_...

joe (n-joe-g) on 2015-04-30
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → joe (n-joe-g)
assignee: joe (n-joe-g) → nobody
Bjorn (bjorn-nilsson-n) wrote :

How come this is listed as bug fix released, when bug is still affecting systems?
Not resolved, STILL.

Peter Varlien (pvarlien) wrote :

I just applied the latest updates to 14.04, and this error still occurs. So the 331-updates variant is still broken.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → BORA Ben Yaya (ben93taka)
Robin (robingape) on 2015-04-30
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: BORA Ben Yaya (ben93taka) → nobody
Michael (amemain) wrote :

I had and still have a Partial Upgrade available to my 12.04 to 14.04 system. I did not so the P-Upgrade and rebooted for other reasons. Upon return to my Ubuntu login the screen was shrunk and it would not let me log in resulting in a login loop of returning me back to the login password prompt. Solution was to 'sudo dpkg --configure -a' as suggested when I tried to sudo apt-get update, which cleaned things up, returned my login back to normal and allowed me to login. Something is really broke here causing big issues.

SenikTony (tony-senik) wrote :

30.04.2015 22:11 пользователь "Michael" <email address hidden>
написал:

I had and still have a Partial Upgrade available to my 12.04 to 14.04
system. I did not so the P-Upgrade and rebooted for other reasons. Upon
return to my Ubuntu login the screen was shrunk and it would not let me
log in resulting in a login loop of returning me back to the login
password prompt. Solution was to 'sudo dpkg --configure -a' as suggested
when I tried to sudo apt-get update, which cleaned things up, returned
my login back to normal and allowed me to login. Something is really
broke here causing big issues.

--
You received this bug notification because you are subscribed to a
duplicate bug report (139627...

Changed in nvidia-drivers-ubuntu:
assignee: nobody → Adam Marian (adam-marian2830)
Robin (robingape) on 2015-04-30
Changed in nvidia-drivers-ubuntu:
assignee: Adam Marian (adam-marian2830) → nobody
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Fix Released → Triaged
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Fix Released → Triaged
Michael Sharman (msharman) wrote :

I noticed today that I had a partialy configured nvidia-331 package (I'm using nvidia-331-updates). I purged the package, and now the dpkg reconfigure nvidia-331-updates commands succeed. I wonder if this was the cause of the issue?

Bill Turner, wb4alm (wb4alm) wrote :

Not sure about the previous message:
 >> Daniel van Vugt (vanvugt) 8 hours ago
 >> Changed in nvidia-graphics-drivers-331 (Ubuntu):
 >> status: Fix Released → Triaged
 >> Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
 >> status: Fix Released → Triaged

as the update just applied (01 May 2015 0545 Eastern Time) to my machine failed with the exact same status as it has for a long time.

KennoVO (kenno-xs4all) wrote :

@Bill Turner, wb4alm (wb4alm): FYI, "Triaged" means that a bug supervisor has determined that the bug report contains all necessary information to start working on it. This is in my opinion the (only) correct status for nvidia-graphics-drivers-331 and nvidia-graphics-drivers-331-updates (note that some of the necessary information is in lp:1431753 ). See also https://help.launchpad.net/Bugs/Statuses .

@Daniel van Vugt (vanvugt): thank you, thank you so much!!! You might have saved my sanity there (depending on whether the issue will actually get fixed in a reasonable time span).

teo1978 (teo8976) wrote :

@307 "get fixed in a *reasonable* time span"?
LOL this is Ubuntu, I've never seen that happen.

waffen (mlacunza) wrote :

Hi,
Just to said: Using the same Lenovo S410p laptop with Nvidia GeForce GT720M in 14.04 with v 331 I have the problem showed here, I just make a clean new installation of 15.04, its come with driver v.340.76 installed from synaptic and its works very fine no issues, Im still waiting for a kernel update and see what happen...

14.04 / 331 / GTX 460 here

Still broken. _Really_ disappointing this trainwreck has gone on for this long... Has Ubuntu changed the definition of LTS to mean something other than Long Term Support? :\

lidex (mh40) wrote :

Had a kernel update today. Same errors but i thought i'd try a variation on one of the workarounds. After the update I did NOT reboot and went into synaptic and selected nvidia 331 updates as well as uvm updates and selected re-install. After completion I
rebooted and all was well. The easiest fix for me yet.

Did the same and it worked

On 05/02/2015 01:37 AM, lidex wrote:
> Had a kernel update today. Same errors but i thought i'd try a variation on one of the workarounds. After the update I did NOT reboot and went into synaptic and selected nvidia 331 updates as well as uvm updates and selected re-install. After completion I
> rebooted and all was well. The easiest fix for me yet.
>

Simon Reed (xubuntu-o) wrote :

Interesting some have said Xubuntu is not affected. I have been and still am. Xubuntu 14.04 Today I got the following during the update and system errors on rebooting:

Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.13.0-51-generic /boot/vmlinuz-3.13.0-51-generic
run-parts: executing /etc/kernel/postinst.d/dkms 3.13.0-51-generic /boot/vmlinuz-3.13.0-51-generic
Error! Bad return status for module build on kernel: 3.13.0-51-generic (x86_64)
Consult /var/lib/dkms/nvidia-331/331.113/build/make.log for more information.

There is no /var/lib/dkms/nvidia-331/331.113/build/make.log

Ivan Pizhenko (ivan-pizhenko) wrote :
Download full text (3.8 KiB)

All Ubuntu flavors affected, as long as they use the same Nvidia packages.
3 трав. 2015 15:15 "Simon Reed" <email address hidden> пише:

> Interesting some have said Xubuntu is not affected. I have been and
> still am. Xubuntu 14.04 Today I got the following during the update
> and system errors on rebooting:
>
> Examining /etc/kernel/postinst.d.
> run-parts: executing /etc/kernel/postinst.d/apt-auto-removal
> 3.13.0-51-generic /boot/vmlinuz-3.13.0-51-generic
> run-parts: executing /etc/kernel/postinst.d/dkms 3.13.0-51-generic
> /boot/vmlinuz-3.13.0-51-generic
> Error! Bad return status for module build on kernel: 3.13.0-51-generic
> (x86_64)
> Consult /var/lib/dkms/nvidia-331/331.113/build/make.log for more
> information.
>
> There is no /var/lib/dkms/nvidia-331/331.113/build/make.log
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an email.
>
> **If you are an Ubuntu developer:** thanks for looking into this! :D
>
> ----
>
> Nvidia kernel module failed to build on kernel 3.13.0-2
> Yesterday when the new kernel was pushed, the dkms process failed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.04
> Package: nvidia-331-updates 331.20-0ubuntu9
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic...

Read more...

Plz change

Pablo Piaggio (papibe) wrote :

Another update, another error.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → Fix Released
Jim (geekmonk-p) wrote :

This will not build on my system still.

Kenan Gutić (kenan-gutic) wrote :

I updated Ubuntu 2-3 times since this bug was marked as solved and yet every time I got this error. Then I reboot and do dpkg-reconfigure in terminal. I guess then all get back to normal, but I do not know. I am fresh Linux user.
Did I miss something, do I need to update graphic driver on some other way beside Software Updater or...?

I started to postpone updates since this is very anoying.
Regards!

Tom Peterson (happilylinux) wrote :

Is there actually a fix for this issue? This problem has been going on for well over a year now, and the stated solution ("for many people") below, does not seem to work for my own situation/system, as described. This information also appears to be quite dated.

I would like to resolve this issue on my own system because the problem seems to disrupt the systems ability to run the software that I have created this partition and its associated Operating System to run. This system I intend to use strictly for recording audio music (in what has been coined as a "Digital Audio Workstation").

sigh!

mat (drmtiede-k) wrote :

It's higly annoying, half a year and the error still popps up every update. I'll revert to Ubuntu 12, Ubuntu 14 has become a mayor delusion - slow, constant updates with rebbot, like or worse than Windows.

Still failed to install

Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → Louis Frank Sasso (sassofamily)
assignee: Louis Frank Sasso (sassofamily) → nobody

This is most certainly _NOT_ fixed for 331. That status needs to be changed!

Ben64 (ben64) wrote :

This needs to be fixed.

Jake Reay (jakereay) wrote :

This seems to fix it (at least for one version upgrade) for many people

$ sudo dpkg-reconfigure nvidia-331

after that...

$ sudo dpkg-reconfigure nvidia-331-uvm

-------------------------------------------------------------------

Command prompt returned with: /usr/sbin/dpkg-reconfigure: nvidia-331 is broken or not fully installed

Nick (soapduk) wrote :

Trying that I got the following:

-----

dpkg-query: package 'nvidia-331' is not installed and no information is available
dpkg-query: package 'nvidia-331-uvm' is not installed and no information is available

Bill Turner, wb4alm (wb4alm) wrote :

Since the fix is known, why not apply it to nvidia-331 and be done with this foolishness?

Darek (darekx2) wrote :

No error but did It's work or not ?

How can i check this ?
------------------------------------------------------------------------
GA-970A-UD3:~$ sudo dpkg-reconfigure nvidia-331
Removing all DKMS Modules
Done.
update-initramfs: deferring update (trigger activated)
INFO:Enable nvidia-331
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
Loading new nvidia-331-331.113 DKMS files...
Building only for 3.13.0-52-generic
Building for architecture x86_64
Building initial module for 3.13.0-52-generic
Done.

nvidia_331:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.13.0-52-generic/updates/dkms/

depmod....

DKMS: install completed.
Processing triggers for initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: Generating /boot/initrd.img-3.13.0-52-generic
GA-970A-UD3:~$ sudo dpkg-reconfigure nvidia-331-uvm
Removing all DKMS Modules
Done.
Loading new nvidia-331-uvm-331.113 DKMS files...
Building only for 3.13.0-52-generic
Building for architecture x86_64
Building initial module for 3.13.0-52-generic
Done.

nvidia-331-uvm:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.13.0-52-generic/updates/dkms/

depmod....

DKMS: install completed.

Anna (jaruzanka) wrote :

Same as Darek (darekx2) I got no errors when running the proposed fix.

But then after I try:

$ LD_LIBRARY_PATH=/usr/lib/nvidia-331 /usr/lib/nvidia-331/bin/nvidia-smi

I get :

NVIDIA-SMI has failed because it couldn't communicate with the NVIDIA driver. Make sure that the latest NVIDIA driver is installed and running.

(It used to work before this bug)

Adam Koczur (sbv) wrote :

For those of you chaps and chapesse who can't wait for Canonical to fix this, you can try out my PPA where I've just published nvidia-331 and nvidia-331-updates that should build against linux kernel 3.19 flawlessly. The packages come with absolutely no warranty, you have been warned ;)

Adam Koczur (sbv) wrote :
Adam Koczur (sbv) wrote :
KennoVO (kenno-xs4all) wrote :

@Adam Koczur (sbv): nice, that is a step in the right direction! However, I have to point out that pretty much everyone who is affected by this bug is running the 3.13 kernel that comes with Trusty; those who are running newer (non-LTS) kernels all have newer nvidia drivers (except the ones with legacy graphic cards, but that's a minority; nvidia's legacy support goes quite a way back...)

So, do you think it would be safe to test your ppa with the 3.13 kernel, or is that not expected to work?

Grzegorz Śliwiński (fizyk) wrote :
Download full text (3.4 KiB)

KennoVO, 3.16 from both trusty 14.04.2 and utopic is also affected. And
there's also only nvidia 331 available.
@Adam Koczur (sbv): nice, that is a step in the right direction!
However, I have to point out that pretty much everyone who is affected
by this bug is running the 3.13 kernel that comes with Trusty; those who
are running newer (non-LTS) kernels all have newer nvidia drivers
(except the ones with legacy graphic cards, but that's a minority;
nvidia's legacy support goes quite a way back...)

So, do you think it would be safe to test your ppa with the 3.13 kernel,
or is that not expected to work?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1268257

Title:
  nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
  failed to build, with only error: "objdump: '... .tmp_nv.o': No such
  file"

Status in NVIDIA Drivers Ubuntu:
  Fix Released
Status in nvidia-graphics-drivers-331 package in Ubuntu:
  Fix Released
Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
  Triaged
Status in nvidia-graphics-drivers-340 package in Ubuntu:
  Fix Released
Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
  Fix Released
Status in nvidia-graphics-drivers-346 package in Ubuntu:
  Fix Released
Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
  Fix Released

Bug description:
  **WARNING:** This bug has been widely reported and has *many*
  automatic subscribers. Please be considerate.

  **If you need help:** try searching and asking on
  http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
  nearby user group (see http://loco.ubuntu.com or search for "LUG" in
  your area). Link back to this bug for clarity.

  ---

  This seems to fix it (at least for one version upgrade) for many
  people

  $ sudo dpkg-reconfigure nvidia-331

  after that...

  $ sudo dpkg-reconfigure nvidia-331-uvm

  (some users may be on the versions of these packages suffixed with
  -updates )

  ---

  **If you want to unsubscribe:** see
  https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
  drivers-331-updates/+bug/1268257/+subscribe. You can also change your
  settings so you don't get comments but do get notified when the bug is
  solved - see https://askubuntu.com/questions/576523 for details.

  **If you want to comment:** Please consider if you have something
  meaningful to contribute to the 2500+ people who will get an email.

  **If you are an Ubuntu developer:** thanks for looking into this! :D

  ----

  Nvidia kernel module failed to build on kernel 3.13.0-2
  Yesterday when the new kernel was pushed, the dkms process failed.

  ProblemType: Package
  DistroRelease: Ubuntu 14.04
  Package: nvidia-331-updates 331.20-0ubuntu9
  ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
  Uname: Linux 3.12.0-7-generic x86_64
  ApportVersion: 2.13.1-0ubuntu1
  Architecture: amd64
  DKMSKernelVersion: 3.13.0-2-generic
  Date: Sun Jan 12 01:28:35 2014
  InstallationDate: Installed on 2013-11-03 (69 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
(20131016.1)
  PackageVersion: 331.20-0ubuntu9
  S...

Read more...

Adam Koczur (sbv) wrote :

Yeap, it builds fine on my machine:
$ sudo dkms build -m nvidia-331 -v 331.113 -k 3.13.0-53-generic

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=3.13.0-53-generic module KERNDIR=/lib/modules/3.13.0-53-generic IGNORE_XEN_PRESENCE=1 IGNORE_CC_MISMATCH=1 SYSSRC=/lib/modules/3.13.0-53-generic/build LD=/usr/bin/ld.bfd.........
cleaning build area....

DKMS: build completed.

And btw, I guess I made a stupid mistake for which I do apologize - chose wrong LP bug report. My original issue was related to the fact that nvidia 331.113-0ubuntu0.0.4 fails to build against the upcoming (already present in -proposed) linux-image-generic-lts-vivid kernel, which is 3.19. This bug is about nvidia-331-updates 331.38-0ubuntu3 which, as far as I am aware, can be easily upgraded to the official 331.113-0ubuntu0.0.4 by enabling trusty-updates repo and it builds against 3.13 just fine:
deb http://archive.ubuntu.com/ubuntu/ trusty-updates main restricted

Robert Dinse (nanook) wrote :
Download full text (4.2 KiB)

      Nvidia-304 also will not build against 3.19.x, when I upgraded to
Ubunto 15.04, no more graphical desktop. I built a 3.18.9 kernel from
kernel.org to get around this problem but would really be nice to have the
drivers work with the stock 3.19.x kernel and later 4.0 kernels.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Fri, 8 May 2015, Adam Koczur wrote:

> Date: Fri, 08 May 2015 16:24:00 -0000
> From: Adam Koczur <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1268257] Re: nvidia-331-updates 331.38-0ubuntu3:
> nvidia-331-updates kernel module failed to build,
> with only error: "objdump: '... .tmp_nv.o': No such file"
>
> For those of you chaps and chapesse who can't wait for Canonical to fix
> this, you can try out my PPA where I've just published nvidia-331 and
> nvidia-331-updates that should build against linux kernel 3.19
> flawlessly. The packages come with absolutely no warranty, you have been
> warned ;)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1379170).
> https://bugs.launchpad.net/bugs/1268257
>
> Title:
> nvidia-331-updates 331.38-0ubuntu3: nvidia-331-updates kernel module
> failed to build, with only error: "objdump: '... .tmp_nv.o': No such
> file"
>
> Status in NVIDIA Drivers Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-331-updates package in Ubuntu:
> Triaged
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-340-updates package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346 package in Ubuntu:
> Fix Released
> Status in nvidia-graphics-drivers-346-updates package in Ubuntu:
> Fix Released
>
> Bug description:
> **WARNING:** This bug has been widely reported and has *many*
> automatic subscribers. Please be considerate.
>
> **If you need help:** try searching and asking on
> http://discourse.ubuntu.com or http://ubuntuforums.org or contacting a
> nearby user group (see http://loco.ubuntu.com or search for "LUG" in
> your area). Link back to this bug for clarity.
>
> ---
>
> This seems to fix it (at least for one version upgrade) for many
> people
>
> $ sudo dpkg-reconfigure nvidia-331
>
> after that...
>
> $ sudo dpkg-reconfigure nvidia-331-uvm
>
> (some users may be on the versions of these packages suffixed with
> -updates )
>
> ---
>
> **If you want to unsubscribe:** see
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-
> drivers-331-updates/+bug/1268257/+subscribe. You can also change your
> settings so you don't get comments but do get notified when the bug is
> solved - see https://askubuntu.com/questions/576523 for details.
>
> **If you want to comment:** Please consider if you have something
> meaningful to contribute to the 2500+ people who will get an e...

Read more...

KennoVO (kenno-xs4all) wrote :

@Adam Koczur (sbv): you do indeed appear to have the wrong bug report; the bug we're (effectively) talking about *here* is also triggered by 331.113-0ubuntu0.0.4 from nvidia-331-updates (it's what I'm running) and is described more accurately at lp:1431753 . In case you wonder why the heck this is not a duplicate, see lp:1450251 . I don't know whether I have to laugh or cry.

@Robert Dinse (nanook): you probably should take the 3.19 discussion to the relevant LP bug report - @Adam Koczur (sbv), can you please povide an "lp:" link? There is far too much offtopic talk on this one as it is already.

Pascha (volosopavel) on 2015-05-09
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → Pascha (volosopavel)
DB (dimabatjuk) on 2015-05-11
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: Pascha (volosopavel) → DB (dimabatjuk)
assignee: DB (dimabatjuk) → nobody
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Triaged → Confirmed
kl1234 (kl1234) wrote :

It is not fixed yet. LTS???

Nima (nima-slt) on 2015-05-20
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Confirmed → Incomplete
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Incomplete → Confirmed
Pablo72256 (pablo93-tec) wrote :

no funciona correctamente el controlador

H_M_Murdock_EST (okinawa) wrote :